"use strict";
// 
// Generated by @himenon/openapi-typescript-code-generator v0.13.2
// 
// OpenApi : 3.0.1
// 
// License  : Apache 2.0
// Url      : http://www.apache.org/licenses/LICENSE-2.0.html
// 
Object.defineProperty(exports, "__esModule", { value: true });
exports.Client = void 0;
class Client {
    constructor(apiClient, baseUrl) {
        this.apiClient = apiClient;
        this.baseUrl = baseUrl.replace(/\/$/, "");
    }
    /**
     * Update custom fields
     * Updates the value of one or more custom fields on one or more issues. Combinations of custom field and issue should be unique within the request. Custom fields can only be updated by the Forge app that created them.
     *
     * **[Permissions](#permissions) required:** Only the app that created the custom field can update its values with this operation.
     * operationId: updateMultipleCustomFieldValues
     * Request URI: /rest/api/3/app/field/value
     */
    async updateMultipleCustomFieldValues(params, option) {
        const url = this.baseUrl + `/rest/api/3/app/field/value`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            generateChangelog: { value: params.parameter.generateChangelog, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get custom field configurations
     * Returns a [paginated](#pagination) list of configurations for a custom field created by a [Forge app](https://developer.atlassian.com/platform/forge/).
     *
     * The result can be filtered by one of these criteria:
     *
     *  *  `id`.
     *  *  `fieldContextId`.
     *  *  `issueId`.
     *  *  `projectKeyOrId` and `issueTypeId`.
     *
     * Otherwise, all configurations are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the Forge app that created the custom field.
     * operationId: getCustomFieldConfiguration
     * Request URI: /rest/api/3/app/field/{fieldIdOrKey}/context/configuration
     */
    async getCustomFieldConfiguration(params, option) {
        const url = this.baseUrl + `/rest/api/3/app/field/${params.parameter.fieldIdOrKey}/context/configuration`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            id: { value: params.parameter.id, explode: false },
            contextId: { value: params.parameter.contextId, explode: false },
            fieldContextId: { value: params.parameter.fieldContextId, explode: false },
            issueId: { value: params.parameter.issueId, explode: false },
            projectKeyOrId: { value: params.parameter.projectKeyOrId, explode: false },
            issueTypeId: { value: params.parameter.issueTypeId, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update custom field configurations
     * Update the configuration for contexts of a custom field created by a [Forge app](https://developer.atlassian.com/platform/forge/).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the Forge app that created the custom field.
     * operationId: updateCustomFieldConfiguration
     * Request URI: /rest/api/3/app/field/{fieldIdOrKey}/context/configuration
     */
    async updateCustomFieldConfiguration(params, option) {
        const url = this.baseUrl + `/rest/api/3/app/field/${params.parameter.fieldIdOrKey}/context/configuration`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update custom field value
     * Updates the value of a custom field on one or more issues. Custom fields can only be updated by the Forge app that created them.
     *
     * **[Permissions](#permissions) required:** Only the app that created the custom field can update its values with this operation.
     * operationId: updateCustomFieldValue
     * Request URI: /rest/api/3/app/field/{fieldIdOrKey}/value
     */
    async updateCustomFieldValue(params, option) {
        const url = this.baseUrl + `/rest/api/3/app/field/${params.parameter.fieldIdOrKey}/value`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            generateChangelog: { value: params.parameter.generateChangelog, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get application property
     * Returns all application properties or an application property.
     *
     * If you specify a value for the `key` parameter, then an application property is returned as an object (not in an array). Otherwise, an array of all editable application properties is returned. See [Set application property](#api-rest-api-3-application-properties-id-put) for descriptions of editable properties.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getApplicationProperty
     * Request URI: /rest/api/3/application-properties
     */
    async getApplicationProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/application-properties`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            key: { value: params.parameter.key, explode: false },
            permissionLevel: { value: params.parameter.permissionLevel, explode: false },
            keyFilter: { value: params.parameter.keyFilter, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get advanced settings
     * Returns the application properties that are accessible on the *Advanced Settings* page. To navigate to the *Advanced Settings* page in Jira, choose the Jira icon > **Jira settings** > **System**, **General Configuration** and then click **Advanced Settings** (in the upper right).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAdvancedSettings
     * Request URI: /rest/api/3/application-properties/advanced-settings
     */
    async getAdvancedSettings(option) {
        const url = this.baseUrl + `/rest/api/3/application-properties/advanced-settings`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set application property
     * Changes the value of an application property. For example, you can change the value of the `jira.clone.prefix` from its default value of *CLONE -* to *Clone -* if you prefer sentence case capitalization. Editable properties are described below along with their default values.
     *
     * #### Advanced settings ####
     *
     * The advanced settings below are also accessible in [Jira](https://confluence.atlassian.com/x/vYXKM).
     *
     * | Key | Description | Default value |
     * | -- | -- | -- |
     * | `jira.clone.prefix` | The string of text prefixed to the title of a cloned issue. | `CLONE -` |
     * | `jira.date.picker.java.format` | The date format for the Java (server-side) generated dates. This must be the same as the `jira.date.picker.javascript.format` format setting. | `d/MMM/yy` |
     * | `jira.date.picker.javascript.format` | The date format for the JavaScript (client-side) generated dates. This must be the same as the `jira.date.picker.java.format` format setting. | `%e/%b/%y` |
     * | `jira.date.time.picker.java.format` | The date format for the Java (server-side) generated date times. This must be the same as the `jira.date.time.picker.javascript.format` format setting. | `dd/MMM/yy h:mm a` |
     * | `jira.date.time.picker.javascript.format` | The date format for the JavaScript (client-side) generated date times. This must be the same as the `jira.date.time.picker.java.format` format setting. | `%e/%b/%y %I:%M %p` |
     * | `jira.issue.actions.order` | The default order of actions (such as *Comments* or *Change history*) displayed on the issue view. | `asc` |
     * | `jira.table.cols.subtasks` | The columns to show while viewing subtask issues in a table. For example, a list of subtasks on an issue. | `issuetype, status, assignee, progress` |
     * | `jira.view.issue.links.sort.order` | The sort order of the list of issue links on the issue view. | `type, status, priority` |
     * | `jira.comment.collapsing.minimum.hidden` | The minimum number of comments required for comment collapsing to occur. A value of `0` disables comment collapsing. | `4` |
     * | `jira.newsletter.tip.delay.days` | The number of days before a prompt to sign up to the Jira Insiders newsletter is shown. A value of `-1` disables this feature. | `7` |
     *
     *
     * #### Look and feel ####
     *
     * The settings listed below adjust the [look and feel](https://confluence.atlassian.com/x/VwCLLg).
     *
     * | Key | Description | Default value |
     * | -- | -- | -- |
     * | `jira.lf.date.time` | The [ time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `h:mm a` |
     * | `jira.lf.date.day` | The [ day format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `EEEE h:mm a` |
     * | `jira.lf.date.complete` | The [ date and time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy h:mm a` |
     * | `jira.lf.date.dmy` | The [ date format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy` |
     * | `jira.date.time.picker.use.iso8061` | When enabled, sets Monday as the first day of the week in the date picker, as specified by the ISO8601 standard. | `false` |
     * | `jira.lf.logo.url` | The URL of the logo image file. | `/images/icon-jira-logo.png` |
     * | `jira.lf.logo.show.application.title` | Controls the visibility of the application title on the sidebar. | `false` |
     * | `jira.lf.favicon.url` | The URL of the favicon. | `/favicon.ico` |
     * | `jira.lf.favicon.hires.url` | The URL of the high-resolution favicon. | `/images/64jira.png` |
     * | `jira.lf.navigation.bgcolour` | The background color of the sidebar. | `#0747A6` |
     * | `jira.lf.navigation.highlightcolour` | The color of the text and logo of the sidebar. | `#DEEBFF` |
     * | `jira.lf.hero.button.base.bg.colour` | The background color of the hero button. | `#3b7fc4` |
     * | `jira.title` | The text for the application title. The application title can also be set in *General settings*. | `Jira` |
     * | `jira.option.globalsharing` | Whether filters and dashboards can be shared with anyone signed into Jira. | `true` |
     * | `xflow.product.suggestions.enabled` | Whether to expose product suggestions for other Atlassian products within Jira. | `true` |
     *
     *
     * #### Other settings ####
     *
     * | Key | Description | Default value |
     * | -- | -- | -- |
     * | `jira.issuenav.criteria.autoupdate` | Whether instant updates to search criteria is active. | `true` |
     *
     *
     * *Note: Be careful when changing [application properties and advanced settings](https://confluence.atlassian.com/x/vYXKM).*
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setApplicationProperty
     * Request URI: /rest/api/3/application-properties/{id}
     */
    async setApplicationProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/application-properties/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get all application roles
     * Returns all application roles. In Jira, application roles are managed using the [Application access configuration](https://confluence.atlassian.com/x/3YxjL) page.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllApplicationRoles
     * Request URI: /rest/api/3/applicationrole
     */
    async getAllApplicationRoles(option) {
        const url = this.baseUrl + `/rest/api/3/applicationrole`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get application role
     * Returns an application role.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getApplicationRole
     * Request URI: /rest/api/3/applicationrole/{key}
     */
    async getApplicationRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/applicationrole/${params.parameter.key}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get attachment content
     * Returns the contents of an attachment. A `Range` header can be set to define a range of bytes within the attachment to download. See the [HTTP Range header standard](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Range) for details.
     *
     * To return a thumbnail of the attachment, use [Download attachment thumbnail](#api-rest-api-3-attachment-thumbnail-id-get).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** For the issue containing the attachment:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getAttachmentContent
     * Request URI: /rest/api/3/attachment/content/{id}
     */
    async getAttachmentContent(params, option) {
        const url = this.baseUrl + `/rest/api/3/attachment/content/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            redirect: { value: params.parameter.redirect, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get Jira attachment settings
     * Returns the attachment settings, that is, whether attachments are enabled and the maximum attachment size allowed.
     *
     * Note that there are also [project permissions](https://confluence.atlassian.com/x/yodKLg) that restrict whether users can create and delete attachments.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAttachmentMeta
     * Request URI: /rest/api/3/attachment/meta
     */
    async getAttachmentMeta(option) {
        const url = this.baseUrl + `/rest/api/3/attachment/meta`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get attachment thumbnail
     * Returns the thumbnail of an attachment.
     *
     * To return the attachment contents, use [Download attachment content](#api-rest-api-3-attachment-content-id-get).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** For the issue containing the attachment:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getAttachmentThumbnail
     * Request URI: /rest/api/3/attachment/thumbnail/{id}
     */
    async getAttachmentThumbnail(params, option) {
        const url = this.baseUrl + `/rest/api/3/attachment/thumbnail/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            redirect: { value: params.parameter.redirect, explode: false },
            fallbackToDefault: { value: params.parameter.fallbackToDefault, explode: false },
            width: { value: params.parameter.width, explode: false },
            height: { value: params.parameter.height, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get attachment metadata
     * Returns the metadata for an attachment. Note that the attachment itself is not returned.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getAttachment
     * Request URI: /rest/api/3/attachment/{id}
     */
    async getAttachment(params, option) {
        const url = this.baseUrl + `/rest/api/3/attachment/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Delete attachment
     * Deletes an attachment from an issue.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** For the project holding the issue containing the attachment:
     *
     *  *  *Delete own attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by the calling user.
     *  *  *Delete all attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by any user.
     * operationId: removeAttachment
     * Request URI: /rest/api/3/attachment/{id}
     */
    async removeAttachment(params, option) {
        const url = this.baseUrl + `/rest/api/3/attachment/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get all metadata for an expanded attachment
     * Returns the metadata for the contents of an attachment, if it is an archive, and metadata for the attachment itself. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned and metadata for the ZIP archive. Currently, only the ZIP archive format is supported.
     *
     * Use this operation to retrieve data that is presented to the user, as this operation returns the metadata for the attachment itself, such as the attachment's ID and name. Otherwise, use [ Get contents metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-raw-get), which only returns the metadata for the attachment's contents.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** For the issue containing the attachment:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: expandAttachmentForHumans
     * Request URI: /rest/api/3/attachment/{id}/expand/human
     */
    async expandAttachmentForHumans(params, option) {
        const url = this.baseUrl + `/rest/api/3/attachment/${params.parameter.id}/expand/human`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get contents metadata for an expanded attachment
     * Returns the metadata for the contents of an attachment, if it is an archive. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned. Currently, only the ZIP archive format is supported.
     *
     * Use this operation if you are processing the data without presenting it to the user, as this operation only returns the metadata for the contents of the attachment. Otherwise, to retrieve data to present to the user, use [ Get all metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-human-get) which also returns the metadata for the attachment itself, such as the attachment's ID and name.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** For the issue containing the attachment:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: expandAttachmentForMachines
     * Request URI: /rest/api/3/attachment/{id}/expand/raw
     */
    async expandAttachmentForMachines(params, option) {
        const url = this.baseUrl + `/rest/api/3/attachment/${params.parameter.id}/expand/raw`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get audit records
     * Returns a list of audit records. The list can be filtered to include items:
     *
     *  *  where each item in `filter` has at least one match in any of these fields:
     *
     *      *  `summary`
     *      *  `category`
     *      *  `eventSource`
     *      *  `objectItem.name` If the object is a user, account ID is available to filter.
     *      *  `objectItem.parentName`
     *      *  `objectItem.typeName`
     *      *  `changedValues.changedFrom`
     *      *  `changedValues.changedTo`
     *      *  `remoteAddress`
     *
     *     For example, if `filter` contains *man ed*, an audit record containing `summary": "User added to group"` and `"category": "group management"` is returned.
     *  *  created on or after a date and time.
     *  *  created or or before a date and time.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAuditRecords
     * Request URI: /rest/api/3/auditing/record
     */
    async getAuditRecords(params, option) {
        const url = this.baseUrl + `/rest/api/3/auditing/record`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            offset: { value: params.parameter.offset, explode: false },
            limit: { value: params.parameter.limit, explode: false },
            filter: { value: params.parameter.filter, explode: false },
            from: { value: params.parameter.from, explode: false },
            to: { value: params.parameter.to, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get system avatars by type
     * Returns a list of system avatar details by owner type, where the owner types are issue type, project, or user.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAllSystemAvatars
     * Request URI: /rest/api/3/avatar/{type}/system
     */
    async getAllSystemAvatars(params, option) {
        const url = this.baseUrl + `/rest/api/3/avatar/${params.parameter.type}/system`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get comments by IDs
     * Returns a [paginated](#pagination) list of comments specified by a list of comment IDs.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Comments are returned where the user:
     *
     *  *  has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: getCommentsByIds
     * Request URI: /rest/api/3/comment/list
     */
    async getCommentsByIds(params, option) {
        const url = this.baseUrl + `/rest/api/3/comment/list`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get comment property keys
     * Returns the keys of all the properties of a comment.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: getCommentPropertyKeys
     * Request URI: /rest/api/3/comment/{commentId}/properties
     */
    async getCommentPropertyKeys(params, option) {
        const url = this.baseUrl + `/rest/api/3/comment/${params.parameter.commentId}/properties`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get comment property
     * Returns the value of a comment property.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: getCommentProperty
     * Request URI: /rest/api/3/comment/{commentId}/properties/{propertyKey}
     */
    async getCommentProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/comment/${params.parameter.commentId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set comment property
     * Creates or updates the value of a property for a comment. Use this resource to store custom data against a comment.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
     *
     * **[Permissions](#permissions) required:** either of:
     *
     *  *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on any comment.
     *  *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on a comment created by the user.
     *
     * Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
     * operationId: setCommentProperty
     * Request URI: /rest/api/3/comment/{commentId}/properties/{propertyKey}
     */
    async setCommentProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/comment/${params.parameter.commentId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete comment property
     * Deletes a comment property.
     *
     * **[Permissions](#permissions) required:** either of:
     *
     *  *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from any comment.
     *  *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from a comment created by the user.
     *
     * Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
     * operationId: deleteCommentProperty
     * Request URI: /rest/api/3/comment/{commentId}/properties/{propertyKey}
     */
    async deleteCommentProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/comment/${params.parameter.commentId}/properties/${params.parameter.propertyKey}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Create component
     * Creates a component. Use components to provide containers for issues within a project.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the component is created or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createComponent
     * Request URI: /rest/api/3/component
     */
    async createComponent(params, option) {
        const url = this.baseUrl + `/rest/api/3/component`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get component
     * Returns a component.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for project containing the component.
     * operationId: getComponent
     * Request URI: /rest/api/3/component/{id}
     */
    async getComponent(params, option) {
        const url = this.baseUrl + `/rest/api/3/component/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update component
     * Updates a component. Any fields included in the request are overwritten. If `leadAccountId` is an empty string ("") the component lead is removed.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateComponent
     * Request URI: /rest/api/3/component/{id}
     */
    async updateComponent(params, option) {
        const url = this.baseUrl + `/rest/api/3/component/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete component
     * Deletes a component.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteComponent
     * Request URI: /rest/api/3/component/{id}
     */
    async deleteComponent(params, option) {
        const url = this.baseUrl + `/rest/api/3/component/${params.parameter.id}`;
        const headers = {};
        const queryParameters = {
            moveIssuesTo: { value: params.parameter.moveIssuesTo, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get component issues count
     * Returns the counts of issues assigned to the component.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getComponentRelatedIssues
     * Request URI: /rest/api/3/component/{id}/relatedIssueCounts
     */
    async getComponentRelatedIssues(params, option) {
        const url = this.baseUrl + `/rest/api/3/component/${params.parameter.id}/relatedIssueCounts`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get global settings
     * Returns the [global settings](https://confluence.atlassian.com/x/qYXKM) in Jira. These settings determine whether optional features (for example, subtasks, time tracking, and others) are enabled. If time tracking is enabled, this operation also returns the time tracking configuration.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getConfiguration
     * Request URI: /rest/api/3/configuration
     */
    async getConfiguration(option) {
        const url = this.baseUrl + `/rest/api/3/configuration`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get selected time tracking provider
     * Returns the time tracking provider that is currently selected. Note that if time tracking is disabled, then a successful but empty response is returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getSelectedTimeTrackingImplementation
     * Request URI: /rest/api/3/configuration/timetracking
     */
    async getSelectedTimeTrackingImplementation(option) {
        const url = this.baseUrl + `/rest/api/3/configuration/timetracking`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Select time tracking provider
     * Selects a time tracking provider.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: selectTimeTrackingImplementation
     * Request URI: /rest/api/3/configuration/timetracking
     */
    async selectTimeTrackingImplementation(params, option) {
        const url = this.baseUrl + `/rest/api/3/configuration/timetracking`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get all time tracking providers
     * Returns all time tracking providers. By default, Jira only has one time tracking provider: *JIRA provided time tracking*. However, you can install other time tracking providers via apps from the Atlassian Marketplace. For more information on time tracking providers, see the documentation for the [ Time Tracking Provider](https://developer.atlassian.com/cloud/jira/platform/modules/time-tracking-provider/) module.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAvailableTimeTrackingImplementations
     * Request URI: /rest/api/3/configuration/timetracking/list
     */
    async getAvailableTimeTrackingImplementations(option) {
        const url = this.baseUrl + `/rest/api/3/configuration/timetracking/list`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get time tracking settings
     * Returns the time tracking settings. This includes settings such as the time format, default time unit, and others. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getSharedTimeTrackingConfiguration
     * Request URI: /rest/api/3/configuration/timetracking/options
     */
    async getSharedTimeTrackingConfiguration(option) {
        const url = this.baseUrl + `/rest/api/3/configuration/timetracking/options`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set time tracking settings
     * Sets the time tracking settings.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setSharedTimeTrackingConfiguration
     * Request URI: /rest/api/3/configuration/timetracking/options
     */
    async setSharedTimeTrackingConfiguration(params, option) {
        const url = this.baseUrl + `/rest/api/3/configuration/timetracking/options`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get custom field option
     * Returns a custom field option. For example, an option in a select list.
     *
     * Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** The custom field option is returned as follows:
     *
     *  *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *  *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the custom field is used in, and the field is visible in at least one layout the user has permission to view.
     * operationId: getCustomFieldOption
     * Request URI: /rest/api/3/customFieldOption/{id}
     */
    async getCustomFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/customFieldOption/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get all dashboards
     * Returns a list of dashboards owned by or shared with the user. The list may be filtered to include only favorite or owned dashboards.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAllDashboards
     * Request URI: /rest/api/3/dashboard
     */
    async getAllDashboards(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            filter: { value: params.parameter.filter, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create dashboard
     * Creates a dashboard.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: createDashboard
     * Request URI: /rest/api/3/dashboard
     */
    async createDashboard(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Search for dashboards
     * Returns a [paginated](#pagination) list of dashboards. This operation is similar to [Get dashboards](#api-rest-api-3-dashboard-get) except that the results can be refined to include dashboards that have specific attributes. For example, dashboards with a particular name. When multiple attributes are specified only filters matching all attributes are returned.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** The following dashboards that match the query parameters are returned:
     *
     *  *  Dashboards owned by the user. Not returned for anonymous users.
     *  *  Dashboards shared with a group that the user is a member of. Not returned for anonymous users.
     *  *  Dashboards shared with a private project that the user can browse. Not returned for anonymous users.
     *  *  Dashboards shared with a public project.
     *  *  Dashboards shared with the public.
     * operationId: getDashboardsPaginated
     * Request URI: /rest/api/3/dashboard/search
     */
    async getDashboardsPaginated(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            dashboardName: { value: params.parameter.dashboardName, explode: false },
            accountId: { value: params.parameter.accountId, explode: false },
            owner: { value: params.parameter.owner, explode: false },
            groupname: { value: params.parameter.groupname, explode: false },
            projectId: { value: params.parameter.projectId, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get dashboard item property keys
     * Returns the keys of all properties for a dashboard item.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
     * operationId: getDashboardItemPropertyKeys
     * Request URI: /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties
     */
    async getDashboardItemPropertyKeys(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.dashboardId}/items/${params.parameter.itemId}/properties`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get dashboard item property
     * Returns the key and value of a dashboard item property.
     *
     * A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
     *
     * When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
     *
     * There is no resource to set or get dashboard items.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
     * operationId: getDashboardItemProperty
     * Request URI: /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties/{propertyKey}
     */
    async getDashboardItemProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.dashboardId}/items/${params.parameter.itemId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set dashboard item property
     * Sets the value of a dashboard item property. Use this resource in apps to store custom data against a dashboard item.
     *
     * A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
     *
     * When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
     *
     * There is no resource to set or get dashboard items.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
     * operationId: setDashboardItemProperty
     * Request URI: /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties/{propertyKey}
     */
    async setDashboardItemProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.dashboardId}/items/${params.parameter.itemId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete dashboard item property
     * Deletes a dashboard item property.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
     * operationId: deleteDashboardItemProperty
     * Request URI: /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties/{propertyKey}
     */
    async deleteDashboardItemProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.dashboardId}/items/${params.parameter.itemId}/properties/${params.parameter.propertyKey}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get dashboard
     * Returns a dashboard.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     *
     * However, to get a dashboard, the dashboard must be shared with the user or the user must own it. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users.
     * operationId: getDashboard
     * Request URI: /rest/api/3/dashboard/{id}
     */
    async getDashboard(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update dashboard
     * Updates a dashboard, replacing all the dashboard details with those provided.
     *
     * **[Permissions](#permissions) required:** None
     *
     * The dashboard to be updated must be owned by the user.
     * operationId: updateDashboard
     * Request URI: /rest/api/3/dashboard/{id}
     */
    async updateDashboard(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete dashboard
     * Deletes a dashboard.
     *
     * **[Permissions](#permissions) required:** None
     *
     * The dashboard to be deleted must be owned by the user.
     * operationId: deleteDashboard
     * Request URI: /rest/api/3/dashboard/{id}
     */
    async deleteDashboard(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Copy dashboard
     * Copies a dashboard. Any values provided in the `dashboard` parameter replace those in the copied dashboard.
     *
     * **[Permissions](#permissions) required:** None
     *
     * The dashboard to be copied must be owned by or shared with the user.
     * operationId: copyDashboard
     * Request URI: /rest/api/3/dashboard/{id}/copy
     */
    async copyDashboard(params, option) {
        const url = this.baseUrl + `/rest/api/3/dashboard/${params.parameter.id}/copy`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get events
     * Returns all issue events.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getEvents
     * Request URI: /rest/api/3/events
     */
    async getEvents(option) {
        const url = this.baseUrl + `/rest/api/3/events`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Analyse Jira expression
     * Analyses and validates Jira expressions.
     *
     * As an experimental feature, this operation can also attempt to type-check the expressions.
     *
     * Learn more about Jira expressions in the [documentation](https://developer.atlassian.com/cloud/jira/platform/jira-expressions/).
     *
     * **[Permissions](#permissions) required**: None.
     * operationId: analyseExpression
     * Request URI: /rest/api/3/expression/analyse
     */
    async analyseExpression(params, option) {
        const url = this.baseUrl + `/rest/api/3/expression/analyse`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            check: { value: params.parameter.check, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Evaluate Jira expression
     * Evaluates a Jira expression and returns its value.
     *
     * This resource can be used to test Jira expressions that you plan to use elsewhere, or to fetch data in a flexible way. Consult the [Jira expressions documentation](https://developer.atlassian.com/cloud/jira/platform/jira-expressions/) for more details.
     *
     * #### Context variables ####
     *
     * The following context variables are available to Jira expressions evaluated by this resource. Their presence depends on various factors; usually you need to manually request them in the context object sent in the payload, but some of them are added automatically under certain conditions.
     *
     *  *  `user` ([User](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#user)): The current user. Always available and equal to `null` if the request is anonymous.
     *  *  `app` ([App](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#app)): The [Connect app](https://developer.atlassian.com/cloud/jira/platform/index/#connect-apps) that made the request. Available only for authenticated requests made by Connect Apps (read more here: [Authentication for Connect apps](https://developer.atlassian.com/cloud/jira/platform/security-for-connect-apps/)).
     *  *  `issue` ([Issue](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#issue)): The current issue. Available only when the issue is provided in the request context object.
     *  *  `issues` ([List](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#list) of [Issues](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#issue)): A collection of issues matching a JQL query. Available only when JQL is provided in the request context object.
     *  *  `project` ([Project](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#project)): The current project. Available only when the project is provided in the request context object.
     *  *  `sprint` ([Sprint](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#sprint)): The current sprint. Available only when the sprint is provided in the request context object.
     *  *  `board` ([Board](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#board)): The current board. Available only when the board is provided in the request context object.
     *  *  `serviceDesk` ([ServiceDesk](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#servicedesk)): The current service desk. Available only when the service desk is provided in the request context object.
     *  *  `customerRequest` ([CustomerRequest](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#customerrequest)): The current customer request. Available only when the customer request is provided in the request context object.
     *
     * Also, custom context variables can be passed in the request with their types. Those variables can be accessed by key in the Jira expression. These variable types are available for use in a custom context:
     *
     *  *  `user`: A [user](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#user) specified as an Atlassian account ID.
     *  *  `issue`: An [issue](https://developer.atlassian.com/cloud/jira/platform/jira-expressions-type-reference#issue) specified by ID or key. All the fields of the issue object are available in the Jira expression.
     *  *  `json`: A JSON object containing custom content.
     *  *  `list`: A JSON list of `user`, `issue`, or `json` variable types.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required**: None. However, an expression may return different results for different users depending on their permissions. For example, different users may see different comments on the same issue.
     * Permission to access Jira Software is required to access Jira Software context variables (`board` and `sprint`) or fields (for example, `issue.sprint`).
     * operationId: evaluateJiraExpression
     * Request URI: /rest/api/3/expression/eval
     */
    async evaluateJiraExpression(params, option) {
        const url = this.baseUrl + `/rest/api/3/expression/eval`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get fields
     * Returns system and custom issue fields according to the following rules:
     *
     *  *  Fields that cannot be added to the issue navigator are always returned.
     *  *  Fields that cannot be placed on an issue screen are always returned.
     *  *  Fields that depend on global Jira settings are only returned if the setting is enabled. That is, timetracking fields, subtasks, votes, and watches.
     *  *  For all other fields, this operation only returns the fields that the user has permission to view (that is, the field is used in at least one project that the user has *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.)
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getFields
     * Request URI: /rest/api/3/field
     */
    async getFields(option) {
        const url = this.baseUrl + `/rest/api/3/field`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Create custom field
     * Creates a custom field.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createCustomField
     * Request URI: /rest/api/3/field
     */
    async createCustomField(params, option) {
        const url = this.baseUrl + `/rest/api/3/field`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get fields paginated
     * Returns a [paginated](#pagination) list of fields for Classic Jira projects. The list can include:
     *
     *  *  all fields.
     *  *  specific fields, by defining `id`.
     *  *  fields that contain a string in the field name or description, by defining `query`.
     *  *  specific fields that contain a string in the field name or description, by defining `id` and `query`.
     *
     * Only custom fields can be queried, `type` must be set to `custom`.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getFieldsPaginated
     * Request URI: /rest/api/3/field/search
     */
    async getFieldsPaginated(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            type: { value: params.parameter.type, explode: false },
            id: { value: params.parameter.id, explode: false },
            query: { value: params.parameter.query, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update custom field
     * Updates a custom field.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateCustomField
     * Request URI: /rest/api/3/field/{fieldId}
     */
    async updateCustomField(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get custom field contexts
     * Returns a [paginated](#pagination) list of [ contexts](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html) for a custom field. Contexts can be returned as follows:
     *
     *  *  With no other parameters set, all contexts.
     *  *  By defining `id` only, all contexts from the list of IDs.
     *  *  By defining `isAnyIssueType`, limit the list of contexts returned to either those that apply to all issue types (true) or those that apply to only a subset of issue types (false)
     *  *  By defining `isGlobalContext`, limit the list of contexts return to either those that apply to all projects (global contexts) (true) or those that apply to only a subset of projects (false).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getContextsForField
     * Request URI: /rest/api/3/field/{fieldId}/context
     */
    async getContextsForField(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            isAnyIssueType: { value: params.parameter.isAnyIssueType, explode: false },
            isGlobalContext: { value: params.parameter.isGlobalContext, explode: false },
            contextId: { value: params.parameter.contextId, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create custom field context
     * Creates a custom field context.
     *
     * If `projectIds` is empty, a global context is created. A global context is one that applies to all project. If `issueTypeIds` is empty, the context applies to all issue types.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createCustomFieldContext
     * Request URI: /rest/api/3/field/{fieldId}/context
     */
    async createCustomFieldContext(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get custom field contexts default values
     * Returns a [paginated](#pagination) list of defaults for a custom field. The results can be filtered by `contextId`, otherwise all values are returned. If no defaults are set for a context, nothing is returned.
     * The returned object depends on type of the custom field:
     *
     *  *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
     *  *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
     *  *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
     *  *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
     *  *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
     *  *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
     *  *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
     *  *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group picker.
     *  *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group picker.
     *  *  `CustomFieldContextDefaultValueURL` (type `url`) for URL.
     *  *  `CustomFieldContextDefaultValueProject` (type `project`) for project picker.
     *  *  `CustomFieldContextDefaultValueFloat` (type `float`) for float (a floating-point number).
     *  *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
     *  *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text field.
     *  *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area field.
     *  *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) field.
     *  *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version picker.
     *  *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version picker.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getDefaultValues
     * Request URI: /rest/api/3/field/{fieldId}/context/defaultValue
     */
    async getDefaultValues(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/defaultValue`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            contextId: { value: params.parameter.contextId, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Set custom field contexts default values
     * Sets default for contexts of a custom field. Default are defined using these objects:
     *
     *  *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
     *  *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
     *  *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
     *  *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
     *  *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
     *  *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
     *  *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
     *  *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group picker.
     *  *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group picker.
     *  *  `CustomFieldContextDefaultValueURL` (type `url`) for URL.
     *  *  `CustomFieldContextDefaultValueProject` (type `project`) for project picker.
     *  *  `CustomFieldContextDefaultValueFloat` (type `float`) for float (a floating-point number).
     *  *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
     *  *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text field.
     *  *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area field.
     *  *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) field.
     *  *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version picker.
     *  *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version picker.
     *
     * Only one type of default object can be included in a request. To remove a default for a context, set the default parameter to `null`.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setDefaultValues
     * Request URI: /rest/api/3/field/{fieldId}/context/defaultValue
     */
    async setDefaultValues(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/defaultValue`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue types for custom field context
     * Returns a [paginated](#pagination) list of context to issue type mappings for a custom field. Mappings are returned for all contexts or a list of contexts. Mappings are ordered first by context ID and then by issue type ID.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueTypeMappingsForContexts
     * Request URI: /rest/api/3/field/{fieldId}/context/issuetypemapping
     */
    async getIssueTypeMappingsForContexts(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/issuetypemapping`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            contextId: { value: params.parameter.contextId, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get custom field contexts for projects and issue types
     * Returns a [paginated](#pagination) list of project and issue type mappings and, for each mapping, the ID of a [custom field context](https://confluence.atlassian.com/x/k44fOw) that applies to the project and issue type.
     *
     * If there is no custom field context assigned to the project then, if present, the custom field context that applies to all projects is returned if it also applies to the issue type or all issue types. If a custom field context is not found, the returned custom field context ID is `null`.
     *
     * Duplicate project and issue type mappings cannot be provided in the request.
     *
     * The order of the returned values is the same as provided in the request.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getCustomFieldContextsForProjectsAndIssueTypes
     * Request URI: /rest/api/3/field/{fieldId}/context/mapping
     */
    async getCustomFieldContextsForProjectsAndIssueTypes(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/mapping`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get project mappings for custom field context
     * Returns a [paginated](#pagination) list of context to project mappings for a custom field. The result can be filtered by `contextId`. Otherwise, all mappings are returned. Invalid IDs are ignored.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getProjectContextMapping
     * Request URI: /rest/api/3/field/{fieldId}/context/projectmapping
     */
    async getProjectContextMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/projectmapping`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            contextId: { value: params.parameter.contextId, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update custom field context
     * Updates a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateCustomFieldContext
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}
     */
    async updateCustomFieldContext(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete custom field context
     * Deletes a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteCustomFieldContext
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}
     */
    async deleteCustomFieldContext(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Add issue types to context
     * Adds issue types to a custom field context, appending the issue types to the issue types list.
     *
     * A custom field context without any issue types applies to all issue types. Adding issue types to such a custom field context would result in it applying to only the listed issue types.
     *
     * If any of the issue types exists in the custom field context, the operation fails and no issue types are added.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: addIssueTypesToContext
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/issuetype
     */
    async addIssueTypesToContext(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/issuetype`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove issue types from context
     * Removes issue types from a custom field context.
     *
     * A custom field context without any issue types applies to all issue types.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: removeIssueTypesFromContext
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/issuetype/remove
     */
    async removeIssueTypesFromContext(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/issuetype/remove`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get custom field options (context)
     * Returns a [paginated](#pagination) list of all custom field option for a context. Options are returned first then cascading options, in the order they display in Jira.
     *
     * This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getOptionsForContext
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/option
     */
    async getOptionsForContext(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/option`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            optionId: { value: params.parameter.optionId, explode: false },
            onlyOptions: { value: params.parameter.onlyOptions, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update custom field options (context)
     * Updates the options of a custom field.
     *
     * If any of the options are not found, no options are updated. Options where the values in the request match the current values aren't updated and aren't reported in the response.
     *
     * Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateCustomFieldOption
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/option
     */
    async updateCustomFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/option`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Create custom field options (context)
     * Creates options and, where the custom select field is of the type Select List (cascading), cascading options for a custom select field. The options are added to a context of the field.
     *
     * The maximum number of options that can be created per request is 1000 and each field can have a maximum of 10000 options.
     *
     * This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createCustomFieldOption
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/option
     */
    async createCustomFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/option`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Reorder custom field options (context)
     * Changes the order of custom field options or cascading options in a context.
     *
     * This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: reorderCustomFieldOptions
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/option/move
     */
    async reorderCustomFieldOptions(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/option/move`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete custom field options (context)
     * Deletes a custom field option.
     *
     * Options with cascading options cannot be deleted without deleting the cascading options first.
     *
     * This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteCustomFieldOption
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/option/{optionId}
     */
    async deleteCustomFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/option/${params.parameter.optionId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Assign custom field context to projects
     * Assigns a custom field context to projects.
     *
     * If any project in the request is assigned to any context of the custom field, the operation fails.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: assignProjectsToCustomFieldContext
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/project
     */
    async assignProjectsToCustomFieldContext(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/project`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove custom field context from projects
     * Removes a custom field context from projects.
     *
     * A custom field context without any projects applies to all projects. Removing all projects from a custom field context would result in it applying to all projects.
     *
     * If any project in the request is not assigned to the context, or the operation would result in two global contexts for the field, the operation fails.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: removeCustomFieldContextFromProjects
     * Request URI: /rest/api/3/field/{fieldId}/context/{contextId}/project/remove
     */
    async removeCustomFieldContextFromProjects(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/context/${params.parameter.contextId}/project/remove`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * @deprecated
     * Get contexts for a field
     * Returns a [paginated](#pagination) list of the contexts a field is used in. Deprecated, use [ Get custom field contexts](#api-rest-api-3-field-fieldId-context-get).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getContextsForFieldDeprecated
     * Request URI: /rest/api/3/field/{fieldId}/contexts
     */
    async getContextsForFieldDeprecated(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/contexts`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get screens for a field
     * Returns a [paginated](#pagination) list of the screens a field is used in.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getScreensForField
     * Request URI: /rest/api/3/field/{fieldId}/screens
     */
    async getScreensForField(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldId}/screens`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get all issue field options
     * Returns a [paginated](#pagination) list of all the options of a select list issue field. A select list issue field is a type of [issue field](https://developer.atlassian.com/cloud/jira/platform/modules/issue-field/) that enables a user to select a value from a list of options.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the app providing the field.
     * operationId: getAllIssueFieldOptions
     * Request URI: /rest/api/3/field/{fieldKey}/option
     */
    async getAllIssueFieldOptions(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create issue field option
     * Creates an option for a select list issue field.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the app providing the field.
     * operationId: createIssueFieldOption
     * Request URI: /rest/api/3/field/{fieldKey}/option
     */
    async createIssueFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get selectable issue field options
     * Returns a [paginated](#pagination) list of options for a select list issue field that can be viewed and selected by the user.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getSelectableIssueFieldOptions
     * Request URI: /rest/api/3/field/{fieldKey}/option/suggestions/edit
     */
    async getSelectableIssueFieldOptions(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option/suggestions/edit`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            projectId: { value: params.parameter.projectId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get visible issue field options
     * Returns a [paginated](#pagination) list of options for a select list issue field that can be viewed by the user.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getVisibleIssueFieldOptions
     * Request URI: /rest/api/3/field/{fieldKey}/option/suggestions/search
     */
    async getVisibleIssueFieldOptions(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option/suggestions/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            projectId: { value: params.parameter.projectId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get issue field option
     * Returns an option from a select list issue field.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the app providing the field.
     * operationId: getIssueFieldOption
     * Request URI: /rest/api/3/field/{fieldKey}/option/{optionId}
     */
    async getIssueFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option/${params.parameter.optionId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update issue field option
     * Updates or creates an option for a select list issue field. This operation requires that the option ID is provided when creating an option, therefore, the option ID needs to be specified as a path and body parameter. The option ID provided in the path and body must be identical.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the app providing the field.
     * operationId: updateIssueFieldOption
     * Request URI: /rest/api/3/field/{fieldKey}/option/{optionId}
     */
    async updateIssueFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option/${params.parameter.optionId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete issue field option
     * Deletes an option from a select list issue field.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the app providing the field.
     * operationId: deleteIssueFieldOption
     * Request URI: /rest/api/3/field/{fieldKey}/option/{optionId}
     */
    async deleteIssueFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option/${params.parameter.optionId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Replace issue field option
     * Deselects an issue-field select-list option from all issues where it is selected. A different option can be selected to replace the deselected option. The update can also be limited to a smaller set of issues by using a JQL query.
     *
     * Connect app users with admin permissions (from user permissions and app scopes) and Forge app users with the `manage:jira-configuration` scope can override the screen security configuration using `overrideScreenSecurity` and `overrideEditableFlag`.
     *
     * This is an [asynchronous operation](#async). The response object contains a link to the long-running task.
     *
     * Note that this operation **only works for issue field select list options added by Connect apps**, it cannot be used with issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg). Jira permissions are not required for the app providing the field.
     * operationId: replaceIssueFieldOption
     * Request URI: /rest/api/3/field/{fieldKey}/option/{optionId}/issue
     */
    async replaceIssueFieldOption(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.fieldKey}/option/${params.parameter.optionId}/issue`;
        const headers = {};
        const queryParameters = {
            replaceWith: { value: params.parameter.replaceWith, explode: false },
            jql: { value: params.parameter.jql, explode: false },
            overrideScreenSecurity: { value: params.parameter.overrideScreenSecurity, explode: false },
            overrideEditableFlag: { value: params.parameter.overrideEditableFlag, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Delete custom field
     * Deletes a custom field. The custom field is deleted whether it is in the trash or not. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
     *
     * This operation is [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteCustomField
     * Request URI: /rest/api/3/field/{id}
     */
    async deleteCustomField(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Restore custom field from trash
     * Restores a custom field from trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: restoreCustomField
     * Request URI: /rest/api/3/field/{id}/restore
     */
    async restoreCustomField(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.id}/restore`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Move custom field to trash
     * Moves a custom field to trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: trashCustomField
     * Request URI: /rest/api/3/field/{id}/trash
     */
    async trashCustomField(params, option) {
        const url = this.baseUrl + `/rest/api/3/field/${params.parameter.id}/trash`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Get all field configurations
     * Returns a [paginated](#pagination) list of field configurations. The list can be for all field configurations or a subset determined by any combination of these criteria:
     *
     *  *  a list of field configuration item IDs.
     *  *  whether the field configuration is a default.
     *  *  whether the field configuration name or description contains a query string.
     *
     * Only field configurations used in company-managed (classic) projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllFieldConfigurations
     * Request URI: /rest/api/3/fieldconfiguration
     */
    async getAllFieldConfigurations(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfiguration`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            id: { value: params.parameter.id, explode: false },
            isDefault: { value: params.parameter.isDefault, explode: false },
            query: { value: params.parameter.query, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create field configuration
     * Creates a field configuration. The field configuration is created with the same field properties as the default configuration, with all the fields being optional.
     *
     * This operation can only create configurations for use in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createFieldConfiguration
     * Request URI: /rest/api/3/fieldconfiguration
     */
    async createFieldConfiguration(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfiguration`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update field configuration
     * Updates a field configuration. The name and the description provided in the request override the existing values.
     *
     * This operation can only update configurations used in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateFieldConfiguration
     * Request URI: /rest/api/3/fieldconfiguration/{id}
     */
    async updateFieldConfiguration(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfiguration/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete field configuration
     * Deletes a field configuration.
     *
     * This operation can only delete configurations used in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteFieldConfiguration
     * Request URI: /rest/api/3/fieldconfiguration/{id}
     */
    async deleteFieldConfiguration(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfiguration/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get field configuration items
     * Returns a [paginated](#pagination) list of all fields for a configuration.
     *
     * Only the fields from configurations used in company-managed (classic) projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getFieldConfigurationItems
     * Request URI: /rest/api/3/fieldconfiguration/{id}/fields
     */
    async getFieldConfigurationItems(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfiguration/${params.parameter.id}/fields`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update field configuration items
     * Updates fields in a field configuration. The properties of the field configuration fields provided override the existing values.
     *
     * This operation can only update field configurations used in company-managed (classic) projects.
     *
     * The operation can set the renderer for text fields to the default text renderer (`text-renderer`) or wiki style renderer (`wiki-renderer`). However, the renderer cannot be updated for fields using the autocomplete renderer (`autocomplete-renderer`).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateFieldConfigurationItems
     * Request URI: /rest/api/3/fieldconfiguration/{id}/fields
     */
    async updateFieldConfigurationItems(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfiguration/${params.parameter.id}/fields`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get all field configuration schemes
     * Returns a [paginated](#pagination) list of field configuration schemes.
     *
     * Only field configuration schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllFieldConfigurationSchemes
     * Request URI: /rest/api/3/fieldconfigurationscheme
     */
    async getAllFieldConfigurationSchemes(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            id: { value: params.parameter.id, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create field configuration scheme
     * Creates a field configuration scheme.
     *
     * This operation can only create field configuration schemes used in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createFieldConfigurationScheme
     * Request URI: /rest/api/3/fieldconfigurationscheme
     */
    async createFieldConfigurationScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get field configuration issue type items
     * Returns a [paginated](#pagination) list of field configuration issue type items.
     *
     * Only items used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getFieldConfigurationSchemeMappings
     * Request URI: /rest/api/3/fieldconfigurationscheme/mapping
     */
    async getFieldConfigurationSchemeMappings(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme/mapping`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            fieldConfigurationSchemeId: { value: params.parameter.fieldConfigurationSchemeId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get field configuration schemes for projects
     * Returns a [paginated](#pagination) list of field configuration schemes and, for each scheme, a list of the projects that use it.
     *
     * The list is sorted by field configuration scheme ID. The first item contains the list of project IDs assigned to the default field configuration scheme.
     *
     * Only field configuration schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getFieldConfigurationSchemeProjectMapping
     * Request URI: /rest/api/3/fieldconfigurationscheme/project
     */
    async getFieldConfigurationSchemeProjectMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme/project`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            projectId: { value: params.parameter.projectId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Assign field configuration scheme to project
     * Assigns a field configuration scheme to a project. If the field configuration scheme ID is `null`, the operation assigns the default field configuration scheme.
     *
     * Field configuration schemes can only be assigned to classic projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: assignFieldConfigurationSchemeToProject
     * Request URI: /rest/api/3/fieldconfigurationscheme/project
     */
    async assignFieldConfigurationSchemeToProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme/project`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update field configuration scheme
     * Updates a field configuration scheme.
     *
     * This operation can only update field configuration schemes used in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateFieldConfigurationScheme
     * Request URI: /rest/api/3/fieldconfigurationscheme/{id}
     */
    async updateFieldConfigurationScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete field configuration scheme
     * Deletes a field configuration scheme.
     *
     * This operation can only delete field configuration schemes used in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteFieldConfigurationScheme
     * Request URI: /rest/api/3/fieldconfigurationscheme/{id}
     */
    async deleteFieldConfigurationScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Assign issue types to field configurations
     * Assigns issue types to field configurations on field configuration scheme.
     *
     * This operation can only modify field configuration schemes used in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setFieldConfigurationSchemeMapping
     * Request URI: /rest/api/3/fieldconfigurationscheme/{id}/mapping
     */
    async setFieldConfigurationSchemeMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme/${params.parameter.id}/mapping`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove issue types from field configuration scheme
     * Removes issue types from the field configuration scheme.
     *
     * This operation can only modify field configuration schemes used in company-managed (classic) projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: removeIssueTypesFromGlobalFieldConfigurationScheme
     * Request URI: /rest/api/3/fieldconfigurationscheme/{id}/mapping/delete
     */
    async removeIssueTypesFromGlobalFieldConfigurationScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/fieldconfigurationscheme/${params.parameter.id}/mapping/delete`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * @deprecated
     * Get filters
     * Returns all filters. Deprecated, use [ Search for filters](#api-rest-api-3-filter-search-get) that supports search and pagination.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None, however, only the following filters are returned:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: getFilters
     * Request URI: /rest/api/3/filter
     */
    async getFilters(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create filter
     * Creates a filter. The filter is shared according to the [default share scope](#api-rest-api-3-filter-post). The filter is not selected as a favorite.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: createFilter
     * Request URI: /rest/api/3/filter
     */
    async createFilter(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get default share scope
     * Returns the default sharing settings for new filters and dashboards for a user.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getDefaultShareScope
     * Request URI: /rest/api/3/filter/defaultShareScope
     */
    async getDefaultShareScope(option) {
        const url = this.baseUrl + `/rest/api/3/filter/defaultShareScope`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set default share scope
     * Sets the default sharing for new filters and dashboards for a user.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: setDefaultShareScope
     * Request URI: /rest/api/3/filter/defaultShareScope
     */
    async setDefaultShareScope(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/defaultShareScope`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get favorite filters
     * Returns the visible favorite filters of the user.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** A favorite filter is only visible to the user where the filter is:
     *
     *  *  owned by the user.
     *  *  shared with a group that the user is a member of.
     *  *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  shared with a public project.
     *  *  shared with the public.
     *
     * For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
     * operationId: getFavouriteFilters
     * Request URI: /rest/api/3/filter/favourite
     */
    async getFavouriteFilters(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/favourite`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get my filters
     * Returns the filters owned by the user. If `includeFavourites` is `true`, the user's visible favorite filters are also returned.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however, a favorite filters is only visible to the user where the filter is:
     *
     *  *  owned by the user.
     *  *  shared with a group that the user is a member of.
     *  *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  shared with a public project.
     *  *  shared with the public.
     *
     * For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
     * operationId: getMyFilters
     * Request URI: /rest/api/3/filter/my
     */
    async getMyFilters(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/my`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false },
            includeFavourites: { value: params.parameter.includeFavourites, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Search for filters
     * Returns a [paginated](#pagination) list of filters. Use this operation to get:
     *
     *  *  specific filters, by defining `id` only.
     *  *  filters that match all of the specified attributes. For example, all filters for a user with a particular word in their name. When multiple attributes are specified only filters matching all attributes are returned.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None, however, only the following filters that match the query parameters are returned:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: getFiltersPaginated
     * Request URI: /rest/api/3/filter/search
     */
    async getFiltersPaginated(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            filterName: { value: params.parameter.filterName, explode: false },
            accountId: { value: params.parameter.accountId, explode: false },
            owner: { value: params.parameter.owner, explode: false },
            groupname: { value: params.parameter.groupname, explode: false },
            projectId: { value: params.parameter.projectId, explode: false },
            id: { value: params.parameter.id, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get filter
     * Returns a filter.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None, however, the filter is only returned where it is:
     *
     *  *  owned by the user.
     *  *  shared with a group that the user is a member of.
     *  *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  shared with a public project.
     *  *  shared with the public.
     * operationId: getFilter
     * Request URI: /rest/api/3/filter/{id}
     */
    async getFilter(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update filter
     * Updates a filter. Use this operation to update a filter's name, description, JQL, or sharing.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however the user must own the filter.
     * operationId: updateFilter
     * Request URI: /rest/api/3/filter/{id}
     */
    async updateFilter(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete filter
     * Delete a filter.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however filters can only be deleted by the creator of the filter or a user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteFilter
     * Request URI: /rest/api/3/filter/{id}
     */
    async deleteFilter(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get columns
     * Returns the columns configured for a filter. The column configuration is used when the filter's results are viewed in *List View* with the *Columns* set to *Filter*.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None, however, column details are only returned for:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: getColumns
     * Request URI: /rest/api/3/filter/{id}/columns
     */
    async getColumns(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/columns`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set columns
     * Sets the columns for a filter. Only navigable fields can be set as columns. Use [Get fields](#api-rest-api-3-field-get) to get the list fields in Jira. A navigable field has `navigable` set to `true`.
     *
     * The parameters for this resource are expressed as HTML form data. For example, in curl:
     *
     * `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/filter/10000/columns`
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only set for:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: setColumns
     * Request URI: /rest/api/3/filter/{id}/columns
     */
    async setColumns(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/columns`;
        const headers = {
            "Content-Type": params.headers["Content-Type"],
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Reset columns
     * Reset the user's column configuration for the filter to the default.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only reset for:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: resetColumns
     * Request URI: /rest/api/3/filter/{id}/columns
     */
    async resetColumns(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/columns`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Add filter as favorite
     * Add a filter as a favorite for the user.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however, the user can only favorite:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: setFavouriteForFilter
     * Request URI: /rest/api/3/filter/{id}/favourite
     */
    async setFavouriteForFilter(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/favourite`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, undefined, queryParameters, option);
    }
    /**
     * Remove filter as favorite
     * Removes a filter as a favorite for the user. Note that this operation only removes filters visible to the user from the user's favorites list. For example, if the user favorites a public filter that is subsequently made private (and is therefore no longer visible on their favorites list) they cannot remove it from their favorites list.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: deleteFavouriteForFilter
     * Request URI: /rest/api/3/filter/{id}/favourite
     */
    async deleteFavouriteForFilter(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/favourite`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get share permissions
     * Returns the share permissions for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None, however, share permissions are only returned for:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: getSharePermissions
     * Request URI: /rest/api/3/filter/{id}/permission
     */
    async getSharePermissions(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/permission`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Add share permission
     * Add a share permissions to a filter. If you add a global share permission (one for all logged-in users or the public) it will overwrite all share permissions for the filter.
     *
     * Be aware that this operation uses different objects for updating share permissions compared to [Update filter](#api-rest-api-3-filter-id-put).
     *
     * **[Permissions](#permissions) required:** *Share dashboards and filters* [global permission](https://confluence.atlassian.com/x/x4dKLg) and the user must own the filter.
     * operationId: addSharePermission
     * Request URI: /rest/api/3/filter/{id}/permission
     */
    async addSharePermission(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/permission`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get share permission
     * Returns a share permission for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None, however, a share permission is only returned for:
     *
     *  *  filters owned by the user.
     *  *  filters shared with a group that the user is a member of.
     *  *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
     *  *  filters shared with a public project.
     *  *  filters shared with the public.
     * operationId: getSharePermission
     * Request URI: /rest/api/3/filter/{id}/permission/{permissionId}
     */
    async getSharePermission(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/permission/${params.parameter.permissionId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Delete share permission
     * Deletes a share permission from a filter.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira and the user must own the filter.
     * operationId: deleteSharePermission
     * Request URI: /rest/api/3/filter/{id}/permission/{permissionId}
     */
    async deleteSharePermission(params, option) {
        const url = this.baseUrl + `/rest/api/3/filter/${params.parameter.id}/permission/${params.parameter.permissionId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * @deprecated
     * Get group
     * This operation is deprecated, use [`group/member`](#api-rest-api-3-group-member-get).
     *
     * Returns all users in a group.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getGroup
     * Request URI: /rest/api/3/group
     */
    async getGroup(params, option) {
        const url = this.baseUrl + `/rest/api/3/group`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            groupname: { value: params.parameter.groupname, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create group
     * Creates a group.
     *
     * **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
     * operationId: createGroup
     * Request URI: /rest/api/3/group
     */
    async createGroup(params, option) {
        const url = this.baseUrl + `/rest/api/3/group`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove group
     * Deletes a group.
     *
     * **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* strategic [group](https://confluence.atlassian.com/x/24xjL)).
     * operationId: removeGroup
     * Request URI: /rest/api/3/group
     */
    async removeGroup(params, option) {
        const url = this.baseUrl + `/rest/api/3/group`;
        const headers = {};
        const queryParameters = {
            groupname: { value: params.parameter.groupname, explode: false },
            swapGroup: { value: params.parameter.swapGroup, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Bulk get groups
     * Returns a [paginated](#pagination) list of groups.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: bulkGetGroups
     * Request URI: /rest/api/3/group/bulk
     */
    async bulkGetGroups(params, option) {
        const url = this.baseUrl + `/rest/api/3/group/bulk`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            groupId: { value: params.parameter.groupId, explode: false },
            groupName: { value: params.parameter.groupName, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get users from group
     * Returns a [paginated](#pagination) list of all users in a group.
     *
     * Note that users are ordered by username, however the username is not returned in the results due to privacy reasons.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getUsersFromGroup
     * Request URI: /rest/api/3/group/member
     */
    async getUsersFromGroup(params, option) {
        const url = this.baseUrl + `/rest/api/3/group/member`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            groupname: { value: params.parameter.groupname, explode: false },
            includeInactiveUsers: { value: params.parameter.includeInactiveUsers, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Add user to group
     * Adds a user to a group.
     *
     * **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
     * operationId: addUserToGroup
     * Request URI: /rest/api/3/group/user
     */
    async addUserToGroup(params, option) {
        const url = this.baseUrl + `/rest/api/3/group/user`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            groupname: { value: params.parameter.groupname, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Remove user from group
     * Removes a user from a group.
     *
     * **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
     * operationId: removeUserFromGroup
     * Request URI: /rest/api/3/group/user
     */
    async removeUserFromGroup(params, option) {
        const url = this.baseUrl + `/rest/api/3/group/user`;
        const headers = {};
        const queryParameters = {
            groupname: { value: params.parameter.groupname, explode: false },
            username: { value: params.parameter.username, explode: false },
            accountId: { value: params.parameter.accountId, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find groups
     * Returns a list of groups whose names contain a query string. A list of group names can be provided to exclude groups from the results.
     *
     * The primary use case for this resource is to populate a group picker suggestions list. To this end, the returned object includes the `html` field where the matched query term is highlighted in the group name with the HTML strong tag. Also, the groups list is wrapped in a response object that contains a header for use in the picker, specifically *Showing X of Y matching groups*.
     *
     * The list returns with the groups sorted. If no groups match the list criteria, an empty list is returned.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg). Anonymous calls and calls by users without the required permission return an empty list.
     * operationId: findGroups
     * Request URI: /rest/api/3/groups/picker
     */
    async findGroups(params, option) {
        const url = this.baseUrl + `/rest/api/3/groups/picker`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            query: { value: params.parameter.query, explode: false },
            exclude: { value: params.parameter.exclude, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            userName: { value: params.parameter.userName, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users and groups
     * Returns a list of users and groups matching a string. The string is used:
     *
     *  *  for users, to find a case-insensitive match with display name and e-mail address. Note that if a user has hidden their email address in their user profile, partial matches of the email address will not find the user. An exact match is required.
     *  *  for groups, to find a case-sensitive match with group name.
     *
     * For example, if the string *tin* is used, records with the display name *Tina*, email address *sarah@tinplatetraining.com*, and the group *accounting* would be returned.
     *
     * Optionally, the search can be refined to:
     *
     *  *  the projects and issue types associated with a custom field, such as a user picker. The search can then be further refined to return only users and groups that have permission to view specific:
     *
     *      *  projects.
     *      *  issue types.
     *
     *     If multiple projects or issue types are specified, they must be a subset of those enabled for the custom field or no results are returned. For example, if a field is enabled for projects A, B, and C then the search could be limited to projects B and C. However, if the search is limited to projects B and D, nothing is returned.
     *  *  not return Connect app users and groups.
     *  *  return groups that have a case-insensitive match with the query.
     *
     * The primary use case for this resource is to populate a picker field suggestion list with users or groups. To this end, the returned object includes an `html` field for each list. This field highlights the matched query term in the item name with the HTML strong tag. Also, each list is wrapped in a response object that contains a header for use in a picker, specifically *Showing X of Y matching groups*.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/yodKLg).
     * operationId: findUsersAndGroups
     * Request URI: /rest/api/3/groupuserpicker
     */
    async findUsersAndGroups(params, option) {
        const url = this.baseUrl + `/rest/api/3/groupuserpicker`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            showAvatar: { value: params.parameter.showAvatar, explode: false },
            fieldId: { value: params.parameter.fieldId, explode: false },
            projectId: { value: params.parameter.projectId, explode: false },
            issueTypeId: { value: params.parameter.issueTypeId, explode: false },
            avatarSize: { value: params.parameter.avatarSize, explode: false },
            caseInsensitive: { value: params.parameter.caseInsensitive, explode: false },
            excludeConnectAddons: { value: params.parameter.excludeConnectAddons, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get license
     * Returns licensing information about the Jira instance.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getLicense
     * Request URI: /rest/api/3/instance/license
     */
    async getLicense(option) {
        const url = this.baseUrl + `/rest/api/3/instance/license`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Create issue
     * Creates an issue or, where the option to create subtasks is enabled in Jira, a subtask. A transition may be applied, to move the issue or subtask to a workflow step other than the default start step, and issue properties set.
     *
     * The content of the issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issue's create screen. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
     *
     * Creating a subtask differs from creating an issue as follows:
     *
     *  *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
     *  *  `parent` must contain the ID or key of the parent issue.
     *
     * In a next-gen project any issue may be made a child providing that the parent and child are members of the same project. In a classic project the parent field is only valid for subtasks.
     *
     * **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which the issue or subtask is created.
     * operationId: createIssue
     * Request URI: /rest/api/3/issue
     */
    async createIssue(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            updateHistory: { value: params.parameter.updateHistory, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Bulk create issue
     * Creates issues and, where the option to create subtasks is enabled in Jira, subtasks. Transitions may be applied, to move the issues or subtasks to a workflow step other than the default start step, and issue properties set.
     *
     * The content of each issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issues' create screens. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
     *
     * Creating a subtask differs from creating an issue as follows:
     *
     *  *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
     *  *  `parent` the must contain the ID or key of the parent issue.
     *
     * **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which each issue or subtask is created.
     * operationId: createIssues
     * Request URI: /rest/api/3/issue/bulk
     */
    async createIssues(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/bulk`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get create issue metadata
     * Returns details of projects, issue types within projects, and, when requested, the create screen fields for each issue type for the user. Use the information to populate the requests in [ Create issue](#api-rest-api-3-issue-post) and [Create issues](#api-rest-api-3-issue-bulk-post).
     *
     * The request can be restricted to specific projects or issue types using the query parameters. The response will contain information for the valid projects, issue types, or project and issue type combinations requested. Note that invalid project, issue type, or project and issue type combinations do not generate errors.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Create issues* [project permission](https://confluence.atlassian.com/x/yodKLg) in the requested projects.
     * operationId: getCreateIssueMeta
     * Request URI: /rest/api/3/issue/createmeta
     */
    async getCreateIssueMeta(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/createmeta`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            projectIds: { value: params.parameter.projectIds, explode: false },
            projectKeys: { value: params.parameter.projectKeys, explode: false },
            issuetypeIds: { value: params.parameter.issuetypeIds, explode: false },
            issuetypeNames: { value: params.parameter.issuetypeNames, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get issue picker suggestions
     * Returns lists of issues matching a query string. Use this resource to provide auto-completion suggestions when the user is looking for an issue using a word or string.
     *
     * This operation returns two lists:
     *
     *  *  `History Search` which includes issues from the user's history of created, edited, or viewed issues that contain the string in the `query` parameter.
     *  *  `Current Search` which includes issues that match the JQL expression in `currentJQL` and contain the string in the `query` parameter.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getIssuePickerResource
     * Request URI: /rest/api/3/issue/picker
     */
    async getIssuePickerResource(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/picker`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            currentJQL: { value: params.parameter.currentJQL, explode: false },
            currentIssueKey: { value: params.parameter.currentIssueKey, explode: false },
            currentProjectId: { value: params.parameter.currentProjectId, explode: false },
            showSubTasks: { value: params.parameter.showSubTasks, explode: false },
            showSubTaskParent: { value: params.parameter.showSubTaskParent, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Bulk set issues properties by list
     * Sets or updates a list of entity property values on issues. A list of up to 10 entity properties can be specified along with up to 10,000 issues on which to set or update that list of entity properties.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON. The maximum length of single issue property value is 32768 characters. This operation can be accessed anonymously.
     *
     * This operation is:
     *
     *  *  transactional, either all properties are updated in all eligible issues or, when errors occur, no properties are updated.
     *  *  [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: bulkSetIssuesPropertiesList
     * Request URI: /rest/api/3/issue/properties
     */
    async bulkSetIssuesPropertiesList(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/properties`;
        const headers = {
            "Content-Type": "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Bulk set issue properties by issue
     * Sets or updates entity property values on issues. Up to 10 entity properties can be specified for each issue and up to 100 issues included in the request.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON.
     *
     * This operation is:
     *
     *  *  [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
     *  *  non-transactional. Updating some entities may fail. Such information will available in the task result.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: bulkSetIssuePropertiesByIssue
     * Request URI: /rest/api/3/issue/properties/multi
     */
    async bulkSetIssuePropertiesByIssue(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/properties/multi`;
        const headers = {
            "Content-Type": "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Bulk set issue property
     * Sets a property value on multiple issues.
     *
     * The value set can be a constant or determined by a [Jira expression](https://developer.atlassian.com/cloud/jira/platform/jira-expressions/). Expressions must be computable with constant complexity when applied to a set of issues. Expressions must also comply with the [restrictions](https://developer.atlassian.com/cloud/jira/platform/jira-expressions/#restrictions) that apply to all Jira expressions.
     *
     * The issues to be updated can be specified by a filter.
     *
     * The filter identifies issues eligible for update using these criteria:
     *
     *  *  `entityIds` Only issues from this list are eligible.
     *  *  `currentValue` Only issues with the property set to this value are eligible.
     *  *  `hasProperty`:
     *
     *      *  If *true*, only issues with the property are eligible.
     *      *  If *false*, only issues without the property are eligible.
     *
     * If more than one criteria is specified, they are joined with the logical *AND*: only issues that satisfy all criteria are eligible.
     *
     * If an invalid combination of criteria is provided, an error is returned. For example, specifying a `currentValue` and `hasProperty` as *false* would not match any issues (because without the property the property cannot have a value).
     *
     * The filter is optional. Without the filter all the issues visible to the user and where the user has the EDIT\_ISSUES permission for the issue are considered eligible.
     *
     * This operation is:
     *
     *  *  transactional, either all eligible issues are updated or, when errors occur, none are updated.
     *  *  [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for each project containing issues.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for each issue.
     * operationId: bulkSetIssueProperty
     * Request URI: /rest/api/3/issue/properties/{propertyKey}
     */
    async bulkSetIssueProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Bulk delete issue property
     * Deletes a property value from multiple issues. The issues to be updated can be specified by filter criteria.
     *
     * The criteria the filter used to identify eligible issues are:
     *
     *  *  `entityIds` Only issues from this list are eligible.
     *  *  `currentValue` Only issues with the property set to this value are eligible.
     *
     * If both criteria is specified, they are joined with the logical *AND*: only issues that satisfy both criteria are considered eligible.
     *
     * If no filter criteria are specified, all the issues visible to the user and where the user has the EDIT\_ISSUES permission for the issue are considered eligible.
     *
     * This operation is:
     *
     *  *  transactional, either the property is deleted from all eligible issues or, when errors occur, no properties are deleted.
     *  *  [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [ project permission](https://confluence.atlassian.com/x/yodKLg) for each project containing issues.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for each issue.
     * operationId: bulkDeleteIssueProperty
     * Request URI: /rest/api/3/issue/properties/{propertyKey}
     */
    async bulkDeleteIssueProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get is watching issue bulk
     * Returns, for the user, details of the watched status of issues from a list. If an issue ID is invalid, the returned watched status is `false`.
     *
     * This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getIsWatchingIssueBulk
     * Request URI: /rest/api/3/issue/watching
     */
    async getIsWatchingIssueBulk(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/watching`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue
     * Returns the details for an issue.
     *
     * The issue is identified by its ID or key, however, if the identifier doesn't match an issue, a case-insensitive search and check for moved issues is performed. If a matching issue is found its details are returned, a 302 or other redirect is **not** returned. The issue key returned in the response is the key of the issue found.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getIssue
     * Request URI: /rest/api/3/issue/{issueIdOrKey}
     */
    async getIssue(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            fields: { value: params.parameter.fields, explode: false },
            fieldsByKeys: { value: params.parameter.fieldsByKeys, explode: false },
            expand: { value: params.parameter.expand, explode: false },
            properties: { value: params.parameter.properties, explode: false },
            updateHistory: { value: params.parameter.updateHistory, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Edit issue
     * Edits an issue. A transition may be applied and issue properties updated as part of the edit.
     *
     * The edits to the issue's fields are defined using `update` and `fields`. The fields that can be edited are determined using [ Get edit issue metadata](#api-rest-api-3-issue-issueIdOrKey-editmeta-get).
     *
     * The parent field may be set by key or ID. For standard issue types, the parent may be removed by setting `update.parent.set.none` to *true*. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
     *
     * Connect app users with admin permission (from user permissions and app scopes) and Forge app users with the `manage:jira-configuration` scope can override the screen security configuration using `overrideScreenSecurity` and `overrideEditableFlag`.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: editIssue
     * Request URI: /rest/api/3/issue/{issueIdOrKey}
     */
    async editIssue(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            notifyUsers: { value: params.parameter.notifyUsers, explode: false },
            overrideScreenSecurity: { value: params.parameter.overrideScreenSecurity, explode: false },
            overrideEditableFlag: { value: params.parameter.overrideEditableFlag, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete issue
     * Deletes an issue.
     *
     * An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set `deleteSubtasks`. This causes the issue's subtasks to be deleted with the issue.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Delete issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: deleteIssue
     * Request URI: /rest/api/3/issue/{issueIdOrKey}
     */
    async deleteIssue(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}`;
        const headers = {};
        const queryParameters = {
            deleteSubtasks: { value: params.parameter.deleteSubtasks, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Assign issue
     * Assigns an issue to a user. Use this operation when the calling user does not have the *Edit Issues* permission but has the *Assign issue* permission for the project that the issue is in.
     *
     * If `name` or `accountId` is set to:
     *
     *  *  `"-1"`, the issue is assigned to the default assignee for the project.
     *  *  `null`, the issue is set to unassigned.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse Projects* and *Assign Issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: assignIssue
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/assignee
     */
    async assignIssue(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/assignee`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Add attachment
     * Adds one or more attachments to an issue. Attachments are posted as multipart/form-data ([RFC 1867](https://www.ietf.org/rfc/rfc1867.txt)).
     *
     * Note that:
     *
     *  *  The request must have a `X-Atlassian-Token: no-check` header, if not it is blocked. See [Special headers](#special-request-headers) for more information.
     *  *  The name of the multipart/form-data parameter that contains the attachments must be `file`.
     *
     * The following examples upload a file called *myfile.txt* to the issue *TEST-123*:
     *
     * #### curl ####
     *
     *     curl --location --request POST 'https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments'
     *      -u 'email@example.com:<api_token>'
     *      -H 'X-Atlassian-Token: no-check'
     *      --form 'file=@"myfile.txt"'
     *
     * #### Node.js ####
     *
     *     // This code sample uses the 'node-fetch' and 'form-data' libraries:
     *      // https://www.npmjs.com/package/node-fetch
     *      // https://www.npmjs.com/package/form-data
     *      const fetch = require('node-fetch');
     *      const FormData = require('form-data');
     *      const fs = require('fs');
     *
     *      const filePath = 'myfile.txt';
     *      const form = new FormData();
     *      const stats = fs.statSync(filePath);
     *      const fileSizeInBytes = stats.size;
     *      const fileStream = fs.createReadStream(filePath);
     *
     *      form.append('file', fileStream, {knownLength: fileSizeInBytes});
     *
     *      fetch('https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments', {
     *          method: 'POST',
     *          body: form,
     *          headers: {
     *              'Authorization': `Basic ${Buffer.from(
     *                  'email@example.com:'
     *              ).toString('base64')}`,
     *              'Accept': 'application/json',
     *              'X-Atlassian-Token': 'no-check'
     *          }
     *      })
     *          .then(response => {
     *              console.log(
     *                  `Response: ${response.status} ${response.statusText}`
     *              );
     *              return response.text();
     *          })
     *          .then(text => console.log(text))
     *          .catch(err => console.error(err));
     *
     * #### Java ####
     *
     *     // This code sample uses the  'Unirest' library:
     *      // http://unirest.io/java.html
     *      HttpResponse response = Unirest.post("https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments")
     *              .basicAuth("email@example.com", "")
     *              .header("Accept", "application/json")
     *              .header("X-Atlassian-Token", "no-check")
     *              .field("file", new File("myfile.txt"))
     *              .asJson();
     *
     *              System.out.println(response.getBody());
     *
     * #### Python ####
     *
     *     # This code sample uses the 'requests' library:
     *      # http://docs.python-requests.org
     *      import requests
     *      from requests.auth import HTTPBasicAuth
     *      import json
     *
     *      url = "https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments"
     *
     *      auth = HTTPBasicAuth("email@example.com", "")
     *
     *      headers = {
     *         "Accept": "application/json",
     *         "X-Atlassian-Token": "no-check"
     *      }
     *
     *      response = requests.request(
     *         "POST",
     *         url,
     *         headers = headers,
     *         auth = auth,
     *         files = {
     *              "file": ("myfile.txt", open("myfile.txt","rb"), "application-type")
     *         }
     *      )
     *
     *      print(json.dumps(json.loads(response.text), sort_keys=True, indent=4, separators=(",", ": ")))
     *
     * #### PHP ####
     *
     *     // This code sample uses the 'Unirest' library:
     *      // http://unirest.io/php.html
     *      Unirest\Request::auth('email@example.com', '');
     *
     *      $headers = array(
     *        'Accept' => 'application/json',
     *        'X-Atlassian-Token' => 'no-check'
     *      );
     *
     *      $parameters = array(
     *        'file' => File::add('myfile.txt')
     *      );
     *
     *      $response = Unirest\Request::post(
     *        'https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments',
     *        $headers,
     *        $parameters
     *      );
     *
     *      var_dump($response)
     *
     * #### Forge ####
     *
     *     // This sample uses Atlassian Forge and the `form-data` library.
     *      // https://developer.atlassian.com/platform/forge/
     *      // https://www.npmjs.com/package/form-data
     *      import api from "@forge/api";
     *      import FormData from "form-data";
     *
     *      const form = new FormData();
     *      form.append('file', fileStream, {knownLength: fileSizeInBytes});
     *
     *      const response = await api.asApp().requestJira('/rest/api/2/issue/{issueIdOrKey}/attachments', {
     *          method: 'POST',
     *          body: form,
     *          headers: {
     *              'Accept': 'application/json',
     *              'X-Atlassian-Token': 'no-check'
     *          }
     *      });
     *
     *      console.log(`Response: ${response.status} ${response.statusText}`);
     *      console.log(await response.json());
     *
     * Tip: Use a client library. Many client libraries have classes for handling multipart POST operations. For example, in Java, the Apache HTTP Components library provides a [MultiPartEntity](http://hc.apache.org/httpcomponents-client-ga/httpmime/apidocs/org/apache/http/entity/mime/MultipartEntity.html) class for multipart POST operations.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse Projects* and *Create attachments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: addAttachment
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/attachments
     */
    async addAttachment(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/attachments`;
        const headers = {
            "Content-Type": "multipart/form-data",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get changelogs
     * Returns a [paginated](#pagination) list of all changelogs for an issue sorted by date, starting from the oldest.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getChangeLogs
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/changelog
     */
    async getChangeLogs(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/changelog`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get changelogs by IDs
     * Returns changelogs for an issue specified by a list of changelog IDs.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getChangeLogsByIds
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/changelog/list
     */
    async getChangeLogsByIds(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/changelog/list`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get comments
     * Returns all comments for an issue.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Comments are included in the response where the user has:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
     * operationId: getComments
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/comment
     */
    async getComments(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/comment`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Add comment
     * Adds a comment to an issue.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Add comments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: addComment
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/comment
     */
    async addComment(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/comment`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get comment
     * Returns a comment.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
     * operationId: getComment
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/comment/{id}
     */
    async getComment(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/comment/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update comment
     * Updates a comment.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  *Edit all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any comment or *Edit own comments* to update comment created by the user.
     *  *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
     * operationId: updateComment
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/comment/{id}
     */
    async updateComment(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/comment/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            notifyUsers: { value: params.parameter.notifyUsers, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete comment
     * Deletes a comment.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  *Delete all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any comment or *Delete own comments* to delete comment created by the user,
     *  *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
     * operationId: deleteComment
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/comment/{id}
     */
    async deleteComment(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/comment/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get edit issue metadata
     * Returns the edit screen fields for an issue that are visible to and editable by the user. Use the information to populate the requests in [Edit issue](#api-rest-api-3-issue-issueIdOrKey-put).
     *
     * Connect app users with admin permission (from user permissions and app scopes) and Forge app users with the `manage:jira-configuration` scope can return additional details using:
     *
     *  *  `overrideScreenSecurity` Returns hidden fields.
     *  *  `overrideEditableFlag` Returns uneditable fields. For example, where an issue has a workflow status of closed none of its fields are editable.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *
     * Note: For any fields to be editable the user must have the *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the issue.
     * operationId: getEditIssueMeta
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/editmeta
     */
    async getEditIssueMeta(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/editmeta`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            overrideScreenSecurity: { value: params.parameter.overrideScreenSecurity, explode: false },
            overrideEditableFlag: { value: params.parameter.overrideEditableFlag, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Send notification for issue
     * Creates an email notification for an issue and adds it to the mail queue.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: notify
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/notify
     */
    async notify(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/notify`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue property keys
     * Returns the URLs and keys of an issue's properties.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Property details are only returned where the user has:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getIssuePropertyKeys
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/properties
     */
    async getIssuePropertyKeys(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/properties`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue property
     * Returns the key and value of an issue's property.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getIssueProperty
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/properties/{propertyKey}
     */
    async getIssueProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set issue property
     * Sets the value of an issue's property. Use this resource to store custom data against an issue.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: setIssueProperty
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/properties/{propertyKey}
     */
    async setIssueProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete issue property
     * Deletes an issue's property.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: deleteIssueProperty
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/properties/{propertyKey}
     */
    async deleteIssueProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/properties/${params.parameter.propertyKey}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get remote issue links
     * Returns the remote issue links for an issue. When a remote issue link global ID is provided the record with that global ID is returned, otherwise all remote issue links are returned. Where a global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
     *
     * This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getRemoteIssueLinks
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/remotelink
     */
    async getRemoteIssueLinks(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/remotelink`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            globalId: { value: params.parameter.globalId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create or update remote issue link
     * Creates or updates a remote issue link for an issue.
     *
     * If a `globalId` is provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created.
     *
     * This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: createOrUpdateRemoteIssueLink
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/remotelink
     */
    async createOrUpdateRemoteIssueLink(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/remotelink`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete remote issue link by global ID
     * Deletes the remote issue link from the issue using the link's global ID. Where the global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
     *
     * This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is implemented, issue-level security permission to view the issue.
     * operationId: deleteRemoteIssueLinkByGlobalId
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/remotelink
     */
    async deleteRemoteIssueLinkByGlobalId(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/remotelink`;
        const headers = {};
        const queryParameters = {
            globalId: { value: params.parameter.globalId, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get remote issue link by ID
     * Returns a remote issue link for an issue.
     *
     * This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: getRemoteIssueLinkById
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/remotelink/{linkId}
     */
    async getRemoteIssueLinkById(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/remotelink/${params.parameter.linkId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update remote issue link by ID
     * Updates a remote issue link for an issue.
     *
     * Note: Fields without values in the request are set to null.
     *
     * This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: updateRemoteIssueLink
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/remotelink/{linkId}
     */
    async updateRemoteIssueLink(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/remotelink/${params.parameter.linkId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete remote issue link by ID
     * Deletes a remote issue link from an issue.
     *
     * This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects*, *Edit issues*, and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: deleteRemoteIssueLinkById
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/remotelink/{linkId}
     */
    async deleteRemoteIssueLinkById(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/remotelink/${params.parameter.linkId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get transitions
     * Returns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status.
     *
     * Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required: A list or transition is returned only when the user has:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *
     * However, if the user does not have the *Transition issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) the response will not list any transitions.
     * operationId: getTransitions
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/transitions
     */
    async getTransitions(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/transitions`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false },
            transitionId: { value: params.parameter.transitionId, explode: false },
            skipRemoteOnlyCondition: { value: params.parameter.skipRemoteOnlyCondition, explode: false },
            includeUnavailableTransitions: { value: params.parameter.includeUnavailableTransitions, explode: false },
            sortByOpsBarAndStatus: { value: params.parameter.sortByOpsBarAndStatus, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Transition issue
     * Performs an issue transition and, if the transition has a screen, updates the fields from the transition screen.
     *
     * sortByCategory To update the fields on the transition screen, specify the fields in the `fields` or `update` parameters in the request body. Get details about the fields using [ Get transitions](#api-rest-api-3-issue-issueIdOrKey-transitions-get) with the `transitions.fields` expand.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Transition issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: doTransition
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/transitions
     */
    async doTransition(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/transitions`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get votes
     * Returns details about the votes on an issue.
     *
     * This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *
     * Note that users with the necessary permissions for this operation but without the *View voters and watchers* project permissions are not returned details in the `voters` field.
     * operationId: getVotes
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/votes
     */
    async getVotes(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/votes`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Add vote
     * Adds the user's vote to an issue. This is the equivalent of the user clicking *Vote* on an issue in Jira.
     *
     * This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: addVote
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/votes
     */
    async addVote(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/votes`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Delete vote
     * Deletes a user's vote from an issue. This is the equivalent of the user clicking *Unvote* on an issue in Jira.
     *
     * This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: removeVote
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/votes
     */
    async removeVote(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/votes`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue watchers
     * Returns the watchers for an issue.
     *
     * This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  To see details of users on the watchlist other than themselves, *View voters and watchers* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     * operationId: getIssueWatchers
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/watchers
     */
    async getIssueWatchers(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/watchers`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Add watcher
     * Adds a user as a watcher of an issue by passing the account ID of the user. For example, `"5b10ac8d82e05b22cc7d4ef5"`. If no user is specified the calling user is added.
     *
     * This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  To add users other than themselves to the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     * operationId: addWatcher
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/watchers
     */
    async addWatcher(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/watchers`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete watcher
     * Deletes a user as a watcher of an issue.
     *
     * This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  To remove users other than themselves from the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     * operationId: removeWatcher
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/watchers
     */
    async removeWatcher(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/watchers`;
        const headers = {};
        const queryParameters = {
            username: { value: params.parameter.username, explode: false },
            accountId: { value: params.parameter.accountId, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get issue worklogs
     * Returns worklogs for an issue, starting from the oldest worklog or from the worklog started on or after a date and time.
     *
     * Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Workloads are only returned where the user has:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: getIssueWorklog
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog
     */
    async getIssueWorklog(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            startedAfter: { value: params.parameter.startedAfter, explode: false },
            startedBefore: { value: params.parameter.startedBefore, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Add worklog
     * Adds a worklog to an issue.
     *
     * Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* and *Work on issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: addWorklog
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog
     */
    async addWorklog(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            notifyUsers: { value: params.parameter.notifyUsers, explode: false },
            adjustEstimate: { value: params.parameter.adjustEstimate, explode: false },
            newEstimate: { value: params.parameter.newEstimate, explode: false },
            reduceBy: { value: params.parameter.reduceBy, explode: false },
            expand: { value: params.parameter.expand, explode: false },
            overrideEditableFlag: { value: params.parameter.overrideEditableFlag, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get worklog
     * Returns a worklog.
     *
     * Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: getWorklog
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog/{id}
     */
    async getWorklog(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update worklog
     * Updates a worklog.
     *
     * Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: updateWorklog
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog/{id}
     */
    async updateWorklog(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            notifyUsers: { value: params.parameter.notifyUsers, explode: false },
            adjustEstimate: { value: params.parameter.adjustEstimate, explode: false },
            newEstimate: { value: params.parameter.newEstimate, explode: false },
            expand: { value: params.parameter.expand, explode: false },
            overrideEditableFlag: { value: params.parameter.overrideEditableFlag, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete worklog
     * Deletes a worklog from an issue.
     *
     * Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  *Delete all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any worklog or *Delete own worklogs* to delete worklogs created by the user,
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: deleteWorklog
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog/{id}
     */
    async deleteWorklog(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog/${params.parameter.id}`;
        const headers = {};
        const queryParameters = {
            notifyUsers: { value: params.parameter.notifyUsers, explode: false },
            adjustEstimate: { value: params.parameter.adjustEstimate, explode: false },
            newEstimate: { value: params.parameter.newEstimate, explode: false },
            increaseBy: { value: params.parameter.increaseBy, explode: false },
            overrideEditableFlag: { value: params.parameter.overrideEditableFlag, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get worklog property keys
     * Returns the keys of all properties for a worklog.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: getWorklogPropertyKeys
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties
     */
    async getWorklogPropertyKeys(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog/${params.parameter.worklogId}/properties`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get worklog property
     * Returns the value of a worklog property.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: getWorklogProperty
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties/{propertyKey}
     */
    async getWorklogProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog/${params.parameter.worklogId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set worklog property
     * Sets the value of a worklog property. Use this operation to store custom data against the worklog.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: setWorklogProperty
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties/{propertyKey}
     */
    async setWorklogProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog/${params.parameter.worklogId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete worklog property
     * Deletes a worklog property.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: deleteWorklogProperty
     * Request URI: /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties/{propertyKey}
     */
    async deleteWorklogProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issue/${params.parameter.issueIdOrKey}/worklog/${params.parameter.worklogId}/properties/${params.parameter.propertyKey}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Create issue link
     * Creates a link between two issues. Use this operation to indicate a relationship between two issues and optionally add a comment to the from (outward) issue. To use this resource the site must have [Issue Linking](https://confluence.atlassian.com/x/yoXKM) enabled.
     *
     * This resource returns nothing on the creation of an issue link. To obtain the ID of the issue link, use `https://your-domain.atlassian.net/rest/api/3/issue/[linked issue key]?fields=issuelinks`.
     *
     * If the link request duplicates a link, the response indicates that the issue link was created. If the request included a comment, the comment is added.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues to be linked,
     *  *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) on the project containing the from (outward) issue,
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     *  *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
     * operationId: linkIssues
     * Request URI: /rest/api/3/issueLink
     */
    async linkIssues(params, option) {
        const url = this.baseUrl + `/rest/api/3/issueLink`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue link
     * Returns an issue link.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the linked issues.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
     * operationId: getIssueLink
     * Request URI: /rest/api/3/issueLink/{linkId}
     */
    async getIssueLink(params, option) {
        const url = this.baseUrl + `/rest/api/3/issueLink/${params.parameter.linkId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Delete issue link
     * Deletes an issue link.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  Browse project [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues in the link.
     *  *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one of the projects containing issues in the link.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
     * operationId: deleteIssueLink
     * Request URI: /rest/api/3/issueLink/{linkId}
     */
    async deleteIssueLink(params, option) {
        const url = this.baseUrl + `/rest/api/3/issueLink/${params.parameter.linkId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue link types
     * Returns a list of all issue link types.
     *
     * To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
     * operationId: getIssueLinkTypes
     * Request URI: /rest/api/3/issueLinkType
     */
    async getIssueLinkTypes(option) {
        const url = this.baseUrl + `/rest/api/3/issueLinkType`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Create issue link type
     * Creates an issue link type. Use this operation to create descriptions of the reasons why issues are linked. The issue link type consists of a name and descriptions for a link's inward and outward relationships.
     *
     * To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createIssueLinkType
     * Request URI: /rest/api/3/issueLinkType
     */
    async createIssueLinkType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issueLinkType`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue link type
     * Returns an issue link type.
     *
     * To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
     * operationId: getIssueLinkType
     * Request URI: /rest/api/3/issueLinkType/{issueLinkTypeId}
     */
    async getIssueLinkType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issueLinkType/${params.parameter.issueLinkTypeId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update issue link type
     * Updates an issue link type.
     *
     * To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateIssueLinkType
     * Request URI: /rest/api/3/issueLinkType/{issueLinkTypeId}
     */
    async updateIssueLinkType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issueLinkType/${params.parameter.issueLinkTypeId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete issue link type
     * Deletes an issue link type.
     *
     * To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteIssueLinkType
     * Request URI: /rest/api/3/issueLinkType/{issueLinkTypeId}
     */
    async deleteIssueLinkType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issueLinkType/${params.parameter.issueLinkTypeId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue security schemes
     * Returns all [issue security schemes](https://confluence.atlassian.com/x/J4lKLg).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueSecuritySchemes
     * Request URI: /rest/api/3/issuesecurityschemes
     */
    async getIssueSecuritySchemes(option) {
        const url = this.baseUrl + `/rest/api/3/issuesecurityschemes`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue security scheme
     * Returns an issue security scheme along with its security levels.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *  *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project that uses the requested issue security scheme.
     * operationId: getIssueSecurityScheme
     * Request URI: /rest/api/3/issuesecurityschemes/{id}
     */
    async getIssueSecurityScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuesecurityschemes/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue security level members
     * Returns issue security level members.
     *
     * Only issue security level members in context of classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueSecurityLevelMembers
     * Request URI: /rest/api/3/issuesecurityschemes/{issueSecuritySchemeId}/members
     */
    async getIssueSecurityLevelMembers(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuesecurityschemes/${params.parameter.issueSecuritySchemeId}/members`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            issueSecurityLevelId: { value: params.parameter.issueSecurityLevelId, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get all issue types for user
     * Returns all issue types.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Issue types are only returned as follows:
     *
     *  *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), all issue types are returned.
     *  *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for one or more projects, the issue types associated with the projects the user has permission to browse are returned.
     * operationId: getIssueAllTypes
     * Request URI: /rest/api/3/issuetype
     */
    async getIssueAllTypes(option) {
        const url = this.baseUrl + `/rest/api/3/issuetype`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Create issue type
     * Creates an issue type and adds it to the default issue type scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createIssueType
     * Request URI: /rest/api/3/issuetype
     */
    async createIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue types for project
     * Returns issue types for a project.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in the relevant project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueTypesForProject
     * Request URI: /rest/api/3/issuetype/project
     */
    async getIssueTypesForProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/project`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            projectId: { value: params.parameter.projectId, explode: false },
            level: { value: params.parameter.level, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get issue type
     * Returns an issue type.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in a project the issue type is associated with or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueType
     * Request URI: /rest/api/3/issuetype/{id}
     */
    async getIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update issue type
     * Updates the issue type.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateIssueType
     * Request URI: /rest/api/3/issuetype/{id}
     */
    async updateIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete issue type
     * Deletes the issue type. If the issue type is in use, all uses are updated with the alternative issue type (`alternativeIssueTypeId`). A list of alternative issue types are obtained from the [Get alternative issue types](#api-rest-api-3-issuetype-id-alternatives-get) resource.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteIssueType
     * Request URI: /rest/api/3/issuetype/{id}
     */
    async deleteIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.id}`;
        const headers = {};
        const queryParameters = {
            alternativeIssueTypeId: { value: params.parameter.alternativeIssueTypeId, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get alternative issue types
     * Returns a list of issue types that can be used to replace the issue type. The alternative issue types are those assigned to the same workflow scheme, field configuration scheme, and screen scheme.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAlternativeIssueTypes
     * Request URI: /rest/api/3/issuetype/{id}/alternatives
     */
    async getAlternativeIssueTypes(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.id}/alternatives`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Load issue type avatar
     * Loads an avatar for the issue type.
     *
     * Specify the avatar's local file location in the body of the request. Also, include the following headers:
     *
     *  *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
     *  *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
     *
     * For example:
     * `curl --request POST \ --user email@example.com:<api_token> \ --header 'X-Atlassian-Token: no-check' \ --header 'Content-Type: image/< image_type>' \ --data-binary "<@/path/to/file/with/your/avatar>" \ --url 'https://your-domain.atlassian.net/rest/api/3/issuetype/{issueTypeId}'This`
     *
     * The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
     *
     * The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
     *
     * After creating the avatar, use [ Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createIssueTypeAvatar
     * Request URI: /rest/api/3/issuetype/{id}/avatar2
     */
    async createIssueTypeAvatar(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.id}/avatar2`;
        const headers = {
            "Content-Type": "*/*",
            Accept: "application/json"
        };
        const queryParameters = {
            x: { value: params.parameter.x, explode: false },
            y: { value: params.parameter.y, explode: false },
            size: { value: params.parameter.size, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get issue type property keys
     * Returns all the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys of the issue type.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the property keys of any issue type.
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the property keys of any issue types associated with the projects the user has permission to browse.
     * operationId: getIssueTypePropertyKeys
     * Request URI: /rest/api/3/issuetype/{issueTypeId}/properties
     */
    async getIssueTypePropertyKeys(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.issueTypeId}/properties`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue type property
     * Returns the key and value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the details of any issue type.
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the details of any issue types associated with the projects the user has permission to browse.
     * operationId: getIssueTypeProperty
     * Request URI: /rest/api/3/issuetype/{issueTypeId}/properties/{propertyKey}
     */
    async getIssueTypeProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.issueTypeId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set issue type property
     * Creates or updates the value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). Use this resource to store and update data against an issue type.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setIssueTypeProperty
     * Request URI: /rest/api/3/issuetype/{issueTypeId}/properties/{propertyKey}
     */
    async setIssueTypeProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.issueTypeId}/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete issue type property
     * Deletes the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteIssueTypeProperty
     * Request URI: /rest/api/3/issuetype/{issueTypeId}/properties/{propertyKey}
     */
    async deleteIssueTypeProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetype/${params.parameter.issueTypeId}/properties/${params.parameter.propertyKey}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get all issue type schemes
     * Returns a [paginated](#pagination) list of issue type schemes.
     *
     * Only issue type schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllIssueTypeSchemes
     * Request URI: /rest/api/3/issuetypescheme
     */
    async getAllIssueTypeSchemes(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            id: { value: params.parameter.id, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create issue type scheme
     * Creates an issue type scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createIssueTypeScheme
     * Request URI: /rest/api/3/issuetypescheme
     */
    async createIssueTypeScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue type scheme items
     * Returns a [paginated](#pagination) list of issue type scheme items.
     *
     * Only issue type scheme items used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueTypeSchemesMapping
     * Request URI: /rest/api/3/issuetypescheme/mapping
     */
    async getIssueTypeSchemesMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/mapping`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            issueTypeSchemeId: { value: params.parameter.issueTypeSchemeId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get issue type schemes for projects
     * Returns a [paginated](#pagination) list of issue type schemes and, for each issue type scheme, a list of the projects that use it.
     *
     * Only issue type schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueTypeSchemeForProjects
     * Request URI: /rest/api/3/issuetypescheme/project
     */
    async getIssueTypeSchemeForProjects(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/project`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            projectId: { value: params.parameter.projectId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Assign issue type scheme to project
     * Assigns an issue type scheme to a project.
     *
     * If any issues in the project are assigned issue types not present in the new scheme, the operation will fail. To complete the assignment those issues must be updated to use issue types in the new scheme.
     *
     * Issue type schemes can only be assigned to classic projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: assignIssueTypeSchemeToProject
     * Request URI: /rest/api/3/issuetypescheme/project
     */
    async assignIssueTypeSchemeToProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/project`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update issue type scheme
     * Updates an issue type scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateIssueTypeScheme
     * Request URI: /rest/api/3/issuetypescheme/{issueTypeSchemeId}
     */
    async updateIssueTypeScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/${params.parameter.issueTypeSchemeId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete issue type scheme
     * Deletes an issue type scheme.
     *
     * Only issue type schemes used in classic projects can be deleted.
     *
     * Any projects assigned to the scheme are reassigned to the default issue type scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteIssueTypeScheme
     * Request URI: /rest/api/3/issuetypescheme/{issueTypeSchemeId}
     */
    async deleteIssueTypeScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/${params.parameter.issueTypeSchemeId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Add issue types to issue type scheme
     * Adds issue types to an issue type scheme.
     *
     * The added issue types are appended to the issue types list.
     *
     * If any of the issue types exist in the issue type scheme, the operation fails and no issue types are added.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: addIssueTypesToIssueTypeScheme
     * Request URI: /rest/api/3/issuetypescheme/{issueTypeSchemeId}/issuetype
     */
    async addIssueTypesToIssueTypeScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/${params.parameter.issueTypeSchemeId}/issuetype`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Change order of issue types
     * Changes the order of issue types in an issue type scheme.
     *
     * The request body parameters must meet the following requirements:
     *
     *  *  all of the issue types must belong to the issue type scheme.
     *  *  either `after` or `position` must be provided.
     *  *  the issue type in `after` must not be in the issue type list.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: reorderIssueTypesInIssueTypeScheme
     * Request URI: /rest/api/3/issuetypescheme/{issueTypeSchemeId}/issuetype/move
     */
    async reorderIssueTypesInIssueTypeScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/${params.parameter.issueTypeSchemeId}/issuetype/move`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove issue type from issue type scheme
     * Removes an issue type from an issue type scheme.
     *
     * This operation cannot remove:
     *
     *  *  any issue type used by issues.
     *  *  any issue types from the default issue type scheme.
     *  *  the last standard issue type from an issue type scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: removeIssueTypeFromIssueTypeScheme
     * Request URI: /rest/api/3/issuetypescheme/{issueTypeSchemeId}/issuetype/{issueTypeId}
     */
    async removeIssueTypeFromIssueTypeScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescheme/${params.parameter.issueTypeSchemeId}/issuetype/${params.parameter.issueTypeId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue type screen schemes
     * Returns a [paginated](#pagination) list of issue type screen schemes.
     *
     * Only issue type screen schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueTypeScreenSchemes
     * Request URI: /rest/api/3/issuetypescreenscheme
     */
    async getIssueTypeScreenSchemes(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            id: { value: params.parameter.id, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create issue type screen scheme
     * Creates an issue type screen scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createIssueTypeScreenScheme
     * Request URI: /rest/api/3/issuetypescreenscheme
     */
    async createIssueTypeScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue type screen scheme items
     * Returns a [paginated](#pagination) list of issue type screen scheme items.
     *
     * Only issue type screen schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueTypeScreenSchemeMappings
     * Request URI: /rest/api/3/issuetypescreenscheme/mapping
     */
    async getIssueTypeScreenSchemeMappings(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/mapping`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            issueTypeScreenSchemeId: { value: params.parameter.issueTypeScreenSchemeId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get issue type screen schemes for projects
     * Returns a [paginated](#pagination) list of issue type screen schemes and, for each issue type screen scheme, a list of the projects that use it.
     *
     * Only issue type screen schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueTypeScreenSchemeProjectAssociations
     * Request URI: /rest/api/3/issuetypescreenscheme/project
     */
    async getIssueTypeScreenSchemeProjectAssociations(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/project`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            projectId: { value: params.parameter.projectId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Assign issue type screen scheme to project
     * Assigns an issue type screen scheme to a project.
     *
     * Issue type screen schemes can only be assigned to classic projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: assignIssueTypeScreenSchemeToProject
     * Request URI: /rest/api/3/issuetypescreenscheme/project
     */
    async assignIssueTypeScreenSchemeToProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/project`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update issue type screen scheme
     * Updates an issue type screen scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateIssueTypeScreenScheme
     * Request URI: /rest/api/3/issuetypescreenscheme/{issueTypeScreenSchemeId}
     */
    async updateIssueTypeScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/${params.parameter.issueTypeScreenSchemeId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete issue type screen scheme
     * Deletes an issue type screen scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteIssueTypeScreenScheme
     * Request URI: /rest/api/3/issuetypescreenscheme/{issueTypeScreenSchemeId}
     */
    async deleteIssueTypeScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/${params.parameter.issueTypeScreenSchemeId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Append mappings to issue type screen scheme
     * Appends issue type to screen scheme mappings to an issue type screen scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: appendMappingsForIssueTypeScreenScheme
     * Request URI: /rest/api/3/issuetypescreenscheme/{issueTypeScreenSchemeId}/mapping
     */
    async appendMappingsForIssueTypeScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/${params.parameter.issueTypeScreenSchemeId}/mapping`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update issue type screen scheme default screen scheme
     * Updates the default screen scheme of an issue type screen scheme. The default screen scheme is used for all unmapped issue types.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateDefaultScreenScheme
     * Request URI: /rest/api/3/issuetypescreenscheme/{issueTypeScreenSchemeId}/mapping/default
     */
    async updateDefaultScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/${params.parameter.issueTypeScreenSchemeId}/mapping/default`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove mappings from issue type screen scheme
     * Removes issue type to screen scheme mappings from an issue type screen scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: removeMappingsFromIssueTypeScreenScheme
     * Request URI: /rest/api/3/issuetypescreenscheme/{issueTypeScreenSchemeId}/mapping/remove
     */
    async removeMappingsFromIssueTypeScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/${params.parameter.issueTypeScreenSchemeId}/mapping/remove`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue type screen scheme projects
     * Returns a [paginated](#pagination) list of projects associated with an issue type screen scheme.
     *
     * Only company-managed projects associated with an issue type screen scheme are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getProjectsForIssueTypeScreenScheme
     * Request URI: /rest/api/3/issuetypescreenscheme/{issueTypeScreenSchemeId}/project
     */
    async getProjectsForIssueTypeScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/issuetypescreenscheme/${params.parameter.issueTypeScreenSchemeId}/project`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get field reference data (GET)
     * Returns reference data for JQL searches. This is a downloadable version of the documentation provided in [Advanced searching - fields reference](https://confluence.atlassian.com/x/gwORLQ) and [Advanced searching - functions reference](https://confluence.atlassian.com/x/hgORLQ), along with a list of JQL-reserved words. Use this information to assist with the programmatic creation of JQL queries or the validation of queries built in a custom query builder.
     *
     * To filter visible field details by project or collapse non-unique fields by field type then [Get field reference data (POST)](#api-rest-api-3-jql-autocompletedata-post) can be used.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAutoComplete
     * Request URI: /rest/api/3/jql/autocompletedata
     */
    async getAutoComplete(option) {
        const url = this.baseUrl + `/rest/api/3/jql/autocompletedata`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get field reference data (POST)
     * Returns reference data for JQL searches. This is a downloadable version of the documentation provided in [Advanced searching - fields reference](https://confluence.atlassian.com/x/gwORLQ) and [Advanced searching - functions reference](https://confluence.atlassian.com/x/hgORLQ), along with a list of JQL-reserved words. Use this information to assist with the programmatic creation of JQL queries or the validation of queries built in a custom query builder.
     *
     * This operation can filter the custom fields returned by project. Invalid project IDs in `projectIds` are ignored. System fields are always returned.
     *
     * It can also return the collapsed field for custom fields. Collapsed fields enable searches to be performed across all fields with the same name and of the same field type. For example, the collapsed field `Component - Component[Dropdown]` enables dropdown fields `Component - cf[10061]` and `Component - cf[10062]` to be searched simultaneously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAutoCompletePost
     * Request URI: /rest/api/3/jql/autocompletedata
     */
    async getAutoCompletePost(params, option) {
        const url = this.baseUrl + `/rest/api/3/jql/autocompletedata`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get field auto complete suggestions
     * Returns the JQL search auto complete suggestions for a field.
     *
     * Suggestions can be obtained by providing:
     *
     *  *  `fieldName` to get a list of all values for the field.
     *  *  `fieldName` and `fieldValue` to get a list of values containing the text in `fieldValue`.
     *  *  `fieldName` and `predicateName` to get a list of all predicate values for the field.
     *  *  `fieldName`, `predicateName`, and `predicateValue` to get a list of predicate values containing the text in `predicateValue`.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getFieldAutoCompleteForQueryString
     * Request URI: /rest/api/3/jql/autocompletedata/suggestions
     */
    async getFieldAutoCompleteForQueryString(params, option) {
        const url = this.baseUrl + `/rest/api/3/jql/autocompletedata/suggestions`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            fieldName: { value: params.parameter.fieldName, explode: false },
            fieldValue: { value: params.parameter.fieldValue, explode: false },
            predicateName: { value: params.parameter.predicateName, explode: false },
            predicateValue: { value: params.parameter.predicateValue, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Check issues against JQL
     * Checks whether one or more issues would be returned by one or more JQL queries.
     *
     * **[Permissions](#permissions) required:** None, however, issues are only matched against JQL queries where the user has:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: matchIssues
     * Request URI: /rest/api/3/jql/match
     */
    async matchIssues(params, option) {
        const url = this.baseUrl + `/rest/api/3/jql/match`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Parse JQL query
     * Parses and validates JQL queries.
     *
     * Validation is performed in context of the current user.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: parseJqlQueries
     * Request URI: /rest/api/3/jql/parse
     */
    async parseJqlQueries(params, option) {
        const url = this.baseUrl + `/rest/api/3/jql/parse`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            validation: { value: params.parameter.validation, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Convert user identifiers to account IDs in JQL queries
     * Converts one or more JQL queries with user identifiers (username or user key) to equivalent JQL queries with account IDs.
     *
     * You may wish to use this operation if your system stores JQL queries and you want to make them GDPR-compliant. For more information about GDPR-related changes, see the [migration guide](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/).
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: migrateQueries
     * Request URI: /rest/api/3/jql/pdcleaner
     */
    async migrateQueries(params, option) {
        const url = this.baseUrl + `/rest/api/3/jql/pdcleaner`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get all labels
     * Returns a [paginated](#pagination) list of labels.
     * operationId: getAllLabels
     * Request URI: /rest/api/3/label
     */
    async getAllLabels(params, option) {
        const url = this.baseUrl + `/rest/api/3/label`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get my permissions
     * Returns a list of permissions indicating which permissions the user has. Details of the user's permissions can be obtained in a global, project, or issue context.
     *
     * The user is reported as having a project permission:
     *
     *  *  in the global context, if the user has the project permission in any project.
     *  *  for a project, where the project permission is determined using issue data, if the user meets the permission's criteria for any issue in the project. Otherwise, if the user has the project permission in the project.
     *  *  for an issue, where a project permission is determined using issue data, if the user has the permission in the issue. Otherwise, if the user has the project permission in the project containing the issue.
     *
     * This means that users may be shown as having an issue permission (such as EDIT\_ISSUES) in the global context or a project context but may not have the permission for any or all issues. For example, if Reporters have the EDIT\_ISSUES permission a user would be shown as having this permission in the global context or the context of a project, because any user can be a reporter. However, if they are not the user who reported the issue queried they would not have EDIT\_ISSUES permission for that issue.
     *
     * Global permissions are unaffected by context.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getMyPermissions
     * Request URI: /rest/api/3/mypermissions
     */
    async getMyPermissions(params, option) {
        const url = this.baseUrl + `/rest/api/3/mypermissions`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            projectKey: { value: params.parameter.projectKey, explode: false },
            projectId: { value: params.parameter.projectId, explode: false },
            issueKey: { value: params.parameter.issueKey, explode: false },
            issueId: { value: params.parameter.issueId, explode: false },
            permissions: { value: params.parameter.permissions, explode: false },
            projectUuid: { value: params.parameter.projectUuid, explode: false },
            projectConfigurationUuid: { value: params.parameter.projectConfigurationUuid, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get preference
     * Returns the value of a preference of the current user.
     *
     * Note that these keys are deprecated:
     *
     *  *  *jira.user.locale* The locale of the user. By default this is not set and the user takes the locale of the instance.
     *  *  *jira.user.timezone* The time zone of the user. By default this is not set and the user takes the timezone of the instance.
     *
     * Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getPreference
     * Request URI: /rest/api/3/mypreferences
     */
    async getPreference(params, option) {
        const url = this.baseUrl + `/rest/api/3/mypreferences`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Set preference
     * Creates a preference for the user or updates a preference's value by sending a plain text string. For example, `false`. An arbitrary preference can be created with the value containing up to 255 characters. In addition, the following keys define system preferences that can be set or created:
     *
     *  *  *user.notifications.mimetype* The mime type used in notifications sent to the user. Defaults to `html`.
     *  *  *user.notify.own.changes* Whether the user gets notified of their own changes. Defaults to `false`.
     *  *  *user.default.share.private* Whether new [ filters](https://confluence.atlassian.com/x/eQiiLQ) are set to private. Defaults to `true`.
     *  *  *user.keyboard.shortcuts.disabled* Whether keyboard shortcuts are disabled. Defaults to `false`.
     *  *  *user.autowatch.disabled* Whether the user automatically watches issues they create or add a comment to. By default, not set: the user takes the instance autowatch setting.
     *
     * Note that these keys are deprecated:
     *
     *  *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
     *  *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
     *
     * Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: setPreference
     * Request URI: /rest/api/3/mypreferences
     */
    async setPreference(params, option) {
        const url = this.baseUrl + `/rest/api/3/mypreferences`;
        const headers = {
            "Content-Type": params.headers["Content-Type"],
            Accept: "application/json"
        };
        const queryParameters = {
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete preference
     * Deletes a preference of the user, which restores the default value of system defined settings.
     *
     * Note that these keys are deprecated:
     *
     *  *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
     *  *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
     *
     * Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: removePreference
     * Request URI: /rest/api/3/mypreferences
     */
    async removePreference(params, option) {
        const url = this.baseUrl + `/rest/api/3/mypreferences`;
        const headers = {};
        const queryParameters = {
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get locale
     * Returns the locale for the user.
     *
     * If the user has no language preference set (which is the default setting) or this resource is accessed anonymous, the browser locale detected by Jira is returned. Jira detects the browser locale using the *Accept-Language* header in the request. However, if this doesn't match a locale available Jira, the site default locale is returned.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getLocale
     * Request URI: /rest/api/3/mypreferences/locale
     */
    async getLocale(option) {
        const url = this.baseUrl + `/rest/api/3/mypreferences/locale`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * @deprecated
     * Set locale
     * Deprecated, use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API instead.
     *
     * Sets the locale of the user. The locale must be one supported by the instance of Jira.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: setLocale
     * Request URI: /rest/api/3/mypreferences/locale
     */
    async setLocale(params, option) {
        const url = this.baseUrl + `/rest/api/3/mypreferences/locale`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * @deprecated
     * Delete locale
     * Deprecated, use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API instead.
     *
     * Deletes the locale of the user, which restores the default setting.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: deleteLocale
     * Request URI: /rest/api/3/mypreferences/locale
     */
    async deleteLocale(option) {
        const url = this.baseUrl + `/rest/api/3/mypreferences/locale`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get current user
     * Returns details for the current user.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getCurrentUser
     * Request URI: /rest/api/3/myself
     */
    async getCurrentUser(params, option) {
        const url = this.baseUrl + `/rest/api/3/myself`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get notification schemes paginated
     * Returns a [paginated](#pagination) list of [notification schemes](https://confluence.atlassian.com/x/8YdKLg) ordered by display name.
     *
     * ### About notification schemes ###
     *
     * A notification scheme is a list of events and recipients who will receive notifications for those events. The list is contained within the `notificationSchemeEvents` object and contains pairs of `events` and `notifications`:
     *
     *  *  `event` Identifies the type of event. The events can be [Jira system events](https://confluence.atlassian.com/x/8YdKLg#Creatinganotificationscheme-eventsEvents) or [custom events](https://confluence.atlassian.com/x/AIlKLg).
     *  *  `notifications` Identifies the [recipients](https://confluence.atlassian.com/x/8YdKLg#Creatinganotificationscheme-recipientsRecipients) of notifications for each event. Recipients can be any of the following types:
     *
     *      *  `CurrentAssignee`
     *      *  `Reporter`
     *      *  `CurrentUser`
     *      *  `ProjectLead`
     *      *  `ComponentLead`
     *      *  `User` (the `parameter` is the user key)
     *      *  `Group` (the `parameter` is the group name)
     *      *  `ProjectRole` (the `parameter` is the project role ID)
     *      *  `EmailAddress`
     *      *  `AllWatchers`
     *      *  `UserCustomField` (the `parameter` is the ID of the custom field)
     *      *  `GroupCustomField`(the `parameter` is the ID of the custom field)
     *
     * *Note that you should allow for events without recipients to appear in responses.*
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however the user must have permission to administer at least one project associated with a notification scheme for it to be returned.
     * operationId: getNotificationSchemes
     * Request URI: /rest/api/3/notificationscheme
     */
    async getNotificationSchemes(params, option) {
        const url = this.baseUrl + `/rest/api/3/notificationscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get notification scheme
     * Returns a [notification scheme](https://confluence.atlassian.com/x/8YdKLg), including the list of events and the recipients who will receive notifications for those events.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however the user must have permission to administer at least one project associated with the notification scheme.
     * operationId: getNotificationScheme
     * Request URI: /rest/api/3/notificationscheme/{id}
     */
    async getNotificationScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/notificationscheme/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get all permissions
     * Returns all permissions, including:
     *
     *  *  global permissions.
     *  *  project permissions.
     *  *  global permissions added by plugins.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllPermissions
     * Request URI: /rest/api/3/permissions
     */
    async getAllPermissions(option) {
        const url = this.baseUrl + `/rest/api/3/permissions`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get bulk permissions
     * Returns:
     *
     *  *  for a list of global permissions, the global permissions granted to a user.
     *  *  for a list of project permissions and lists of projects and issues, for each project permission a list of the projects and issues a user can access or manipulate.
     *
     * If no account ID is provided, the operation returns details for the logged in user.
     *
     * Note that:
     *
     *  *  Invalid project and issue IDs are ignored.
     *  *  A maximum of 1000 projects and 1000 issues can be checked.
     *  *  Null values in `globalPermissions`, `projectPermissions`, `projectPermissions.projects`, and `projectPermissions.issues` are ignored.
     *  *  Empty strings in `projectPermissions.permissions` are ignored.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to check the permissions for other users, otherwise none. However, Connect apps can make a call from the app server to the product to obtain permission details for any user, without admin permission. This Connect app ability doesn't apply to calls made using AP.request() in a browser.
     * operationId: getBulkPermissions
     * Request URI: /rest/api/3/permissions/check
     */
    async getBulkPermissions(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissions/check`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get permitted projects
     * Returns all the projects where the user is granted a list of project permissions.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getPermittedProjects
     * Request URI: /rest/api/3/permissions/project
     */
    async getPermittedProjects(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissions/project`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get all permission schemes
     * Returns all permission schemes.
     *
     * ### About permission schemes and grants ###
     *
     * A permission scheme is a collection of permission grants. A permission grant consists of a `holder` and a `permission`.
     *
     * #### Holder object ####
     *
     * The `holder` object contains information about the user or group being granted the permission. For example, the *Administer projects* permission is granted to a group named *Teams in space administrators*. In this case, the type is `"type": "group"`, and the parameter is the group name, `"parameter": "Teams in space administrators"`. The `holder` object is defined by the following properties:
     *
     *  *  `type` Identifies the user or group (see the list of types below).
     *  *  `parameter` The value of this property depends on the `type`. For example, if the `type` is a group, then you need to specify the group name.
     *
     * The following `types` are available. The expected values for the `parameter` are given in parenthesis (some `types` may not have a `parameter`):
     *
     *  *  `anyone` Grant for anonymous users.
     *  *  `applicationRole` Grant for users with access to the specified application (application name). See [Update product access settings](https://confluence.atlassian.com/x/3YxjL) for more information.
     *  *  `assignee` Grant for the user currently assigned to an issue.
     *  *  `group` Grant for the specified group (group name).
     *  *  `groupCustomField` Grant for a user in the group selected in the specified custom field (custom field ID).
     *  *  `projectLead` Grant for a project lead.
     *  *  `projectRole` Grant for the specified project role (project role ID).
     *  *  `reporter` Grant for the user who reported the issue.
     *  *  `sd.customer.portal.only` Jira Service Desk only. Grants customers permission to access the customer portal but not Jira. See [Customizing Jira Service Desk permissions](https://confluence.atlassian.com/x/24dKLg) for more information.
     *  *  `user` Grant for the specified user (user ID - historically this was the userkey but that is deprecated and the account ID should be used).
     *  *  `userCustomField` Grant for a user selected in the specified custom field (custom field ID).
     *
     * #### Built-in permissions ####
     *
     * The [built-in Jira permissions](https://confluence.atlassian.com/x/yodKLg) are listed below. Apps can also define custom permissions. See the [project permission](https://developer.atlassian.com/cloud/jira/platform/modules/project-permission/) and [global permission](https://developer.atlassian.com/cloud/jira/platform/modules/global-permission/) module documentation for more information.
     *
     * **Project permissions**
     *
     *  *  `ADMINISTER_PROJECTS`
     *  *  `BROWSE_PROJECTS`
     *  *  `MANAGE_SPRINTS_PERMISSION` (Jira Software only)
     *  *  `SERVICEDESK_AGENT` (Jira Service Desk only)
     *  *  `VIEW_DEV_TOOLS` (Jira Software only)
     *  *  `VIEW_READONLY_WORKFLOW`
     *
     * **Issue permissions**
     *
     *  *  `ASSIGNABLE_USER`
     *  *  `ASSIGN_ISSUES`
     *  *  `CLOSE_ISSUES`
     *  *  `CREATE_ISSUES`
     *  *  `DELETE_ISSUES`
     *  *  `EDIT_ISSUES`
     *  *  `LINK_ISSUES`
     *  *  `MODIFY_REPORTER`
     *  *  `MOVE_ISSUES`
     *  *  `RESOLVE_ISSUES`
     *  *  `SCHEDULE_ISSUES`
     *  *  `SET_ISSUE_SECURITY`
     *  *  `TRANSITION_ISSUES`
     *
     * **Voters and watchers permissions**
     *
     *  *  `MANAGE_WATCHERS`
     *  *  `VIEW_VOTERS_AND_WATCHERS`
     *
     * **Comments permissions**
     *
     *  *  `ADD_COMMENTS`
     *  *  `DELETE_ALL_COMMENTS`
     *  *  `DELETE_OWN_COMMENTS`
     *  *  `EDIT_ALL_COMMENTS`
     *  *  `EDIT_OWN_COMMENTS`
     *
     * **Attachments permissions**
     *
     *  *  `CREATE_ATTACHMENTS`
     *  *  `DELETE_ALL_ATTACHMENTS`
     *  *  `DELETE_OWN_ATTACHMENTS`
     *
     * **Time tracking permissions**
     *
     *  *  `DELETE_ALL_WORKLOGS`
     *  *  `DELETE_OWN_WORKLOGS`
     *  *  `EDIT_ALL_WORKLOGS`
     *  *  `EDIT_OWN_WORKLOGS`
     *  *  `WORK_ON_ISSUES`
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getAllPermissionSchemes
     * Request URI: /rest/api/3/permissionscheme
     */
    async getAllPermissionSchemes(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create permission scheme
     * Creates a new permission scheme. You can create a permission scheme with or without defining a set of permission grants.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createPermissionScheme
     * Request URI: /rest/api/3/permissionscheme
     */
    async createPermissionScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get permission scheme
     * Returns a permission scheme.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getPermissionScheme
     * Request URI: /rest/api/3/permissionscheme/{schemeId}
     */
    async getPermissionScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme/${params.parameter.schemeId}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update permission scheme
     * Updates a permission scheme. Below are some important things to note when using this resource:
     *
     *  *  If a permissions list is present in the request, then it is set in the permission scheme, overwriting *all existing* grants.
     *  *  If you want to update only the name and description, then do not send a permissions list in the request.
     *  *  Sending an empty list will remove all permission grants from the permission scheme.
     *
     * If you want to add or delete a permission grant instead of updating the whole list, see [Create permission grant](#api-rest-api-3-permissionscheme-schemeId-permission-post) or [Delete permission scheme entity](#api-rest-api-3-permissionscheme-schemeId-permission-permissionId-delete).
     *
     * See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more details.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updatePermissionScheme
     * Request URI: /rest/api/3/permissionscheme/{schemeId}
     */
    async updatePermissionScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme/${params.parameter.schemeId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete permission scheme
     * Deletes a permission scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deletePermissionScheme
     * Request URI: /rest/api/3/permissionscheme/{schemeId}
     */
    async deletePermissionScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme/${params.parameter.schemeId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get permission scheme grants
     * Returns all permission grants for a permission scheme.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getPermissionSchemeGrants
     * Request URI: /rest/api/3/permissionscheme/{schemeId}/permission
     */
    async getPermissionSchemeGrants(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme/${params.parameter.schemeId}/permission`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create permission grant
     * Creates a permission grant in a permission scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createPermissionGrant
     * Request URI: /rest/api/3/permissionscheme/{schemeId}/permission
     */
    async createPermissionGrant(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme/${params.parameter.schemeId}/permission`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get permission scheme grant
     * Returns a permission grant.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getPermissionSchemeGrant
     * Request URI: /rest/api/3/permissionscheme/{schemeId}/permission/{permissionId}
     */
    async getPermissionSchemeGrant(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme/${params.parameter.schemeId}/permission/${params.parameter.permissionId}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Delete permission scheme grant
     * Deletes a permission grant from a permission scheme. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more details.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deletePermissionSchemeEntity
     * Request URI: /rest/api/3/permissionscheme/{schemeId}/permission/{permissionId}
     */
    async deletePermissionSchemeEntity(params, option) {
        const url = this.baseUrl + `/rest/api/3/permissionscheme/${params.parameter.schemeId}/permission/${params.parameter.permissionId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get priorities
     * Returns the list of all issue priorities.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getPriorities
     * Request URI: /rest/api/3/priority
     */
    async getPriorities(option) {
        const url = this.baseUrl + `/rest/api/3/priority`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get priority
     * Returns an issue priority.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getPriority
     * Request URI: /rest/api/3/priority/{id}
     */
    async getPriority(params, option) {
        const url = this.baseUrl + `/rest/api/3/priority/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * @deprecated
     * Get all projects
     * Returns all projects visible to the user. Deprecated, use [ Get projects paginated](#api-rest-api-3-project-search-get) that supports search and pagination.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Projects are returned only where the user has *Browse Projects* or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getAllProjects
     * Request URI: /rest/api/3/project
     */
    async getAllProjects(params, option) {
        const url = this.baseUrl + `/rest/api/3/project`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false },
            recent: { value: params.parameter.recent, explode: false },
            properties: { value: params.parameter.properties, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create project
     * Creates a project based on a project type template, as shown in the following table:
     *
     * | Project Type Key | Project Template Key |
     * |--|--|
     * | `business` | `com.atlassian.jira-core-project-templates:jira-core-simplified-content-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-document-approval`, `com.atlassian.jira-core-project-templates:jira-core-simplified-lead-tracking`, `com.atlassian.jira-core-project-templates:jira-core-simplified-process-control`, `com.atlassian.jira-core-project-templates:jira-core-simplified-procurement`, `com.atlassian.jira-core-project-templates:jira-core-simplified-project-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-recruitment`, `com.atlassian.jira-core-project-templates:jira-core-simplified-task-tracking` |
     * | `service_desk` | `com.atlassian.servicedesk:simplified-it-service-management`, `com.atlassian.servicedesk:simplified-general-service-desk`, `com.atlassian.servicedesk:simplified-internal-service-desk`, `com.atlassian.servicedesk:simplified-external-service-desk`, `com.atlassian.servicedesk:simplified-hr-service-desk`, `com.atlassian.servicedesk:simplified-facilities-service-desk`, `com.atlassian.servicedesk:simplified-legal-service-desk` |
     * | `software` | `com.pyxis.greenhopper.jira:gh-simplified-agility-kanban`, `com.pyxis.greenhopper.jira:gh-simplified-agility-scrum`, `com.pyxis.greenhopper.jira:gh-simplified-basic`, `com.pyxis.greenhopper.jira:gh-simplified-kanban-classic`, `com.pyxis.greenhopper.jira:gh-simplified-scrum-classic` |
     * The project types are available according to the installed Jira features as follows:
     *
     *  *  Jira Core, the default, enables `business` projects.
     *  *  Jira Service Management enables `service_desk` projects.
     *  *  Jira Software enables `software` projects.
     *
     * To determine which features are installed, go to **Jira settings** > **Apps** > **Manage apps** and review the System Apps list. To add Jira Software or Jira Service Management into a JIRA instance, use **Jira settings** > **Apps** > **Finding new apps**. For more information, see [ Managing add-ons](https://confluence.atlassian.com/x/S31NLg).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createProject
     * Request URI: /rest/api/3/project
     */
    async createProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get recent projects
     * Returns a list of up to 20 projects recently viewed by the user that are still visible to the user.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Projects are returned only where the user has one of:
     *
     *  *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     *  *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getRecent
     * Request URI: /rest/api/3/project/recent
     */
    async getRecent(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/recent`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false },
            properties: { value: params.parameter.properties, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get projects paginated
     * Returns a [paginated](#pagination) list of projects visible to the user.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Projects are returned only where the user has one of:
     *
     *  *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     *  *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: searchProjects
     * Request URI: /rest/api/3/project/search
     */
    async searchProjects(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            id: { value: params.parameter.id, explode: false },
            keys: { value: params.parameter.keys, explode: false },
            query: { value: params.parameter.query, explode: false },
            typeKey: { value: params.parameter.typeKey, explode: false },
            categoryId: { value: params.parameter.categoryId, explode: false },
            action: { value: params.parameter.action, explode: false },
            expand: { value: params.parameter.expand, explode: false },
            status: { value: params.parameter.status, explode: false },
            properties: { value: params.parameter.properties, explode: false },
            propertyQuery: { value: params.parameter.propertyQuery, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get all project types
     * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw), whether or not the instance has a valid license for each type.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAllProjectTypes
     * Request URI: /rest/api/3/project/type
     */
    async getAllProjectTypes(option) {
        const url = this.baseUrl + `/rest/api/3/project/type`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get licensed project types
     * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw) with a valid license.
     * operationId: getAllAccessibleProjectTypes
     * Request URI: /rest/api/3/project/type/accessible
     */
    async getAllAccessibleProjectTypes(option) {
        const url = this.baseUrl + `/rest/api/3/project/type/accessible`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get project type by key
     * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getProjectTypeByKey
     * Request URI: /rest/api/3/project/type/{projectTypeKey}
     */
    async getProjectTypeByKey(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/type/${params.parameter.projectTypeKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get accessible project type by key
     * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw) if it is accessible to the user.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getAccessibleProjectTypeByKey
     * Request URI: /rest/api/3/project/type/{projectTypeKey}/accessible
     */
    async getAccessibleProjectTypeByKey(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/type/${params.parameter.projectTypeKey}/accessible`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get project
     * Returns the [project details](https://confluence.atlassian.com/x/ahLpNw) for a project.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProject
     * Request URI: /rest/api/3/project/{projectIdOrKey}
     */
    async getProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false },
            properties: { value: params.parameter.properties, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update project
     * Updates the [project details](https://confluence.atlassian.com/x/ahLpNw) of a project.
     *
     * All parameters are optional in the body of the request.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateProject
     * Request URI: /rest/api/3/project/{projectIdOrKey}
     */
    async updateProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete project
     * Deletes a project.
     *
     * You can't delete a project if it's archived. To delete an archived project, restore the project and then delete it. To restore a project, use the Jira UI.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteProject
     * Request URI: /rest/api/3/project/{projectIdOrKey}
     */
    async deleteProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}`;
        const headers = {};
        const queryParameters = {
            enableUndo: { value: params.parameter.enableUndo, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Archive project
     * Archives a project. You can't delete a project if it's archived. To delete an archived project, restore the project and then delete it. To restore a project, use the Jira UI.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: archiveProject
     * Request URI: /rest/api/3/project/{projectIdOrKey}/archive
     */
    async archiveProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/archive`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Set project avatar
     * Sets the avatar displayed for a project.
     *
     * Use [Load project avatar](#api-rest-api-3-project-projectIdOrKey-avatar2-post) to store avatars against the project, before using this operation to set the displayed avatar.
     *
     * **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
     * operationId: updateProjectAvatar
     * Request URI: /rest/api/3/project/{projectIdOrKey}/avatar
     */
    async updateProjectAvatar(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/avatar`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete project avatar
     * Deletes a custom avatar from a project. Note that system avatars cannot be deleted.
     *
     * **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
     * operationId: deleteProjectAvatar
     * Request URI: /rest/api/3/project/{projectIdOrKey}/avatar/{id}
     */
    async deleteProjectAvatar(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/avatar/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Load project avatar
     * Loads an avatar for a project.
     *
     * Specify the avatar's local file location in the body of the request. Also, include the following headers:
     *
     *  *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
     *  *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
     *
     * For example:
     * `curl --request POST `
     *
     * `--user email@example.com:<api_token> `
     *
     * `--header 'X-Atlassian-Token: no-check' `
     *
     * `--header 'Content-Type: image/< image_type>' `
     *
     * `--data-binary "<@/path/to/file/with/your/avatar>" `
     *
     * `--url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/avatar2'`
     *
     * The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
     *
     * The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
     *
     * After creating the avatar use [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
     *
     * **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
     * operationId: createProjectAvatar
     * Request URI: /rest/api/3/project/{projectIdOrKey}/avatar2
     */
    async createProjectAvatar(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/avatar2`;
        const headers = {
            "Content-Type": "*/*",
            Accept: "application/json"
        };
        const queryParameters = {
            x: { value: params.parameter.x, explode: false },
            y: { value: params.parameter.y, explode: false },
            size: { value: params.parameter.size, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get all project avatars
     * Returns all project avatars, grouped by system and custom avatars.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getAllProjectAvatars
     * Request URI: /rest/api/3/project/{projectIdOrKey}/avatars
     */
    async getAllProjectAvatars(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/avatars`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get project components paginated
     * Returns a [paginated](#pagination) list of all components in a project. See the [Get project components](#api-rest-api-3-project-projectIdOrKey-components-get) resource if you want to get a full list of versions without pagination.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProjectComponentsPaginated
     * Request URI: /rest/api/3/project/{projectIdOrKey}/component
     */
    async getProjectComponentsPaginated(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/component`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            query: { value: params.parameter.query, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get project components
     * Returns all components in a project. See the [Get project components paginated](#api-rest-api-3-project-projectIdOrKey-component-get) resource if you want to get a full list of components with pagination.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProjectComponents
     * Request URI: /rest/api/3/project/{projectIdOrKey}/components
     */
    async getProjectComponents(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/components`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Delete project asynchronously
     * Deletes a project asynchronously.
     *
     * This operation is:
     *
     *  *  transactional, that is, if part of the delete fails the project is not deleted.
     *  *  [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteProjectAsynchronously
     * Request URI: /rest/api/3/project/{projectIdOrKey}/delete
     */
    async deleteProjectAsynchronously(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/delete`;
        const headers = {};
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Get project features
     * Returns the list of features for a project.
     * operationId: getFeaturesForProject
     * Request URI: /rest/api/3/project/{projectIdOrKey}/features
     */
    async getFeaturesForProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/features`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set project feature state
     * Sets the state of a project feature.
     * operationId: toggleFeatureForProject
     * Request URI: /rest/api/3/project/{projectIdOrKey}/features/{featureKey}
     */
    async toggleFeatureForProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/features/${params.parameter.featureKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get project property keys
     * Returns all [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys for the project.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProjectPropertyKeys
     * Request URI: /rest/api/3/project/{projectIdOrKey}/properties
     */
    async getProjectPropertyKeys(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/properties`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get project property
     * Returns the value of a [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
     * operationId: getProjectProperty
     * Request URI: /rest/api/3/project/{projectIdOrKey}/properties/{propertyKey}
     */
    async getProjectProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set project property
     * Sets the value of the [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). You can use project properties to store custom data against the project.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the property is created.
     * operationId: setProjectProperty
     * Request URI: /rest/api/3/project/{projectIdOrKey}/properties/{propertyKey}
     */
    async setProjectProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete project property
     * Deletes the [property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) from a project.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
     * operationId: deleteProjectProperty
     * Request URI: /rest/api/3/project/{projectIdOrKey}/properties/{propertyKey}
     */
    async deleteProjectProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/properties/${params.parameter.propertyKey}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Restore deleted project
     * Restores a project from the Jira recycle bin.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: restore
     * Request URI: /rest/api/3/project/{projectIdOrKey}/restore
     */
    async restore(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/restore`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Get project roles for project
     * Returns a list of [project roles](https://confluence.atlassian.com/x/3odKLg) for the project returning the name and self URL for each role.
     *
     * Note that all project roles are shared with all projects in Jira Cloud. See [Get all project roles](#api-rest-api-3-role-get) for more information.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for any project on the site or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getProjectRoles
     * Request URI: /rest/api/3/project/{projectIdOrKey}/role
     */
    async getProjectRoles(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/role`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get project role for project
     * Returns a project role's details and actors associated with the project. The list of actors is sorted by display name.
     *
     * To check whether a user belongs to a role based on their group memberships, use [Get user](#api-rest-api-3-user-get) with the `groups` expand parameter selected. Then check whether the user keys and groups match with the actors returned for the project.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getProjectRole
     * Request URI: /rest/api/3/project/{projectIdOrKey}/role/{id}
     */
    async getProjectRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/role/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set actors for project role
     * Sets the actors for a project role for a project, replacing all existing actors.
     *
     * To add actors to the project without overwriting the existing list, use [Add actors to project role](#api-rest-api-3-project-projectIdOrKey-role-id-post).
     *
     * **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setActors
     * Request URI: /rest/api/3/project/{projectIdOrKey}/role/{id}
     */
    async setActors(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/role/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Add actors to project role
     * Adds actors to a project role for the project.
     *
     * To replace all actors for the project, use [Set actors for project role](#api-rest-api-3-project-projectIdOrKey-role-id-put).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: addActorUsers
     * Request URI: /rest/api/3/project/{projectIdOrKey}/role/{id}
     */
    async addActorUsers(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/role/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete actors from project role
     * Deletes actors from a project role for the project.
     *
     * To remove default actors from the project role, use [Delete default actors from project role](#api-rest-api-3-role-id-actors-delete).
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteActor
     * Request URI: /rest/api/3/project/{projectIdOrKey}/role/{id}
     */
    async deleteActor(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/role/${params.parameter.id}`;
        const headers = {};
        const queryParameters = {
            user: { value: params.parameter.user, explode: false },
            group: { value: params.parameter.group, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get project role details
     * Returns all [project roles](https://confluence.atlassian.com/x/3odKLg) and the details for each role. Note that the list of project roles is common to all projects.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProjectRoleDetails
     * Request URI: /rest/api/3/project/{projectIdOrKey}/roledetails
     */
    async getProjectRoleDetails(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/roledetails`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            currentMember: { value: params.parameter.currentMember, explode: false },
            excludeConnectAddons: { value: params.parameter.excludeConnectAddons, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get all statuses for project
     * Returns the valid statuses for a project. The statuses are grouped by issue type, as each project has a set of valid issue types and each issue type has a set of valid statuses.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getAllStatuses
     * Request URI: /rest/api/3/project/{projectIdOrKey}/statuses
     */
    async getAllStatuses(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/statuses`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * @deprecated
     * Update project type
     * Deprecated, this feature is no longer supported and no alternatives are available, see [Convert project to a different template or type](https://confluence.atlassian.com/x/yEKeOQ). Updates a [project type](https://confluence.atlassian.com/x/GwiiLQ). The project type can be updated for classic projects only, project type cannot be updated for next-gen projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateProjectType
     * Request URI: /rest/api/3/project/{projectIdOrKey}/type/{newProjectTypeKey}
     */
    async updateProjectType(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/type/${params.parameter.newProjectTypeKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, undefined, undefined, option);
    }
    /**
     * Get project versions paginated
     * Returns a [paginated](#pagination) list of all versions in a project. See the [Get project versions](#api-rest-api-3-project-projectIdOrKey-versions-get) resource if you want to get a full list of versions without pagination.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProjectVersionsPaginated
     * Request URI: /rest/api/3/project/{projectIdOrKey}/version
     */
    async getProjectVersionsPaginated(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/version`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            query: { value: params.parameter.query, explode: false },
            status: { value: params.parameter.status, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get project versions
     * Returns all versions in a project. The response is not paginated. Use [Get project versions paginated](#api-rest-api-3-project-projectIdOrKey-version-get) if you want to get the versions in a project with pagination.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProjectVersions
     * Request URI: /rest/api/3/project/{projectIdOrKey}/versions
     */
    async getProjectVersions(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectIdOrKey}/versions`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get project's sender email
     * Returns the [project's sender email address](https://confluence.atlassian.com/x/dolKLg).
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getProjectEmail
     * Request URI: /rest/api/3/project/{projectId}/email
     */
    async getProjectEmail(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectId}/email`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set project's sender email
     * Sets the [project's sender email address](https://confluence.atlassian.com/x/dolKLg).
     *
     * If `emailAddress` is an empty string, the default email address is restored.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: updateProjectEmail
     * Request URI: /rest/api/3/project/{projectId}/email
     */
    async updateProjectEmail(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectId}/email`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * @deprecated
     * Get project issue type hierarchy
     * Get the issue type hierarchy for a next-gen project.
     *
     * The issue type hierarchy for a project consists of:
     *
     *  *  *Epic* at level 1 (optional).
     *  *  One or more issue types at level 0 such as *Story*, *Task*, or *Bug*. Where the issue type *Epic* is defined, these issue types are used to break down the content of an epic.
     *  *  *Subtask* at level -1 (optional). This issue type enables level 0 issue types to be broken down into components. Issues based on a level -1 issue type must have a parent issue.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
     * operationId: getHierarchy
     * Request URI: /rest/api/3/project/{projectId}/hierarchy
     */
    async getHierarchy(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectId}/hierarchy`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get project issue security scheme
     * Returns the [issue security scheme](https://confluence.atlassian.com/x/J4lKLg) associated with the project.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or the *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
     * operationId: getProjectIssueSecurityScheme
     * Request URI: /rest/api/3/project/{projectKeyOrId}/issuesecuritylevelscheme
     */
    async getProjectIssueSecurityScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectKeyOrId}/issuesecuritylevelscheme`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get project notification scheme
     * Gets a [notification scheme](https://confluence.atlassian.com/x/8YdKLg) associated with the project. See the [Get notification scheme](#api-rest-api-3-notificationscheme-id-get) resource for more information about notification schemes.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
     * operationId: getNotificationSchemeForProject
     * Request URI: /rest/api/3/project/{projectKeyOrId}/notificationscheme
     */
    async getNotificationSchemeForProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectKeyOrId}/notificationscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get assigned permission scheme
     * Gets the [permission scheme](https://confluence.atlassian.com/x/yodKLg) associated with the project.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
     * operationId: getAssignedPermissionScheme
     * Request URI: /rest/api/3/project/{projectKeyOrId}/permissionscheme
     */
    async getAssignedPermissionScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectKeyOrId}/permissionscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Assign permission scheme
     * Assigns a permission scheme with a project. See [Managing project permissions](https://confluence.atlassian.com/x/yodKLg) for more information about permission schemes.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg)
     * operationId: assignPermissionScheme
     * Request URI: /rest/api/3/project/{projectKeyOrId}/permissionscheme
     */
    async assignPermissionScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectKeyOrId}/permissionscheme`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get project issue security levels
     * Returns all [issue security](https://confluence.atlassian.com/x/J4lKLg) levels for the project that the user has access to.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project, however, issue security levels are only returned for authenticated user with *Set Issue Security* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project.
     * operationId: getSecurityLevelsForProject
     * Request URI: /rest/api/3/project/{projectKeyOrId}/securitylevel
     */
    async getSecurityLevelsForProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/project/${params.parameter.projectKeyOrId}/securitylevel`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get all project categories
     * Returns all project categories.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getAllProjectCategories
     * Request URI: /rest/api/3/projectCategory
     */
    async getAllProjectCategories(option) {
        const url = this.baseUrl + `/rest/api/3/projectCategory`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Create project category
     * Creates a project category.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createProjectCategory
     * Request URI: /rest/api/3/projectCategory
     */
    async createProjectCategory(params, option) {
        const url = this.baseUrl + `/rest/api/3/projectCategory`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get project category by ID
     * Returns a project category.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getProjectCategoryById
     * Request URI: /rest/api/3/projectCategory/{id}
     */
    async getProjectCategoryById(params, option) {
        const url = this.baseUrl + `/rest/api/3/projectCategory/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update project category
     * Updates a project category.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateProjectCategory
     * Request URI: /rest/api/3/projectCategory/{id}
     */
    async updateProjectCategory(params, option) {
        const url = this.baseUrl + `/rest/api/3/projectCategory/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete project category
     * Deletes a project category.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: removeProjectCategory
     * Request URI: /rest/api/3/projectCategory/{id}
     */
    async removeProjectCategory(params, option) {
        const url = this.baseUrl + `/rest/api/3/projectCategory/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Validate project key
     * Validates a project key by confirming the key is a valid string and not in use.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: validateProjectKey
     * Request URI: /rest/api/3/projectvalidate/key
     */
    async validateProjectKey(params, option) {
        const url = this.baseUrl + `/rest/api/3/projectvalidate/key`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get valid project key
     * Validates a project key and, if the key is invalid or in use, generates a valid random string for the project key.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getValidProjectKey
     * Request URI: /rest/api/3/projectvalidate/validProjectKey
     */
    async getValidProjectKey(params, option) {
        const url = this.baseUrl + `/rest/api/3/projectvalidate/validProjectKey`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get valid project name
     * Checks that a project name isn't in use. If the name isn't in use, the passed string is returned. If the name is in use, this operation attempts to generate a valid project name based on the one supplied, usually by adding a sequence number. If a valid project name cannot be generated, a 404 response is returned.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getValidProjectName
     * Request URI: /rest/api/3/projectvalidate/validProjectName
     */
    async getValidProjectName(params, option) {
        const url = this.baseUrl + `/rest/api/3/projectvalidate/validProjectName`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            name: { value: params.parameter.name, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get resolutions
     * Returns a list of all issue resolution values.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getResolutions
     * Request URI: /rest/api/3/resolution
     */
    async getResolutions(option) {
        const url = this.baseUrl + `/rest/api/3/resolution`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get resolution
     * Returns an issue resolution value.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getResolution
     * Request URI: /rest/api/3/resolution/{id}
     */
    async getResolution(params, option) {
        const url = this.baseUrl + `/rest/api/3/resolution/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get all project roles
     * Gets a list of all project roles, complete with project role details and default actors.
     *
     * ### About project roles ###
     *
     * [Project roles](https://confluence.atlassian.com/x/3odKLg) are a flexible way to to associate users and groups with projects. In Jira Cloud, the list of project roles is shared globally with all projects, but each project can have a different set of actors associated with it (unlike groups, which have the same membership throughout all Jira applications).
     *
     * Project roles are used in [permission schemes](#api-rest-api-3-permissionscheme-get), [email notification schemes](#api-rest-api-3-notificationscheme-get), [issue security levels](#api-rest-api-3-issuesecurityschemes-get), [comment visibility](#api-rest-api-3-comment-list-post), and workflow conditions.
     *
     * #### Members and actors ####
     *
     * In the Jira REST API, a member of a project role is called an *actor*. An *actor* is a group or user associated with a project role.
     *
     * Actors may be set as [default members](https://confluence.atlassian.com/x/3odKLg#Managingprojectroles-Specifying'defaultmembers'foraprojectrole) of the project role or set at the project level:
     *
     *  *  Default actors: Users and groups that are assigned to the project role for all newly created projects. The default actors can be removed at the project level later if desired.
     *  *  Actors: Users and groups that are associated with a project role for a project, which may differ from the default actors. This enables you to assign a user to different roles in different projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllProjectRoles
     * Request URI: /rest/api/3/role
     */
    async getAllProjectRoles(option) {
        const url = this.baseUrl + `/rest/api/3/role`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Create project role
     * Creates a new project role with no [default actors](#api-rest-api-3-resolution-get). You can use the [Add default actors to project role](#api-rest-api-3-role-id-actors-post) operation to add default actors to the project role after creating it.
     *
     * *Note that although a new project role is available to all projects upon creation, any default actors that are associated with the project role are not added to projects that existed prior to the role being created.*<
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createProjectRole
     * Request URI: /rest/api/3/role
     */
    async createProjectRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/role`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get project role by ID
     * Gets the project role details and the default actors associated with the role. The list of default actors is sorted by display name.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getProjectRoleById
     * Request URI: /rest/api/3/role/{id}
     */
    async getProjectRoleById(params, option) {
        const url = this.baseUrl + `/rest/api/3/role/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Fully update project role
     * Updates the project role's name and description. You must include both a name and a description in the request.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: fullyUpdateProjectRole
     * Request URI: /rest/api/3/role/{id}
     */
    async fullyUpdateProjectRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/role/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Partial update project role
     * Updates either the project role's name or its description.
     *
     * You cannot update both the name and description at the same time using this operation. If you send a request with a name and a description only the name is updated.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: partialUpdateProjectRole
     * Request URI: /rest/api/3/role/{id}
     */
    async partialUpdateProjectRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/role/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete project role
     * Deletes a project role. You must specify a replacement project role if you wish to delete a project role that is in use.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteProjectRole
     * Request URI: /rest/api/3/role/{id}
     */
    async deleteProjectRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/role/${params.parameter.id}`;
        const headers = {};
        const queryParameters = {
            swap: { value: params.parameter.swap, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get default actors for project role
     * Returns the [default actors](#api-rest-api-3-resolution-get) for the project role.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getProjectRoleActorsForRole
     * Request URI: /rest/api/3/role/{id}/actors
     */
    async getProjectRoleActorsForRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/role/${params.parameter.id}/actors`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Add default actors to project role
     * Adds [default actors](#api-rest-api-3-resolution-get) to a role. You may add groups or users, but you cannot add groups and users in the same request.
     *
     * Changing a project role's default actors does not affect project role members for projects already created.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: addProjectRoleActorsToRole
     * Request URI: /rest/api/3/role/{id}/actors
     */
    async addProjectRoleActorsToRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/role/${params.parameter.id}/actors`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete default actors from project role
     * Deletes the [default actors](#api-rest-api-3-resolution-get) from a project role. You may delete a group or user, but you cannot delete a group and a user in the same request.
     *
     * Changing a project role's default actors does not affect project role members for projects already created.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteProjectRoleActorsFromRole
     * Request URI: /rest/api/3/role/{id}/actors
     */
    async deleteProjectRoleActorsFromRole(params, option) {
        const url = this.baseUrl + `/rest/api/3/role/${params.parameter.id}/actors`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            user: { value: params.parameter.user, explode: false },
            group: { value: params.parameter.group, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get screens
     * Returns a [paginated](#pagination) list of all screens or those specified by one or more screen IDs.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getScreens
     * Request URI: /rest/api/3/screens
     */
    async getScreens(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            id: { value: params.parameter.id, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create screen
     * Creates a screen with a default field tab.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createScreen
     * Request URI: /rest/api/3/screens
     */
    async createScreen(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Add field to default screen
     * Adds a field to the default tab of the default screen.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: addFieldToDefaultScreen
     * Request URI: /rest/api/3/screens/addToDefault/{fieldId}
     */
    async addFieldToDefaultScreen(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/addToDefault/${params.parameter.fieldId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Update screen
     * Updates a screen. Only screens used in classic projects can be updated.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateScreen
     * Request URI: /rest/api/3/screens/{screenId}
     */
    async updateScreen(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete screen
     * Deletes a screen. A screen cannot be deleted if it is used in a screen scheme, workflow, or workflow draft.
     *
     * Only screens used in classic projects can be deleted.
     * operationId: deleteScreen
     * Request URI: /rest/api/3/screens/{screenId}
     */
    async deleteScreen(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get available screen fields
     * Returns the fields that can be added to a tab on a screen.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAvailableScreenFields
     * Request URI: /rest/api/3/screens/{screenId}/availableFields
     */
    async getAvailableScreenFields(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/availableFields`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get all screen tabs
     * Returns the list of tabs for a screen.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *  *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
     * operationId: getAllScreenTabs
     * Request URI: /rest/api/3/screens/{screenId}/tabs
     */
    async getAllScreenTabs(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            projectKey: { value: params.parameter.projectKey, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create screen tab
     * Creates a tab for a screen.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: addScreenTab
     * Request URI: /rest/api/3/screens/{screenId}/tabs
     */
    async addScreenTab(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update screen tab
     * Updates the name of a screen tab.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: renameScreenTab
     * Request URI: /rest/api/3/screens/{screenId}/tabs/{tabId}
     */
    async renameScreenTab(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs/${params.parameter.tabId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete screen tab
     * Deletes a screen tab.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteScreenTab
     * Request URI: /rest/api/3/screens/{screenId}/tabs/{tabId}
     */
    async deleteScreenTab(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs/${params.parameter.tabId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get all screen tab fields
     * Returns all fields for a screen tab.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *  *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
     * operationId: getAllScreenTabFields
     * Request URI: /rest/api/3/screens/{screenId}/tabs/{tabId}/fields
     */
    async getAllScreenTabFields(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs/${params.parameter.tabId}/fields`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            projectKey: { value: params.parameter.projectKey, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Add screen tab field
     * Adds a field to a screen tab.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: addScreenTabField
     * Request URI: /rest/api/3/screens/{screenId}/tabs/{tabId}/fields
     */
    async addScreenTabField(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs/${params.parameter.tabId}/fields`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove screen tab field
     * Removes a field from a screen tab.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: removeScreenTabField
     * Request URI: /rest/api/3/screens/{screenId}/tabs/{tabId}/fields/{id}
     */
    async removeScreenTabField(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs/${params.parameter.tabId}/fields/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Move screen tab field
     * Moves a screen tab field.
     *
     * If `after` and `position` are provided in the request, `position` is ignored.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: moveScreenTabField
     * Request URI: /rest/api/3/screens/{screenId}/tabs/{tabId}/fields/{id}/move
     */
    async moveScreenTabField(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs/${params.parameter.tabId}/fields/${params.parameter.id}/move`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Move screen tab
     * Moves a screen tab.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: moveScreenTab
     * Request URI: /rest/api/3/screens/{screenId}/tabs/{tabId}/move/{pos}
     */
    async moveScreenTab(params, option) {
        const url = this.baseUrl + `/rest/api/3/screens/${params.parameter.screenId}/tabs/${params.parameter.tabId}/move/${params.parameter.pos}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Get screen schemes
     * Returns a [paginated](#pagination) list of screen schemes.
     *
     * Only screen schemes used in classic projects are returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getScreenSchemes
     * Request URI: /rest/api/3/screenscheme
     */
    async getScreenSchemes(params, option) {
        const url = this.baseUrl + `/rest/api/3/screenscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            id: { value: params.parameter.id, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create screen scheme
     * Creates a screen scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createScreenScheme
     * Request URI: /rest/api/3/screenscheme
     */
    async createScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/screenscheme`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Update screen scheme
     * Updates a screen scheme. Only screen schemes used in classic projects can be updated.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateScreenScheme
     * Request URI: /rest/api/3/screenscheme/{screenSchemeId}
     */
    async updateScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/screenscheme/${params.parameter.screenSchemeId}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete screen scheme
     * Deletes a screen scheme. A screen scheme cannot be deleted if it is used in an issue type screen scheme.
     *
     * Only screens schemes used in classic projects can be deleted.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteScreenScheme
     * Request URI: /rest/api/3/screenscheme/{screenSchemeId}
     */
    async deleteScreenScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/screenscheme/${params.parameter.screenSchemeId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Search for issues using JQL (GET)
     * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ).
     *
     * If the JQL query expression is too large to be encoded as a query parameter, use the [POST](#api-rest-api-3-search-post) version of this resource.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Issues are included in the response where the user has:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: searchForIssuesUsingJql
     * Request URI: /rest/api/3/search
     */
    async searchForIssuesUsingJql(params, option) {
        const url = this.baseUrl + `/rest/api/3/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            jql: { value: params.parameter.jql, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            validateQuery: { value: params.parameter.validateQuery, explode: false },
            fields: { value: params.parameter.fields, explode: false },
            expand: { value: params.parameter.expand, explode: false },
            properties: { value: params.parameter.properties, explode: false },
            fieldsByKeys: { value: params.parameter.fieldsByKeys, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Search for issues using JQL (POST)
     * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ).
     *
     * There is a [GET](#api-rest-api-3-search-get) version of this resource that can be used for smaller JQL query expressions.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** Issues are included in the response where the user has:
     *
     *  *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
     *  *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
     * operationId: searchForIssuesUsingJqlPost
     * Request URI: /rest/api/3/search
     */
    async searchForIssuesUsingJqlPost(params, option) {
        const url = this.baseUrl + `/rest/api/3/search`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get issue security level
     * Returns details of an issue security level.
     *
     * Use [Get issue security scheme](#api-rest-api-3-issuesecurityschemes-id-get) to obtain the IDs of issue security levels associated with the issue security scheme.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getIssueSecurityLevel
     * Request URI: /rest/api/3/securitylevel/{id}
     */
    async getIssueSecurityLevel(params, option) {
        const url = this.baseUrl + `/rest/api/3/securitylevel/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get Jira instance info
     * Returns information about the Jira instance.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getServerInfo
     * Request URI: /rest/api/3/serverInfo
     */
    async getServerInfo(option) {
        const url = this.baseUrl + `/rest/api/3/serverInfo`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get issue navigator default columns
     * Returns the default issue navigator columns.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getIssueNavigatorDefaultColumns
     * Request URI: /rest/api/3/settings/columns
     */
    async getIssueNavigatorDefaultColumns(option) {
        const url = this.baseUrl + `/rest/api/3/settings/columns`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set issue navigator default columns
     * Sets the default issue navigator columns.
     *
     * The `columns` parameter accepts a navigable field value and is expressed as HTML form data. To specify multiple columns, pass multiple `columns` parameters. For example, in curl:
     *
     * `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/settings/columns`
     *
     * If no column details are sent, then all default columns are removed.
     *
     * A navigable field is one that can be used as a column on the issue navigator. Find details of navigable issue columns using [Get fields](#api-rest-api-3-field-get).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setIssueNavigatorDefaultColumns
     * Request URI: /rest/api/3/settings/columns
     */
    async setIssueNavigatorDefaultColumns(params, option) {
        const url = this.baseUrl + `/rest/api/3/settings/columns`;
        const headers = {
            "Content-Type": params.headers["Content-Type"],
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get all statuses
     * Returns a list of all statuses associated with workflows.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getStatuses
     * Request URI: /rest/api/3/status
     */
    async getStatuses(option) {
        const url = this.baseUrl + `/rest/api/3/status`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get status
     * Returns a status. The status must be associated with a workflow to be returned.
     *
     * If a name is used on more than one status, only the status found first is returned. Therefore, identifying the status by its ID may be preferable.
     *
     * This operation can be accessed anonymously.
     *
     * [Permissions](#permissions) required: None.
     * operationId: getStatus
     * Request URI: /rest/api/3/status/{idOrName}
     */
    async getStatus(params, option) {
        const url = this.baseUrl + `/rest/api/3/status/${params.parameter.idOrName}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get all status categories
     * Returns a list of all status categories.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getStatusCategories
     * Request URI: /rest/api/3/statuscategory
     */
    async getStatusCategories(option) {
        const url = this.baseUrl + `/rest/api/3/statuscategory`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get status category
     * Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getStatusCategory
     * Request URI: /rest/api/3/statuscategory/{idOrKey}
     */
    async getStatusCategory(params, option) {
        const url = this.baseUrl + `/rest/api/3/statuscategory/${params.parameter.idOrKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get task
     * Returns the status of a [long-running asynchronous task](#async).
     *
     * When a task has finished, this operation returns the JSON blob applicable to the task. See the documentation of the operation that created the task for details. Task details are not permanently retained. As of September 2019, details are retained for 14 days although this period may change without notice.
     *
     * **[Permissions](#permissions) required:** either of:
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *  *  Creator of the task.
     * operationId: getTask
     * Request URI: /rest/api/3/task/{taskId}
     */
    async getTask(params, option) {
        const url = this.baseUrl + `/rest/api/3/task/${params.parameter.taskId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Cancel task
     * Cancels a task.
     *
     * **[Permissions](#permissions) required:** either of:
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *  *  Creator of the task.
     * operationId: cancelTask
     * Request URI: /rest/api/3/task/{taskId}/cancel
     */
    async cancelTask(params, option) {
        const url = this.baseUrl + `/rest/api/3/task/${params.parameter.taskId}/cancel`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Get avatars
     * Returns the system and custom avatars for a project or issue type.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  for custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
     *  *  for custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
     *  *  for system avatars, none.
     * operationId: getAvatars
     * Request URI: /rest/api/3/universal_avatar/type/{type}/owner/{entityId}
     */
    async getAvatars(params, option) {
        const url = this.baseUrl + `/rest/api/3/universal_avatar/type/${params.parameter.type}/owner/${params.parameter.entityId}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Load avatar
     * Loads a custom avatar for a project or issue type.
     *
     * Specify the avatar's local file location in the body of the request. Also, include the following headers:
     *
     *  *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
     *  *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
     *
     * For example:
     * `curl --request POST `
     *
     * `--user email@example.com:<api_token> `
     *
     * `--header 'X-Atlassian-Token: no-check' `
     *
     * `--header 'Content-Type: image/< image_type>' `
     *
     * `--data-binary "<@/path/to/file/with/your/avatar>" `
     *
     * `--url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/type/{type}/owner/{entityId}'`
     *
     * The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
     *
     * The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
     *
     * After creating the avatar use:
     *
     *  *  [Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
     *  *  [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: storeAvatar
     * Request URI: /rest/api/3/universal_avatar/type/{type}/owner/{entityId}
     */
    async storeAvatar(params, option) {
        const url = this.baseUrl + `/rest/api/3/universal_avatar/type/${params.parameter.type}/owner/${params.parameter.entityId}`;
        const headers = {
            "Content-Type": "*/*",
            Accept: "application/json"
        };
        const queryParameters = {
            x: { value: params.parameter.x, explode: false },
            y: { value: params.parameter.y, explode: false },
            size: { value: params.parameter.size, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete avatar
     * Deletes an avatar from a project or issue type.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteAvatar
     * Request URI: /rest/api/3/universal_avatar/type/{type}/owner/{owningObjectId}/avatar/{id}
     */
    async deleteAvatar(params, option) {
        const url = this.baseUrl + `/rest/api/3/universal_avatar/type/${params.parameter.type}/owner/${params.parameter.owningObjectId}/avatar/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get avatar image by type
     * Returns the default project or issue type avatar image.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: getAvatarImageByType
     * Request URI: /rest/api/3/universal_avatar/view/type/{type}
     */
    async getAvatarImageByType(params, option) {
        const url = this.baseUrl + `/rest/api/3/universal_avatar/view/type/${params.parameter.type}`;
        const headers = {
            Accept: params.headers.Accept
        };
        const queryParameters = {
            size: { value: params.parameter.size, explode: false },
            format: { value: params.parameter.format, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get avatar image by ID
     * Returns a project or issue type avatar image by ID.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  For system avatars, none.
     *  *  For custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
     *  *  For custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
     * operationId: getAvatarImageByID
     * Request URI: /rest/api/3/universal_avatar/view/type/{type}/avatar/{id}
     */
    async getAvatarImageByID(params, option) {
        const url = this.baseUrl + `/rest/api/3/universal_avatar/view/type/${params.parameter.type}/avatar/${params.parameter.id}`;
        const headers = {
            Accept: params.headers.Accept
        };
        const queryParameters = {
            size: { value: params.parameter.size, explode: false },
            format: { value: params.parameter.format, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get avatar image by owner
     * Returns the avatar image for a project or issue type.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  For system avatars, none.
     *  *  For custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
     *  *  For custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
     * operationId: getAvatarImageByOwner
     * Request URI: /rest/api/3/universal_avatar/view/type/{type}/owner/{entityId}
     */
    async getAvatarImageByOwner(params, option) {
        const url = this.baseUrl + `/rest/api/3/universal_avatar/view/type/${params.parameter.type}/owner/${params.parameter.entityId}`;
        const headers = {
            Accept: params.headers.Accept
        };
        const queryParameters = {
            size: { value: params.parameter.size, explode: false },
            format: { value: params.parameter.format, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get user
     * Returns a user.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getUser
     * Request URI: /rest/api/3/user
     */
    async getUser(params, option) {
        const url = this.baseUrl + `/rest/api/3/user`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            username: { value: params.parameter.username, explode: false },
            key: { value: params.parameter.key, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create user
     * Creates a user. This resource is retained for legacy compatibility. As soon as a more suitable alternative is available this resource will be deprecated.
     *
     * If the user exists and has access to Jira, the operation returns a 201 status. If the user exists but does not have access to Jira, the operation returns a 400 status.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createUser
     * Request URI: /rest/api/3/user
     */
    async createUser(params, option) {
        const url = this.baseUrl + `/rest/api/3/user`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete user
     * Deletes a user.
     *
     * **[Permissions](#permissions) required:** Site administration (that is, membership of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
     * operationId: removeUser
     * Request URI: /rest/api/3/user
     */
    async removeUser(params, option) {
        const url = this.baseUrl + `/rest/api/3/user`;
        const headers = {};
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            username: { value: params.parameter.username, explode: false },
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users assignable to projects
     * Returns a list of users who can be assigned issues in one or more projects. The list may be restricted to users whose attributes match a string.
     *
     * This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned issues in the projects. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned issues in the projects, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** None.
     * operationId: findBulkAssignableUsers
     * Request URI: /rest/api/3/user/assignable/multiProjectSearch
     */
    async findBulkAssignableUsers(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/assignable/multiProjectSearch`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            username: { value: params.parameter.username, explode: false },
            accountId: { value: params.parameter.accountId, explode: false },
            projectKeys: { value: params.parameter.projectKeys, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users assignable to issues
     * Returns a list of users that can be assigned to an issue. Use this operation to find the list of users who can be assigned to:
     *
     *  *  a new issue, by providing the `projectKeyOrId`.
     *  *  an updated issue, by providing the `issueKey`.
     *  *  to an issue during a transition (workflow action), by providing the `issueKey` and the transition id in `actionDescriptorId`. You can obtain the IDs of an issue's valid transitions using the `transitions` option in the `expand` parameter of [ Get issue](#api-rest-api-3-issue-issueIdOrKey-get).
     *
     * In all these cases, you can pass an account ID to determine if a user can be assigned to an issue. The user is returned in the response if they can be assigned to the issue or issue transition.
     *
     * This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned the issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned the issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: findAssignableUsers
     * Request URI: /rest/api/3/user/assignable/search
     */
    async findAssignableUsers(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/assignable/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            sessionId: { value: params.parameter.sessionId, explode: false },
            username: { value: params.parameter.username, explode: false },
            accountId: { value: params.parameter.accountId, explode: false },
            project: { value: params.parameter.project, explode: false },
            issueKey: { value: params.parameter.issueKey, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            actionDescriptorId: { value: params.parameter.actionDescriptorId, explode: false },
            recommend: { value: params.parameter.recommend, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Bulk get users
     * Returns a [paginated](#pagination) list of the users specified by one or more account IDs.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: bulkGetUsers
     * Request URI: /rest/api/3/user/bulk
     */
    async bulkGetUsers(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/bulk`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            username: { value: params.parameter.username, explode: false },
            key: { value: params.parameter.key, explode: false },
            accountId: { value: params.parameter.accountId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get account IDs for users
     * Returns the account IDs for the users specified in the `key` or `username` parameters. Note that multiple `key` or `username` parameters can be specified.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: bulkGetUsersMigration
     * Request URI: /rest/api/3/user/bulk/migration
     */
    async bulkGetUsersMigration(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/bulk/migration`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            username: { value: params.parameter.username, explode: false },
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get user default columns
     * Returns the default [issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If `accountId` is not passed in the request, the calling user's details are returned.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLgl), to get the column details for any user.
     *  *  Permission to access Jira, to get the calling user's column details.
     * operationId: getUserDefaultColumns
     * Request URI: /rest/api/3/user/columns
     */
    async getUserDefaultColumns(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/columns`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            username: { value: params.parameter.username, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Set user default columns
     * Sets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If an account ID is not passed, the calling user's default columns are set. If no column details are sent, then all default columns are removed.
     *
     * The parameters for this resource are expressed as HTML form data. For example, in curl:
     *
     * `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/user/columns?accountId=5b10ac8d82e05b22cc7d4ef5'`
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
     *  *  Permission to access Jira, to set the calling user's columns.
     * operationId: setUserColumns
     * Request URI: /rest/api/3/user/columns
     */
    async setUserColumns(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/columns`;
        const headers = {
            "Content-Type": params.headers["Content-Type"],
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Reset user default columns
     * Resets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user to the system default. If `accountId` is not passed, the calling user's default columns are reset.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
     *  *  Permission to access Jira, to set the calling user's columns.
     * operationId: resetUserColumns
     * Request URI: /rest/api/3/user/columns
     */
    async resetUserColumns(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/columns`;
        const headers = {};
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            username: { value: params.parameter.username, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get user email
     * Returns a user's email address. This API is only available to apps approved by Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
     * operationId: getUserEmail
     * Request URI: /rest/api/3/user/email
     */
    async getUserEmail(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/email`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get user email bulk
     * Returns a user's email address. This API is only available to apps approved by Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
     * operationId: getUserEmailBulk
     * Request URI: /rest/api/3/user/email/bulk
     */
    async getUserEmailBulk(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/email/bulk`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get user groups
     * Returns the groups to which a user belongs.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getUserGroups
     * Request URI: /rest/api/3/user/groups
     */
    async getUserGroups(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/groups`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            username: { value: params.parameter.username, explode: false },
            key: { value: params.parameter.key, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users with permissions
     * Returns a list of users who fulfill these criteria:
     *
     *  *  their user attributes match a search string.
     *  *  they have a set of permissions for a project or issue.
     *
     * If no search string is provided, a list of all users with the permissions is returned.
     *
     * This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission for the project or issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission for the project or issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get users for any project.
     *  *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project, to get users for that project.
     * operationId: findUsersWithAllPermissions
     * Request URI: /rest/api/3/user/permission/search
     */
    async findUsersWithAllPermissions(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/permission/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            username: { value: params.parameter.username, explode: false },
            accountId: { value: params.parameter.accountId, explode: false },
            permissions: { value: params.parameter.permissions, explode: false },
            issueKey: { value: params.parameter.issueKey, explode: false },
            projectKey: { value: params.parameter.projectKey, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users for picker
     * Returns a list of users whose attributes match the query term. The returned object includes the `html` field where the matched query term is highlighted with the HTML strong tag. A list of account IDs can be provided to exclude users from the results.
     *
     * This operation takes the users in the range defined by `maxResults`, up to the thousandth user, and then returns only the users from that range that match the query term. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the query term, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return search results for an exact name match only.
     * operationId: findUsersForPicker
     * Request URI: /rest/api/3/user/picker
     */
    async findUsersForPicker(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/picker`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            showAvatar: { value: params.parameter.showAvatar, explode: false },
            exclude: { value: params.parameter.exclude, explode: false },
            excludeAccountIds: { value: params.parameter.excludeAccountIds, explode: false },
            avatarSize: { value: params.parameter.avatarSize, explode: false },
            excludeConnectUsers: { value: params.parameter.excludeConnectUsers, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get user property keys
     * Returns the keys of all properties for a user.
     *
     * Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to access the property keys on any user.
     *  *  Access to Jira, to access the calling user's property keys.
     * operationId: getUserPropertyKeys
     * Request URI: /rest/api/3/user/properties
     */
    async getUserPropertyKeys(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/properties`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            userKey: { value: params.parameter.userKey, explode: false },
            username: { value: params.parameter.username, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get user property
     * Returns the value of a user's property. If no property key is provided [Get user property keys](#api-rest-api-3-user-properties-get) is called.
     *
     * Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get a property from any user.
     *  *  Access to Jira, to get a property from the calling user's record.
     * operationId: getUserProperty
     * Request URI: /rest/api/3/user/properties/{propertyKey}
     */
    async getUserProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            userKey: { value: params.parameter.userKey, explode: false },
            username: { value: params.parameter.username, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Set user property
     * Sets the value of a user's property. Use this resource to store custom data against a user.
     *
     * Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set a property on any user.
     *  *  Access to Jira, to set a property on the calling user's record.
     * operationId: setUserProperty
     * Request URI: /rest/api/3/user/properties/{propertyKey}
     */
    async setUserProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            userKey: { value: params.parameter.userKey, explode: false },
            username: { value: params.parameter.username, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete user property
     * Deletes a property from a user.
     *
     * Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
     *
     * **[Permissions](#permissions) required:**
     *
     *  *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to delete a property from any user.
     *  *  Access to Jira, to delete a property from the calling user's record.
     * operationId: deleteUserProperty
     * Request URI: /rest/api/3/user/properties/{propertyKey}
     */
    async deleteUserProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/properties/${params.parameter.propertyKey}`;
        const headers = {};
        const queryParameters = {
            accountId: { value: params.parameter.accountId, explode: false },
            userKey: { value: params.parameter.userKey, explode: false },
            username: { value: params.parameter.username, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users
     * Returns a list of users that match the search string and property.
     *
     * This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and property. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and property, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls or calls by users without the required permission return empty search results.
     * operationId: findUsers
     * Request URI: /rest/api/3/user/search
     */
    async findUsers(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            username: { value: params.parameter.username, explode: false },
            accountId: { value: params.parameter.accountId, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            property: { value: params.parameter.property, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users by query
     * Finds users with a structured query and returns a [paginated](#pagination) list of user details.
     *
     * This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *
     * The query statements are:
     *
     *  *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
     *  *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
     *  *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value.
     *
     * The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
     *
     * `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
     * operationId: findUsersByQuery
     * Request URI: /rest/api/3/user/search/query
     */
    async findUsersByQuery(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/search/query`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find user keys by query
     * Finds users with a structured query and returns a [paginated](#pagination) list of user keys.
     *
     * This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     *
     * The query statements are:
     *
     *  *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
     *  *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
     *  *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
     *  *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value.
     *
     * The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
     *
     * `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
     * operationId: findUserKeysByQuery
     * Request URI: /rest/api/3/user/search/query/key
     */
    async findUserKeysByQuery(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/search/query/key`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Find users with browse permission
     * Returns a list of users who fulfill these criteria:
     *
     *  *  their user attributes match a search string.
     *  *  they have permission to browse issues.
     *
     * Use this resource to find users who can browse:
     *
     *  *  an issue, by providing the `issueKey`.
     *  *  any issue in a project, by providing the `projectKey`.
     *
     * This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission to browse issues. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission to browse issues, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return empty search results.
     * operationId: findUsersWithBrowsePermission
     * Request URI: /rest/api/3/user/viewissue/search
     */
    async findUsersWithBrowsePermission(params, option) {
        const url = this.baseUrl + `/rest/api/3/user/viewissue/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            query: { value: params.parameter.query, explode: false },
            username: { value: params.parameter.username, explode: false },
            accountId: { value: params.parameter.accountId, explode: false },
            issueKey: { value: params.parameter.issueKey, explode: false },
            projectKey: { value: params.parameter.projectKey, explode: false },
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get all users default
     * Returns a list of all (active and inactive) users.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllUsersDefault
     * Request URI: /rest/api/3/users
     */
    async getAllUsersDefault(params, option) {
        const url = this.baseUrl + `/rest/api/3/users`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get all users
     * Returns a list of all (active and inactive) users.
     *
     * **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllUsers
     * Request URI: /rest/api/3/users/search
     */
    async getAllUsers(params, option) {
        const url = this.baseUrl + `/rest/api/3/users/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create version
     * Creates a project version.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the version is added to.
     * operationId: createVersion
     * Request URI: /rest/api/3/version
     */
    async createVersion(params, option) {
        const url = this.baseUrl + `/rest/api/3/version`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get version
     * Returns a project version.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the version.
     * operationId: getVersion
     * Request URI: /rest/api/3/version/{id}
     */
    async getVersion(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update version
     * Updates a project version.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
     * operationId: updateVersion
     * Request URI: /rest/api/3/version/{id}
     */
    async updateVersion(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * @deprecated
     * Delete version
     * Deletes a project version.
     *
     * Deprecated, use [ Delete and replace version](#api-rest-api-3-version-id-removeAndSwap-post) that supports swapping version values in custom fields, in addition to the swapping for `fixVersion` and `affectedVersion` provided in this resource.
     *
     * Alternative versions can be provided to update issues that use the deleted version in `fixVersion` or `affectedVersion`. If alternatives are not provided, occurrences of `fixVersion` and `affectedVersion` that contain the deleted version are cleared.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
     * operationId: deleteVersion
     * Request URI: /rest/api/3/version/{id}
     */
    async deleteVersion(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}`;
        const headers = {};
        const queryParameters = {
            moveFixIssuesTo: { value: params.parameter.moveFixIssuesTo, explode: false },
            moveAffectedIssuesTo: { value: params.parameter.moveAffectedIssuesTo, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Merge versions
     * Merges two project versions. The merge is completed by deleting the version specified in `id` and replacing any occurrences of its ID in `fixVersion` with the version ID specified in `moveIssuesTo`.
     *
     * Consider using [ Delete and replace version](#api-rest-api-3-version-id-removeAndSwap-post) instead. This resource supports swapping version values in `fixVersion`, `affectedVersion`, and custom fields.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
     * operationId: mergeVersions
     * Request URI: /rest/api/3/version/{id}/mergeto/{moveIssuesTo}
     */
    async mergeVersions(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}/mergeto/${params.parameter.moveIssuesTo}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, undefined, undefined, option);
    }
    /**
     * Move version
     * Modifies the version's sequence within the project, which affects the display order of the versions in Jira.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
     * operationId: moveVersion
     * Request URI: /rest/api/3/version/{id}/move
     */
    async moveVersion(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}/move`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get version's related issues count
     * Returns the following counts for a version:
     *
     *  *  Number of issues where the `fixVersion` is set to the version.
     *  *  Number of issues where the `affectedVersion` is set to the version.
     *  *  Number of issues where a version custom field is set to the version.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
     * operationId: getVersionRelatedIssues
     * Request URI: /rest/api/3/version/{id}/relatedIssueCounts
     */
    async getVersionRelatedIssues(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}/relatedIssueCounts`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Delete and replace version
     * Deletes a project version.
     *
     * Alternative versions can be provided to update issues that use the deleted version in `fixVersion`, `affectedVersion`, or any version picker custom fields. If alternatives are not provided, occurrences of `fixVersion`, `affectedVersion`, and any version picker custom field, that contain the deleted version, are cleared. Any replacement version must be in the same project as the version being deleted and cannot be the version being deleted.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
     * operationId: deleteAndReplaceVersion
     * Request URI: /rest/api/3/version/{id}/removeAndSwap
     */
    async deleteAndReplaceVersion(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}/removeAndSwap`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get version's unresolved issues count
     * Returns counts of the issues and unresolved issues for the project version.
     *
     * This operation can be accessed anonymously.
     *
     * **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
     * operationId: getVersionUnresolvedIssues
     * Request URI: /rest/api/3/version/{id}/unresolvedIssueCount
     */
    async getVersionUnresolvedIssues(params, option) {
        const url = this.baseUrl + `/rest/api/3/version/${params.parameter.id}/unresolvedIssueCount`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get dynamic webhooks for app
     * Returns a [paginated](#pagination) list of the webhooks registered by the calling app.
     *
     * **[Permissions](#permissions) required:** Only [Connect](https://developer.atlassian.com/cloud/jira/platform/#connect-apps) and [OAuth 2.0](https://developer.atlassian.com/cloud/jira/platform/oauth-2-3lo-apps) apps can use this operation.
     * operationId: getDynamicWebhooksForApp
     * Request URI: /rest/api/3/webhook
     */
    async getDynamicWebhooksForApp(params, option) {
        const url = this.baseUrl + `/rest/api/3/webhook`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Register dynamic webhooks
     * Registers webhooks.
     *
     * **[Permissions](#permissions) required:** Only [Connect](https://developer.atlassian.com/cloud/jira/platform/#connect-apps) and [OAuth 2.0](https://developer.atlassian.com/cloud/jira/platform/oauth-2-3lo-apps) apps can use this operation.
     * operationId: registerDynamicWebhooks
     * Request URI: /rest/api/3/webhook
     */
    async registerDynamicWebhooks(params, option) {
        const url = this.baseUrl + `/rest/api/3/webhook`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete webhooks by ID
     * Removes webhooks by ID. Only webhooks registered by the calling app are removed. If webhooks created by other apps are specified, they are ignored.
     *
     * **[Permissions](#permissions) required:** Only [Connect](https://developer.atlassian.com/cloud/jira/platform/#connect-apps) and [OAuth 2.0](https://developer.atlassian.com/cloud/jira/platform/oauth-2-3lo-apps) apps can use this operation.
     * operationId: deleteWebhookById
     * Request URI: /rest/api/3/webhook
     */
    async deleteWebhookById(params, option) {
        const url = this.baseUrl + `/rest/api/3/webhook`;
        const headers = {
            "Content-Type": "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get failed webhooks
     * Returns webhooks that have recently failed to be delivered to the requesting app after the maximum number of retries.
     *
     * After 72 hours the failure may no longer be returned by this operation.
     *
     * The oldest failure is returned first.
     *
     * This method uses a cursor-based pagination. To request the next page use the failure time of the last webhook on the list as the `failedAfter` value or use the URL provided in `next`.
     *
     * **[Permissions](#permissions) required:** Only [Connect apps](https://developer.atlassian.com/cloud/jira/platform/index/#connect-apps) can use this operation.
     * operationId: getFailedWebhooks
     * Request URI: /rest/api/3/webhook/failed
     */
    async getFailedWebhooks(params, option) {
        const url = this.baseUrl + `/rest/api/3/webhook/failed`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            maxResults: { value: params.parameter.maxResults, explode: false },
            after: { value: params.parameter.after, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Extend webhook life
     * Webhooks registered through the REST API expire after 30 days. Call this resource periodically to keep them alive.
     *
     * Unrecognized webhook IDs (those that are not found or belong to other apps) are ignored.
     *
     * **[Permissions](#permissions) required:** Only [Connect](https://developer.atlassian.com/cloud/jira/platform/#connect-apps) and [OAuth 2.0](https://developer.atlassian.com/cloud/jira/platform/oauth-2-3lo-apps) apps can use this operation.
     * operationId: refreshWebhooks
     * Request URI: /rest/api/3/webhook/refresh
     */
    async refreshWebhooks(params, option) {
        const url = this.baseUrl + `/rest/api/3/webhook/refresh`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * @deprecated
     * Get all workflows
     * Returns all workflows in Jira or a workflow. Deprecated, use [Get workflows paginated](#api-rest-api-3-workflow-search-get).
     *
     * If the `workflowName` parameter is specified, the workflow is returned as an object (not in an array). Otherwise, an array of workflow objects is returned.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllWorkflows
     * Request URI: /rest/api/3/workflow
     */
    async getAllWorkflows(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            workflowName: { value: params.parameter.workflowName, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create workflow
     * Creates a workflow. You can define transition rules using the shapes detailed in the following sections. If no transitional rules are specified the default system transition rules are used.
     *
     * #### Conditions ####
     *
     * Conditions enable workflow rules that govern whether a transition can execute.
     *
     * ##### Always false condition #####
     *
     * A condition that always fails.
     *
     *     {
     *        "type": "AlwaysFalseCondition"
     *      }
     *
     * ##### Block transition until approval #####
     *
     * A condition that blocks issue transition if there is a pending approval.
     *
     *     {
     *        "type": "BlockInProgressApprovalCondition"
     *      }
     *
     * ##### Compare number custom field condition #####
     *
     * A condition that allows transition if a comparison between a number custom field and a value is true.
     *
     *     {
     *        "type": "CompareNumberCFCondition",
     *        "configuration": {
     *          "comparator": "=",
     *          "fieldId": "customfield_10029",
     *          "fieldValue": 2
     *        }
     *      }
     *
     *  *  `comparator` One of the supported comparator: `=`, `>`, and `<`.
     *  *  `fieldId` The custom numeric field ID. Allowed field types:
     *
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:float`
     *      *  `com.pyxis.greenhopper.jira:jsw-story-points`
     *  *  `fieldValue` The value for comparison.
     *
     * ##### Hide from user condition #####
     *
     * A condition that hides a transition from users. The transition can only be triggered from a workflow function or REST API operation.
     *
     *     {
     *        "type": "RemoteOnlyCondition"
     *      }
     *
     * ##### Only assignee condition #####
     *
     * A condition that allows only the assignee to execute a transition.
     *
     *     {
     *        "type": "AllowOnlyAssignee"
     *      }
     *
     * ##### Only Bamboo notifications workflow condition #####
     *
     * A condition that makes the transition available only to Bamboo build notifications.
     *
     *     {
     *        "type": "OnlyBambooNotificationsCondition"
     *      }
     *
     * ##### Only reporter condition #####
     *
     * A condition that allows only the reporter to execute a transition.
     *
     *     {
     *        "type": "AllowOnlyReporter"
     *      }
     *
     * ##### Permission condition #####
     *
     * A condition that allows only users with a permission to execute a transition.
     *
     *     {
     *        "type": "PermissionCondition",
     *        "configuration": {
     *            "permissionKey": "BROWSE_PROJECTS"
     *        }
     *      }
     *
     *  *  `permissionKey` The permission required to perform the transition. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
     *
     * ##### Previous status condition #####
     *
     * A condition that allows a transition based on whether an issue has or has not transitioned through a status.
     *
     *     {
     *        "type": "PreviousStatusCondition",
     *        "configuration": {
     *          "ignoreLoopTransitions": true,
     *          "includeCurrentStatus": true,
     *          "mostRecentStatusOnly": true,
     *          "reverseCondition": true,
     *          "previousStatus": {
     *            "id": "5"
     *          }
     *        }
     *      }
     *
     * By default this condition allows the transition if the status, as defined by its ID in the `previousStatus` object, matches any previous issue status, unless:
     *
     *  *  `ignoreLoopTransitions` is `true`, then loop transitions (from and to the same status) are ignored.
     *  *  `includeCurrentStatus` is `true`, then the current issue status is also checked.
     *  *  `mostRecentStatusOnly` is `true`, then only the issue's preceding status (the one immediately before the current status) is checked.
     *  *  `reverseCondition` is `true`, then the status must not be present.
     *
     * ##### Separation of duties condition #####
     *
     * A condition that prevents a user to perform the transition, if the user has already performed a transition on the issue.
     *
     *     {
     *        "type": "SeparationOfDutiesCondition",
     *        "configuration": {
     *          "fromStatus": {
     *            "id": "5"
     *          },
     *          "toStatus": {
     *            "id": "6"
     *          }
     *        }
     *      }
     *
     *  *  `fromStatus` OPTIONAL. An object containing the ID of the source status of the transition that is blocked. If omitted any transition to `toStatus` is blocked.
     *  *  `toStatus` An object containing the ID of the target status of the transition that is blocked.
     *
     * ##### Subtask blocking condition #####
     *
     * A condition that blocks transition on a parent issue if any of its subtasks are in any of one or more statuses.
     *
     *     {
     *        "type": "SubTaskBlockingCondition",
     *        "configuration": {
     *          "statuses": [
     *            {
     *              "id": "1"
     *            },
     *            {
     *              "id": "3"
     *            }
     *          ]
     *        }
     *      }
     *
     *  *  `statuses` A list of objects containing status IDs.
     *
     * ##### User is in any group condition #####
     *
     * A condition that allows users belonging to any group from a list of groups to execute a transition.
     *
     *     {
     *        "type": "UserInAnyGroupCondition",
     *        "configuration": {
     *          "groups": [
     *            "administrators",
     *            "atlassian-addons-admin"
     *          ]
     *        }
     *      }
     *
     *  *  `groups` A list of group names.
     *
     * ##### User is in any project role condition #####
     *
     * A condition that allows only users with at least one project roles from a list of project roles to execute a transition.
     *
     *     {
     *        "type": "InAnyProjectRoleCondition",
     *        "configuration": {
     *          "projectRoles": [
     *            {
     *              "id": "10002"
     *            },
     *            {
     *              "id": "10003"
     *            },
     *            {
     *              "id": "10012"
     *            },
     *            {
     *              "id": "10013"
     *            }
     *          ]
     *        }
     *      }
     *
     *  *  `projectRoles` A list of objects containing project role IDs.
     *
     * ##### User is in custom field condition #####
     *
     * A condition that allows only users listed in a given custom field to execute the transition.
     *
     *     {
     *        "type": "UserIsInCustomFieldCondition",
     *        "configuration": {
     *          "allowUserInField": false,
     *          "fieldId": "customfield_10010"
     *        }
     *      }
     *
     *  *  `allowUserInField` If `true` only a user who is listed in `fieldId` can perform the transition, otherwise, only a user who is not listed in `fieldId` can perform the transition.
     *  *  `fieldId` The ID of the field containing the list of users.
     *
     * ##### User is in group condition #####
     *
     * A condition that allows users belonging to a group to execute a transition.
     *
     *     {
     *        "type": "UserInGroupCondition",
     *        "configuration": {
     *          "group": "administrators"
     *        }
     *      }
     *
     *  *  `group` The name of the group.
     *
     * ##### User is in group custom field condition #####
     *
     * A condition that allows users belonging to a group specified in a custom field to execute a transition.
     *
     *     {
     *        "type": "InGroupCFCondition",
     *        "configuration": {
     *          "fieldId": "customfield_10012"
     *        }
     *      }
     *
     *  *  `fieldId` The ID of the field. Allowed field types:
     *
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:multigrouppicker`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:grouppicker`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:select`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:multiselect`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:radiobuttons`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:multicheckboxes`
     *      *  `com.pyxis.greenhopper.jira:gh-epic-status`
     *
     * ##### User is in project role condition #####
     *
     * A condition that allows users with a project role to execute a transition.
     *
     *     {
     *        "type": "InProjectRoleCondition",
     *        "configuration": {
     *          "projectRole": {
     *            "id": "10002"
     *          }
     *        }
     *      }
     *
     *  *  `projectRole` An object containing the ID of a project role.
     *
     * ##### Value field condition #####
     *
     * A conditions that allows a transition to execute if the value of a field is equal to a constant value or simply set.
     *
     *     {
     *        "type": "ValueFieldCondition",
     *        "configuration": {
     *          "fieldId": "assignee",
     *          "fieldValue": "qm:6e1ecee6-8e64-4db6-8c85-916bb3275f51:54b56885-2bd2-4381-8239-78263442520f",
     *          "comparisonType": "NUMBER",
     *          "comparator": "="
     *        }
     *      }
     *
     *  *  `fieldId` The ID of a field used in the comparison.
     *  *  `fieldValue` The expected value of the field.
     *  *  `comparisonType` The type of the comparison. Allowed values: `STRING`, `NUMBER`, `DATE`, `DATE_WITHOUT_TIME`, or `OPTIONID`.
     *  *  `comparator` One of the supported comparator: `>`, `>=`, `=`, `<=`, `<`, `!=`.
     *
     * **Notes:**
     *
     *  *  If you choose the comparison type `STRING`, only `=` and `!=` are valid options.
     *  *  You may leave `fieldValue` empty when comparison type is `!=` to indicate that a value is required in the field.
     *  *  For date fields without time format values as `yyyy-MM-dd`, and for those with time as `yyyy-MM-dd HH:mm`. For example, for July 16 2021 use `2021-07-16`, for 8:05 AM use `2021-07-16 08:05`, and for 4 PM: `2021-07-16 16:00`.
     *
     * #### Validators ####
     *
     * Validators check that any input made to the transition is valid before the transition is performed.
     *
     * ##### Date field validator #####
     *
     * A validator that compares two dates.
     *
     *     {
     *        "type": "DateFieldValidator",
     *        "configuration": {
     *            "comparator": ">",
     *            "date1": "updated",
     *            "date2": "created",
     *            "expression": "1d",
     *            "includeTime": true
     *          }
     *      }
     *
     *  *  `comparator` One of the supported comparator: `>`, `>=`, `=`, `<=`, `<`, or `!=`.
     *  *  `date1` The date field to validate. Allowed field types:
     *
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
     *      *  `duedate`
     *      *  `created`
     *      *  `updated`
     *      *  `Resolved`
     *  *  `date2` The second date field. Required, if `expression` is not passed. Allowed field types:
     *
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
     *      *  `duedate`
     *      *  `created`
     *      *  `updated`
     *      *  `Resolved`
     *  *  `expression` An expression specifying an offset. Required, if `date2` is not passed. Offsets are built with a number, with `-` as prefix for the past, and one of these time units: `d` for day, `w` for week, `m` for month, or `y` for year. For example, -2d means two days into the past and 1w means one week into the future. The `now` keyword enables a comparison with the current date.
     *  *  `includeTime` If `true`, then the time part of the data is included for the comparison. If the field doesn't have a time part, 00:00:00 is used.
     *
     * ##### Windows date validator #####
     *
     * A validator that checks that a date falls on or after a reference date and before or on the reference date plus a number of days.
     *
     *     {
     *        "type": "WindowsDateValidator",
     *        "configuration": {
     *            "date1": "customfield_10009",
     *            "date2": "created",
     *            "windowsDays": 5
     *          }
     *      }
     *
     *  *  `date1` The date field to validate. Allowed field types:
     *
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
     *      *  `duedate`
     *      *  `created`
     *      *  `updated`
     *      *  `Resolved`
     *  *  `date2` The reference date. Allowed field types:
     *
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
     *      *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
     *      *  `duedate`
     *      *  `created`
     *      *  `updated`
     *      *  `Resolved`
     *  *  `windowsDays` A positive integer indicating a number of days.
     *
     * ##### Field required validator #####
     *
     * A validator that checks fields are not empty. By default, if a field is not included in the current context it's ignored and not validated.
     *
     *     {
     *          "type": "FieldRequiredValidator",
     *          "configuration": {
     *              "ignoreContext": true,
     *              "errorMessage": "Hey",
     *              "fieldIds": [
     *                  "versions",
     *                  "customfield_10037",
     *                  "customfield_10003"
     *              ]
     *          }
     *      }
     *
     *  *  `ignoreContext` If `true`, then the context is ignored and all the fields are validated.
     *  *  `errorMessage` OPTIONAL. The error message displayed when one or more fields are empty. A default error message is shown if an error message is not provided.
     *  *  `fieldIds` The list of fields to validate.
     *
     * ##### Field changed validator #####
     *
     * A validator that checks that a field value is changed. However, this validation can be ignored for users from a list of groups.
     *
     *     {
     *          "type": "FieldChangedValidator",
     *          "configuration": {
     *              "fieldId": "comment",
     *              "errorMessage": "Hey",
     *              "exemptedGroups": [
     *                  "administrators",
     *                  "atlassian-addons-admin"
     *              ]
     *          }
     *      }
     *
     *  *  `fieldId` The ID of a field.
     *  *  `errorMessage` OPTIONAL. The error message displayed if the field is not changed. A default error message is shown if the error message is not provided.
     *  *  `exemptedGroups` OPTIONAL. The list of groups.
     *
     * ##### Field has single value validator #####
     *
     * A validator that checks that a multi-select field has only one value. Optionally, the validation can ignore values copied from subtasks.
     *
     *     {
     *          "type": "FieldHasSingleValueValidator",
     *          "configuration": {
     *              "fieldId": "attachment,
     *              "excludeSubtasks": true
     *          }
     *      }
     *
     *  *  `fieldId` The ID of a field.
     *  *  `excludeSubtasks` If `true`, then values copied from subtasks are ignored.
     *
     * ##### Parent status validator #####
     *
     * A validator that checks the status of the parent issue of a subtask. Ìf the issue is not a subtask, no validation is performed.
     *
     *     {
     *          "type": "ParentStatusValidator",
     *          "configuration": {
     *              "parentStatuses": [
     *                  {
     *                    "id":"1"
     *                  },
     *                  {
     *                    "id":"2"
     *                  }
     *              ]
     *          }
     *      }
     *
     *  *  `parentStatus` The list of required parent issue statuses.
     *
     * ##### Permission validator #####
     *
     * A validator that checks the user has a permission.
     *
     *     {
     *        "type": "PermissionValidator",
     *        "configuration": {
     *            "permissionKey": "ADMINISTER_PROJECTS"
     *        }
     *      }
     *
     *  *  `permissionKey` The permission required to perform the transition. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
     *
     * ##### Previous status validator #####
     *
     * A validator that checks if the issue has held a status.
     *
     *     {
     *        "type": "PreviousStatusValidator",
     *        "configuration": {
     *            "mostRecentStatusOnly": false,
     *            "previousStatus": {
     *                "id": "15"
     *            }
     *        }
     *      }
     *
     *  *  `mostRecentStatusOnly` If `true`, then only the issue's preceding status (the one immediately before the current status) is checked.
     *  *  `previousStatus` An object containing the ID of an issue status.
     *
     * ##### Regular expression validator #####
     *
     * A validator that checks the content of a field against a regular expression.
     *
     *     {
     *        "type": "RegexpFieldValidator",
     *        "configuration": {
     *            "regExp": "[0-9]",
     *            "fieldId": "customfield_10029"
     *        }
     *      }
     *
     *  *  `regExp`A regular expression.
     *  *  `fieldId` The ID of a field. Allowed field types:
     *
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:select`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:multiselect`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:radiobuttons`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:multicheckboxes`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:textarea`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:textfield`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:url`
     *      *  `com.atlassian.jira.plugin.system.customfieldtypes:float`
     *      *  `com.pyxis.greenhopper.jira:jsw-story-points`
     *      *  `com.pyxis.greenhopper.jira:gh-epic-status`
     *      *  `description`
     *      *  `summary`
     *
     * ##### User permission validator #####
     *
     * A validator that checks if a user has a permission. Obsolete. You may encounter this validator when getting transition rules and can pass it when updating or creating rules, for example, when you want to duplicate the rules from a workflow on a new workflow.
     *
     *     {
     *          "type": "UserPermissionValidator",
     *          "configuration": {
     *              "permissionKey": "BROWSE_PROJECTS",
     *              "nullAllowed": false,
     *              "username": "TestUser"
     *          }
     *      }
     *
     *  *  `permissionKey` The permission to be validated. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
     *  *  `nullAllowed` If `true`, allows the transition when `username` is empty.
     *  *  `username` The username to validate against the `permissionKey`.
     *
     * #### Post functions ####
     *
     * Post functions carry out any additional processing required after a Jira workflow transition is executed.
     *
     * ##### Fire issue event function #####
     *
     * A post function that fires an event that is processed by the listeners.
     *
     *     {
     *        "type": "FireIssueEventFunction",
     *        "configuration": {
     *          "event": {
     *            "id":"1"
     *          }
     *        }
     *      }
     *
     * **Note:** If provided, this post function overrides the default `FireIssueEventFunction`. Can be included once in a transition.
     *
     *  *  `event` An object containing the ID of the issue event.
     *
     * ##### Update issue status #####
     *
     * A post function that sets issue status to the linked status of the destination workflow status.
     *
     *     {
     *        "type": "UpdateIssueStatusFunction"
     *      }
     *
     * **Note:** This post function is a default function in global and directed transitions. It can only be added to the initial transition and can only be added once.
     *
     * ##### Create comment #####
     *
     * A post function that adds a comment entered during the transition to an issue.
     *
     *     {
     *        "type": "CreateCommentFunction"
     *      }
     *
     * **Note:** This post function is a default function in global and directed transitions. It can only be added to the initial transition and can only be added once.
     *
     * ##### Store issue #####
     *
     * A post function that stores updates to an issue.
     *
     *     {
     *        "type": "IssueStoreFunction"
     *      }
     *
     * **Note:** This post function can only be added to the initial transition and can only be added once.
     *
     * ##### Assign to current user function #####
     *
     * A post function that assigns the issue to the current user if the current user has the `ASSIGNABLE_USER` permission.
     *
     *     {
     *          "type": "AssignToCurrentUserFunction"
     *      }
     *
     * **Note:** This post function can be included once in a transition.
     *
     * ##### Assign to lead function #####
     *
     * A post function that assigns the issue to the project or component lead developer.
     *
     *     {
     *          "type": "AssignToLeadFunction"
     *      }
     *
     * **Note:** This post function can be included once in a transition.
     *
     * ##### Assign to reporter function #####
     *
     * A post function that assigns the issue to the reporter.
     *
     *     {
     *          "type": "AssignToReporterFunction"
     *      }
     *
     * **Note:** This post function can be included once in a transition.
     *
     * ##### Clear field value function #####
     *
     * A post function that clears the value from a field.
     *
     *     {
     *        "type": "ClearFieldValuePostFunction",
     *        "configuration": {
     *          "fieldId": "assignee"
     *        }
     *      }
     *
     *  *  `fieldId` The ID of the field.
     *
     * ##### Copy value from other field function #####
     *
     * A post function that copies the value of one field to another, either within an issue or from parent to subtask.
     *
     *     {
     *        "type": "CopyValueFromOtherFieldPostFunction",
     *        "configuration": {
     *          "sourceFieldId": "assignee",
     *          "destinationFieldId": "creator",
     *          "copyType": "same"
     *        }
     *      }
     *
     *  *  `sourceFieldId` The ID of the source field.
     *  *  `destinationFieldId` The ID of the destination field.
     *  *  `copyType` Use `same` to copy the value from a field inside the issue, or `parent` to copy the value from the parent issue.
     *
     * ##### Create Crucible review workflow function #####
     *
     * A post function that creates a Crucible review for all unreviewed code for the issue.
     *
     *     {
     *          "type": "CreateCrucibleReviewWorkflowFunction"
     *      }
     *
     * **Note:** This post function can be included once in a transition.
     *
     * ##### Set issue security level based on user's project role function #####
     *
     * A post function that sets the issue's security level if the current user has a project role.
     *
     *     {
     *        "type": "SetIssueSecurityFromRoleFunction",
     *        "configuration": {
     *          "projectRole": {
     *              "id":"10002"
     *          },
     *          "issueSecurityLevel": {
     *              "id":"10000"
     *          }
     *        }
     *      }
     *
     *  *  `projectRole` An object containing the ID of the project role.
     *  *  `issueSecurityLevel` OPTIONAL. The object containing the ID of the security level. If not passed, then the security level is set to `none`.
     *
     * ##### Trigger a webhook function #####
     *
     * A post function that triggers a webhook.
     *
     *     {
     *        "type": "TriggerWebhookFunction",
     *        "configuration": {
     *          "webhook": {
     *            "id": "1"
     *          }
     *        }
     *      }
     *
     *  *  `webhook` An object containing the ID of the webhook listener to trigger.
     *
     * ##### Update issue custom field function #####
     *
     * A post function that updates the content of an issue custom field.
     *
     *     {
     *        "type": "UpdateIssueCustomFieldPostFunction",
     *        "configuration": {
     *          "mode": "append",
     *          "fieldId": "customfield_10003",
     *          "fieldValue": "yikes"
     *        }
     *      }
     *
     *  *  `mode` Use `replace` to override the field content with `fieldValue` or `append` to add `fieldValue` to the end of the field content.
     *  *  `fieldId` The ID of the field.
     *  *  `fieldValue` The update content.
     *
     * ##### Update issue field function #####
     *
     * A post function that updates a simple issue field.
     *
     *     {
     *        "type": "UpdateIssueFieldFunction",
     *        "configuration": {
     *          "fieldId": "assignee",
     *          "fieldValue": "5f0c277e70b8a90025a00776"
     *        }
     *      }
     *
     *  *  `fieldId` The ID of the field. Allowed field types:
     *
     *      *  `assignee`
     *      *  `description`
     *      *  `environment`
     *      *  `priority`
     *      *  `resolution`
     *      *  `summary`
     *      *  `timeoriginalestimate`
     *      *  `timeestimate`
     *      *  `timespent`
     *  *  `fieldValue` The update value.
     *  *  If the `fieldId` is `assignee`, the `fieldValue` should be one of these values:
     *
     *      *  an account ID.
     *      *  `automatic`.
     *      *  a blank string, which sets the value to `unassigned`.
     *
     * #### Connect rules ####
     *
     * Connect rules are conditions, validators, and post functions of a transition that are registered by Connect apps. To create a rule registered by the app, the app must be enabled and the rule's module must exist.
     *
     *     {
     *        "type": "appKey__moduleKey",
     *        "configuration": {
     *          "value":"{\"isValid\":\"true\"}"
     *        }
     *      }
     *
     *  *  `type` A Connect rule key in a form of `appKey__moduleKey`.
     *  *  `value` The stringified JSON configuration of a Connect rule.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createWorkflow
     * Request URI: /rest/api/3/workflow
     */
    async createWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get workflow transition rule configurations
     * Returns a [paginated](#pagination) list of workflows with transition rules. The workflows can be filtered to return only those containing workflow transition rules:
     *
     *  *  of one or more transition rule types, such as [workflow post functions](https://developer.atlassian.com/cloud/jira/platform/modules/workflow-post-function/).
     *  *  matching one or more transition rule keys.
     *
     * Only workflows containing transition rules created by the calling Connect app are returned. However, if a workflow is returned all transition rules that match the filters are returned for that workflow.
     *
     * Due to server-side optimizations, workflows with an empty list of rules may be returned; these workflows can be ignored.
     *
     * **[Permissions](#permissions) required:** Only Connect apps can use this operation.
     * operationId: getWorkflowTransitionRuleConfigurations
     * Request URI: /rest/api/3/workflow/rule/config
     */
    async getWorkflowTransitionRuleConfigurations(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/rule/config`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            types: { value: params.parameter.types, explode: false },
            keys: { value: params.parameter.keys, explode: false },
            workflowNames: { value: params.parameter.workflowNames, explode: false },
            withTags: { value: params.parameter.withTags, explode: false },
            draft: { value: params.parameter.draft, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update workflow transition rule configurations
     * Updates configuration of workflow transition rules. The following rule types are supported:
     *
     *  *  [post functions](https://developer.atlassian.com/cloud/jira/platform/modules/workflow-post-function/)
     *  *  [conditions](https://developer.atlassian.com/cloud/jira/platform/modules/workflow-condition/)
     *  *  [validators](https://developer.atlassian.com/cloud/jira/platform/modules/workflow-validator/)
     *
     * Only rules created by the calling Connect app can be updated.
     *
     * To assist with app migration, this operation can be used to:
     *
     *  *  Disable a rule.
     *  *  Add a `tag`. Use this to filter rules in the [Get workflow transition rule configurations](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-rules/#api-rest-api-3-workflow-rule-config-get).
     *
     * Rules are enabled if the `disabled` parameter is not provided.
     *
     * **[Permissions](#permissions) required:** Only Connect apps can use this operation.
     * operationId: updateWorkflowTransitionRuleConfigurations
     * Request URI: /rest/api/3/workflow/rule/config
     */
    async updateWorkflowTransitionRuleConfigurations(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/rule/config`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete workflow transition rule configurations
     * Deletes workflow transition rules from one or more workflows. These rule types are supported:
     *
     *  *  [post functions](https://developer.atlassian.com/cloud/jira/platform/modules/workflow-post-function/)
     *  *  [conditions](https://developer.atlassian.com/cloud/jira/platform/modules/workflow-condition/)
     *  *  [validators](https://developer.atlassian.com/cloud/jira/platform/modules/workflow-validator/)
     *
     * Only rules created by the calling Connect app can be deleted.
     *
     * **[Permissions](#permissions) required:** Only Connect apps can use this operation.
     * operationId: deleteWorkflowTransitionRuleConfigurations
     * Request URI: /rest/api/3/workflow/rule/config/delete
     */
    async deleteWorkflowTransitionRuleConfigurations(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/rule/config/delete`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get workflows paginated
     * Returns a [paginated](#pagination) list of published classic workflows. When workflow names are specified, details of those workflows are returned. Otherwise, all published classic workflows are returned.
     *
     * This operation does not return next-gen workflows.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflowsPaginated
     * Request URI: /rest/api/3/workflow/search
     */
    async getWorkflowsPaginated(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/search`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false },
            workflowName: { value: params.parameter.workflowName, explode: false },
            expand: { value: params.parameter.expand, explode: false },
            queryString: { value: params.parameter.queryString, explode: false },
            orderBy: { value: params.parameter.orderBy, explode: false },
            isActive: { value: params.parameter.isActive, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get workflow transition properties
     * Returns the properties on a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflowTransitionProperties
     * Request URI: /rest/api/3/workflow/transitions/{transitionId}/properties
     */
    async getWorkflowTransitionProperties(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/transitions/${params.parameter.transitionId}/properties`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            includeReservedKeys: { value: params.parameter.includeReservedKeys, explode: false },
            key: { value: params.parameter.key, explode: false },
            workflowName: { value: params.parameter.workflowName, explode: false },
            workflowMode: { value: params.parameter.workflowMode, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update workflow transition property
     * Updates a workflow transition by changing the property value. Trying to update a property that does not exist results in a new property being added to the transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateWorkflowTransitionProperty
     * Request URI: /rest/api/3/workflow/transitions/{transitionId}/properties
     */
    async updateWorkflowTransitionProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/transitions/${params.parameter.transitionId}/properties`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            key: { value: params.parameter.key, explode: false },
            workflowName: { value: params.parameter.workflowName, explode: false },
            workflowMode: { value: params.parameter.workflowMode, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Create workflow transition property
     * Adds a property to a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createWorkflowTransitionProperty
     * Request URI: /rest/api/3/workflow/transitions/{transitionId}/properties
     */
    async createWorkflowTransitionProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/transitions/${params.parameter.transitionId}/properties`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            key: { value: params.parameter.key, explode: false },
            workflowName: { value: params.parameter.workflowName, explode: false },
            workflowMode: { value: params.parameter.workflowMode, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete workflow transition property
     * Deletes a property from a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteWorkflowTransitionProperty
     * Request URI: /rest/api/3/workflow/transitions/{transitionId}/properties
     */
    async deleteWorkflowTransitionProperty(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/transitions/${params.parameter.transitionId}/properties`;
        const headers = {};
        const queryParameters = {
            key: { value: params.parameter.key, explode: false },
            workflowName: { value: params.parameter.workflowName, explode: false },
            workflowMode: { value: params.parameter.workflowMode, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Delete inactive workflow
     * Deletes a workflow.
     *
     * The workflow cannot be deleted if it is:
     *
     *  *  an active workflow.
     *  *  a system workflow.
     *  *  associated with any workflow scheme.
     *  *  associated with any draft workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteInactiveWorkflow
     * Request URI: /rest/api/3/workflow/{entityId}
     */
    async deleteInactiveWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflow/${params.parameter.entityId}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get all workflow schemes
     * Returns a [paginated](#pagination) list of all workflow schemes, not including draft workflow schemes.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getAllWorkflowSchemes
     * Request URI: /rest/api/3/workflowscheme
     */
    async getAllWorkflowSchemes(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            startAt: { value: params.parameter.startAt, explode: false },
            maxResults: { value: params.parameter.maxResults, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Create workflow scheme
     * Creates a workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createWorkflowScheme
     * Request URI: /rest/api/3/workflowscheme
     */
    async createWorkflowScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get workflow scheme project associations
     * Returns a list of the workflow schemes associated with a list of projects. Each returned workflow scheme includes a list of the requested projects associated with it. Any team-managed or non-existent projects in the request are ignored and no errors are returned.
     *
     * If the project is associated with the `Default Workflow Scheme` no ID is returned. This is because the way the `Default Workflow Scheme` is stored means it has no ID.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflowSchemeProjectAssociations
     * Request URI: /rest/api/3/workflowscheme/project
     */
    async getWorkflowSchemeProjectAssociations(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/project`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            projectId: { value: params.parameter.projectId, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Assign workflow scheme to project
     * Assigns a workflow scheme to a project. This operation is performed only when there are no issues in the project.
     *
     * Workflow schemes can only be assigned to classic projects.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: assignSchemeToProject
     * Request URI: /rest/api/3/workflowscheme/project
     */
    async assignSchemeToProject(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/project`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get workflow scheme
     * Returns a workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflowScheme
     * Request URI: /rest/api/3/workflowscheme/{id}
     */
    async getWorkflowScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            returnDraftIfExists: { value: params.parameter.returnDraftIfExists, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update workflow scheme
     * Updates a workflow scheme, including the name, default workflow, issue type to project mappings, and more. If the workflow scheme is active (that is, being used by at least one project), then a draft workflow scheme is created or updated instead, provided that `updateDraftIfNeeded` is set to `true`.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateWorkflowScheme
     * Request URI: /rest/api/3/workflowscheme/{id}
     */
    async updateWorkflowScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete workflow scheme
     * Deletes a workflow scheme. Note that a workflow scheme cannot be deleted if it is active (that is, being used by at least one project).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteWorkflowScheme
     * Request URI: /rest/api/3/workflowscheme/{id}
     */
    async deleteWorkflowScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Create draft workflow scheme
     * Create a draft workflow scheme from an active workflow scheme, by copying the active workflow scheme. Note that an active workflow scheme can only have one draft workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: createWorkflowSchemeDraftFromParent
     * Request URI: /rest/api/3/workflowscheme/{id}/createdraft
     */
    async createWorkflowSchemeDraftFromParent(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/createdraft`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("POST", url, headers, undefined, undefined, option);
    }
    /**
     * Get default workflow
     * Returns the default workflow for a workflow scheme. The default workflow is the workflow that is assigned any issue types that have not been mapped to any other workflow. The default workflow has *All Unassigned Issue Types* listed in its issue types for the workflow scheme in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getDefaultWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/default
     */
    async getDefaultWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/default`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            returnDraftIfExists: { value: params.parameter.returnDraftIfExists, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Update default workflow
     * Sets the default workflow for a workflow scheme.
     *
     * Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request object and a draft workflow scheme is created or updated with the new default workflow. The draft workflow scheme can be published in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateDefaultWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/default
     */
    async updateDefaultWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/default`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete default workflow
     * Resets the default workflow for a workflow scheme. That is, the default workflow is set to Jira's system workflow (the *jira* workflow).
     *
     * Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the default workflow reset. The draft workflow scheme can be published in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteDefaultWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/default
     */
    async deleteDefaultWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/default`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            updateDraftIfNeeded: { value: params.parameter.updateDraftIfNeeded, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get draft workflow scheme
     * Returns the draft workflow scheme for an active workflow scheme. Draft workflow schemes allow changes to be made to the active workflow schemes: When an active workflow scheme is updated, a draft copy is created. The draft is modified, then the changes in the draft are copied back to the active workflow scheme. See [Configuring workflow schemes](https://confluence.atlassian.com/x/tohKLg) for more information.
     * Note that:
     *
     *  *  Only active workflow schemes can have draft workflow schemes.
     *  *  An active workflow scheme can only have one draft workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflowSchemeDraft
     * Request URI: /rest/api/3/workflowscheme/{id}/draft
     */
    async getWorkflowSchemeDraft(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update draft workflow scheme
     * Updates a draft workflow scheme. If a draft workflow scheme does not exist for the active workflow scheme, then a draft is created. Note that an active workflow scheme can only have one draft workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateWorkflowSchemeDraft
     * Request URI: /rest/api/3/workflowscheme/{id}/draft
     */
    async updateWorkflowSchemeDraft(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete draft workflow scheme
     * Deletes a draft workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteWorkflowSchemeDraft
     * Request URI: /rest/api/3/workflowscheme/{id}/draft
     */
    async deleteWorkflowSchemeDraft(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get draft default workflow
     * Returns the default workflow for a workflow scheme's draft. The default workflow is the workflow that is assigned any issue types that have not been mapped to any other workflow. The default workflow has *All Unassigned Issue Types* listed in its issue types for the workflow scheme in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getDraftDefaultWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/default
     */
    async getDraftDefaultWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/default`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Update draft default workflow
     * Sets the default workflow for a workflow scheme's draft.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateDraftDefaultWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/default
     */
    async updateDraftDefaultWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/default`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete draft default workflow
     * Resets the default workflow for a workflow scheme's draft. That is, the default workflow is set to Jira's system workflow (the *jira* workflow).
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteDraftDefaultWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/default
     */
    async deleteDraftDefaultWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/default`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get workflow for issue type in draft workflow scheme
     * Returns the issue type-workflow mapping for an issue type in a workflow scheme's draft.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflowSchemeDraftIssueType
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/issuetype/{issueType}
     */
    async getWorkflowSchemeDraftIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/issuetype/${params.parameter.issueType}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set workflow for issue type in draft workflow scheme
     * Sets the workflow for an issue type in a workflow scheme's draft.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setWorkflowSchemeDraftIssueType
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/issuetype/{issueType}
     */
    async setWorkflowSchemeDraftIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/issuetype/${params.parameter.issueType}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete workflow for issue type in draft workflow scheme
     * Deletes the issue type-workflow mapping for an issue type in a workflow scheme's draft.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteWorkflowSchemeDraftIssueType
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/issuetype/{issueType}
     */
    async deleteWorkflowSchemeDraftIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/issuetype/${params.parameter.issueType}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Publish draft workflow scheme
     * Publishes a draft workflow scheme.
     *
     * Where the draft workflow includes new workflow statuses for an issue type, mappings are provided to update issues with the original workflow status to the new workflow status.
     *
     * This operation is [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain updates.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: publishDraftWorkflowScheme
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/publish
     */
    async publishDraftWorkflowScheme(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/publish`;
        const headers = {
            "Content-Type": "application/json"
        };
        const queryParameters = {
            validateOnly: { value: params.parameter.validateOnly, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get issue types for workflows in draft workflow scheme
     * Returns the workflow-issue type mappings for a workflow scheme's draft.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getDraftWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/workflow
     */
    async getDraftWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/workflow`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            workflowName: { value: params.parameter.workflowName, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Set issue types for workflow in workflow scheme
     * Sets the issue types for a workflow in a workflow scheme's draft. The workflow can also be set as the default workflow for the draft workflow scheme. Unmapped issues types are mapped to the default workflow.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateDraftWorkflowMapping
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/workflow
     */
    async updateDraftWorkflowMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/workflow`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            workflowName: { value: params.parameter.workflowName, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete issue types for workflow in draft workflow scheme
     * Deletes the workflow-issue type mapping for a workflow in a workflow scheme's draft.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteDraftWorkflowMapping
     * Request URI: /rest/api/3/workflowscheme/{id}/draft/workflow
     */
    async deleteDraftWorkflowMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/draft/workflow`;
        const headers = {};
        const queryParameters = {
            workflowName: { value: params.parameter.workflowName, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get workflow for issue type in workflow scheme
     * Returns the issue type-workflow mapping for an issue type in a workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflowSchemeIssueType
     * Request URI: /rest/api/3/workflowscheme/{id}/issuetype/{issueType}
     */
    async getWorkflowSchemeIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/issuetype/${params.parameter.issueType}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            returnDraftIfExists: { value: params.parameter.returnDraftIfExists, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Set workflow for issue type in workflow scheme
     * Sets the workflow for an issue type in a workflow scheme.
     *
     * Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new issue type-workflow mapping. The draft workflow scheme can be published in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: setWorkflowSchemeIssueType
     * Request URI: /rest/api/3/workflowscheme/{id}/issuetype/{issueType}
     */
    async setWorkflowSchemeIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/issuetype/${params.parameter.issueType}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete workflow for issue type in workflow scheme
     * Deletes the issue type-workflow mapping for an issue type in a workflow scheme.
     *
     * Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the issue type-workflow mapping deleted. The draft workflow scheme can be published in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteWorkflowSchemeIssueType
     * Request URI: /rest/api/3/workflowscheme/{id}/issuetype/{issueType}
     */
    async deleteWorkflowSchemeIssueType(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/issuetype/${params.parameter.issueType}`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            updateDraftIfNeeded: { value: params.parameter.updateDraftIfNeeded, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get issue types for workflows in workflow scheme
     * Returns the workflow-issue type mappings for a workflow scheme.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: getWorkflow
     * Request URI: /rest/api/3/workflowscheme/{id}/workflow
     */
    async getWorkflow(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/workflow`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            workflowName: { value: params.parameter.workflowName, explode: false },
            returnDraftIfExists: { value: params.parameter.returnDraftIfExists, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Set issue types for workflow in workflow scheme
     * Sets the issue types for a workflow in a workflow scheme. The workflow can also be set as the default workflow for the workflow scheme. Unmapped issues types are mapped to the default workflow.
     *
     * Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new workflow-issue types mappings. The draft workflow scheme can be published in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: updateWorkflowMapping
     * Request URI: /rest/api/3/workflowscheme/{id}/workflow
     */
    async updateWorkflowMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/workflow`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            workflowName: { value: params.parameter.workflowName, explode: false }
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Delete issue types for workflow in workflow scheme
     * Deletes the workflow-issue type mapping for a workflow in a workflow scheme.
     *
     * Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the workflow-issue type mapping deleted. The draft workflow scheme can be published in Jira.
     *
     * **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
     * operationId: deleteWorkflowMapping
     * Request URI: /rest/api/3/workflowscheme/{id}/workflow
     */
    async deleteWorkflowMapping(params, option) {
        const url = this.baseUrl + `/rest/api/3/workflowscheme/${params.parameter.id}/workflow`;
        const headers = {};
        const queryParameters = {
            workflowName: { value: params.parameter.workflowName, explode: false },
            updateDraftIfNeeded: { value: params.parameter.updateDraftIfNeeded, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get IDs of deleted worklogs
     * Returns a list of IDs and delete timestamps for worklogs deleted after a date and time.
     *
     * This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
     *
     * This resource does not return worklogs deleted during the minute preceding the request.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira.
     * operationId: getIdsOfWorklogsDeletedSince
     * Request URI: /rest/api/3/worklog/deleted
     */
    async getIdsOfWorklogsDeletedSince(params, option) {
        const url = this.baseUrl + `/rest/api/3/worklog/deleted`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            since: { value: params.parameter.since, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get worklogs
     * Returns worklog details for a list of worklog IDs.
     *
     * The returned list of worklogs is limited to 1000 items.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
     *
     *  *  the worklog is set as *Viewable by All Users*.
     *  *  the user is a member of a project role or group with permission to view the worklog.
     * operationId: getWorklogsForIds
     * Request URI: /rest/api/3/worklog/list
     */
    async getWorklogsForIds(params, option) {
        const url = this.baseUrl + `/rest/api/3/worklog/list`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        const queryParameters = {
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, queryParameters, option);
    }
    /**
     * Get IDs of updated worklogs
     * Returns a list of IDs and update timestamps for worklogs updated after a date and time.
     *
     * This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
     *
     * This resource does not return worklogs updated during the minute preceding the request.
     *
     * **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
     *
     *  *  the worklog is set as *Viewable by All Users*.
     *  *  the user is a member of a project role or group with permission to view the worklog.
     * operationId: getIdsOfWorklogsModifiedSince
     * Request URI: /rest/api/3/worklog/updated
     */
    async getIdsOfWorklogsModifiedSince(params, option) {
        const url = this.baseUrl + `/rest/api/3/worklog/updated`;
        const headers = {
            Accept: "application/json"
        };
        const queryParameters = {
            since: { value: params.parameter.since, explode: false },
            expand: { value: params.parameter.expand, explode: false }
        };
        return this.apiClient.request("GET", url, headers, undefined, queryParameters, option);
    }
    /**
     * Get app properties
     * Gets all the properties of an app.
     *
     * **[Permissions](#permissions) required:** Only a Connect app whose key matches `addonKey` can make this request.
     * operationId: AddonPropertiesResource.getAddonProperties_get
     * Request URI: /rest/atlassian-connect/1/addons/{addonKey}/properties
     */
    async AddonPropertiesResource$getAddonProperties_get(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/addons/${params.parameter.addonKey}/properties`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Get app property
     * Returns the key and value of an app's property.
     *
     * **[Permissions](#permissions) required:** Only a Connect app whose key matches `addonKey` can make this request.
     * operationId: AddonPropertiesResource.getAddonProperty_get
     * Request URI: /rest/atlassian-connect/1/addons/{addonKey}/properties/{propertyKey}
     */
    async AddonPropertiesResource$getAddonProperty_get(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/addons/${params.parameter.addonKey}/properties/${params.parameter.propertyKey}`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Set app property
     * Sets the value of an app's property. Use this resource to store custom data for your app.
     *
     * The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
     *
     * **[Permissions](#permissions) required:** Only a Connect app whose key matches `addonKey` can make this request.
     * operationId: AddonPropertiesResource.putAddonProperty_put
     * Request URI: /rest/atlassian-connect/1/addons/{addonKey}/properties/{propertyKey}
     */
    async AddonPropertiesResource$putAddonProperty_put(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/addons/${params.parameter.addonKey}/properties/${params.parameter.propertyKey}`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json"
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Delete app property
     * Deletes an app's property.
     *
     * **[Permissions](#permissions) required:** Only a Connect app whose key matches `addonKey` can make this request.
     * operationId: AddonPropertiesResource.deleteAddonProperty_delete
     * Request URI: /rest/atlassian-connect/1/addons/{addonKey}/properties/{propertyKey}
     */
    async AddonPropertiesResource$deleteAddonProperty_delete(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/addons/${params.parameter.addonKey}/properties/${params.parameter.propertyKey}`;
        const headers = {};
        return this.apiClient.request("DELETE", url, headers, undefined, undefined, option);
    }
    /**
     * Get modules
     * Returns all modules registered dynamically by the calling app.
     *
     * **[Permissions](#permissions) required:** Only Connect apps can make this request.
     * operationId: DynamicModulesResource.getModules_get
     * Request URI: /rest/atlassian-connect/1/app/module/dynamic
     */
    async DynamicModulesResource$getModules_get(option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/app/module/dynamic`;
        const headers = {
            Accept: "application/json"
        };
        return this.apiClient.request("GET", url, headers, undefined, undefined, option);
    }
    /**
     * Register modules
     * Registers a list of modules.
     *
     * **[Permissions](#permissions) required:** Only Connect apps can make this request.
     * operationId: DynamicModulesResource.registerModules_post
     * Request URI: /rest/atlassian-connect/1/app/module/dynamic
     */
    async DynamicModulesResource$registerModules_post(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/app/module/dynamic`;
        const headers = {
            "Content-Type": "application/json"
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Remove modules
     * Remove all or a list of modules registered by the calling app.
     *
     * **[Permissions](#permissions) required:** Only Connect apps can make this request.
     * operationId: DynamicModulesResource.removeModules_delete
     * Request URI: /rest/atlassian-connect/1/app/module/dynamic
     */
    async DynamicModulesResource$removeModules_delete(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/app/module/dynamic`;
        const headers = {};
        const queryParameters = {
            moduleKey: { value: params.parameter.moduleKey, explode: false }
        };
        return this.apiClient.request("DELETE", url, headers, undefined, queryParameters, option);
    }
    /**
     * Bulk update custom field value
     * Updates the value of a custom field added by Connect apps on one or more issues.
     * The values of up to 200 custom fields can be updated.
     *
     * **[Permissions](#permissions) required:** Only Connect apps can make this request.
     * operationId: AppIssueFieldValueUpdateResource.updateIssueFields_put
     * Request URI: /rest/atlassian-connect/1/migration/field
     */
    async AppIssueFieldValueUpdateResource$updateIssueFields_put(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/migration/field`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json",
            "Atlassian-Transfer-Id": params.parameter["Atlassian-Transfer-Id"],
            "Atlassian-Account-Id": params.parameter["Atlassian-Account-Id"]
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Bulk update entity properties
     * Updates the values of multiple entity properties for an object, up to 50 updates per request. This operation is for use by Connect apps during app migration.
     * operationId: MigrationResource.updateEntityPropertiesValue_put
     * Request URI: /rest/atlassian-connect/1/migration/properties/{entityType}
     */
    async MigrationResource$updateEntityPropertiesValue_put(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/migration/properties/${params.parameter.entityType}`;
        const headers = {
            "Content-Type": "application/json",
            "Atlassian-Transfer-Id": params.parameter["Atlassian-Transfer-Id"],
            "Atlassian-Account-Id": params.parameter["Atlassian-Account-Id"]
        };
        return this.apiClient.request("PUT", url, headers, params.requestBody, undefined, option);
    }
    /**
     * Get workflow transition rule configurations
     * Returns configurations for workflow transition rules migrated from server to cloud and owned by the calling Connect app.
     * operationId: MigrationResource.workflowRuleSearch_post
     * Request URI: /rest/atlassian-connect/1/migration/workflow/rule/search
     */
    async MigrationResource$workflowRuleSearch_post(params, option) {
        const url = this.baseUrl + `/rest/atlassian-connect/1/migration/workflow/rule/search`;
        const headers = {
            "Content-Type": "application/json",
            Accept: "application/json",
            "Atlassian-Transfer-Id": params.parameter["Atlassian-Transfer-Id"]
        };
        return this.apiClient.request("POST", url, headers, params.requestBody, undefined, option);
    }
}
exports.Client = Client;
